/*****************************************************************************
  H8/3069pVACu
  
  ŐVXV : 2008/5/21
  EI2C_Read(),I2C_Write()NACKԂꍇSCL"HI"ɖ߂Ȃ̂C
  
  Ђ͖{vOA܂́ẢϕɊ֘AĐQɊւĈ؂̐
  C𕉂܂B
  
  Copyright (C) eNmEF[u 2007-2008
*****************************************************************************/

#include"h8ios.h"
#include"types.h"
#include"service.h"
#include"I2C.h"
#include"SPI.h"

void ATF_Main(void);
void ATF_Command(WORD Command, DWORD Param1, DWORD Param2);

void ATF_Init()
{
#ifndef __SIM_DEBUG__
  SRV_STATUS ret;
  
  //I/O|[gȂǃ}CR̓WX^
  SRV_Init();
  
  //LANM3069̏ꍇ̂݃lbg[N
  SRV_LanmInit(0x03);

  //C֐o^
  //SRV_SetMain(ATF_Main);

  //R}hnho^
  SRV_SetCommand(ATF_Command);
#endif
}


void ATF_Main(void)
{
}


//I2CR}h
#define I2CC_SET_PORT    0x01
#define I2CC_SET_WAIT    0x02
#define I2CC_WRITE       0x03
#define I2CC_READ        0x04
#define I2CC_EE24_WRITE  0x05
#define I2CC_EE24_READ   0x06

//SPIR}h
#define SPIC_SET_PORT          0x10
#define SPIC_SET_WAIT          0x11
#define SPIC_WRITE_READ        0x12
#define SPIC_WRITE             0x13
#define SPIC_READ              0x14
#define SPIC_EE25_WRITE_STATUS 0x15
#define SPIC_EE25_READ_STATUS  0x16
#define SPIC_EE25_WRITE_ENABLE 0x17
#define SPIC_EE25_WRITE        0x18
#define SPIC_EE25_READ         0x19
#define SPIC_EE93_WRITE_ENABLE 0x1a
#define SPIC_EE93_ERASE_ALL    0x1b
#define SPIC_EE93_WRITE_ALL    0x1c
#define SPIC_EE93_WRITE        0x1d
#define SPIC_EE93_READ         0x1e
#define SPIC_EE93_IS_READY     0x1f

void ATF_Command(WORD Command, DWORD Param1, DWORD Param2)
{
  BYTE bBuff[256];
  DWORD dwTemp;
  WORD wTemp;
  
  switch(Command){
  //--------------------------------------------------------------------------
  case I2CC_SET_PORT:
    I2C_SetPort(Param1, (int)(Param2 & 0xff), 
                (int)((Param2 >> 8) & 0xff), (int)((Param2 >> 16) & 0xff));
    break;
  //--------------------------------------------------------------------------
  case I2CC_SET_WAIT:
    I2C_SetWait((BYTE)Param1);
    break;
  //--------------------------------------------------------------------------
  case I2CC_WRITE:
    //݃oCg̃`FbN
    if(Param1 > 256) Param1 = 256;
    if(Param1 == 0) break;
    //݃oCg̃f[^zXgM
    if(SRV_Receive(bBuff, (WORD)Param1, 1)) break; //G[̏ꍇ
    //f[^̏
    dwTemp = I2C_Write((BYTE)Param2, bBuff, (WORD)Param1, (WORD)((Param2 >> 16) & 0xff));
    //݌ʂԂ
    SRV_Transmit(&dwTemp, 4, 1);
    //NACKԂꍇXgbv̏s
    if(dwTemp & I2CS_NACK){
    	I2C_Write(0, NULL, 0, I2C_STOP); //XgbvRfBV𐶐
    }
    break;
  //--------------------------------------------------------------------------
  case I2CC_READ:
    //ǏooCg̃`FbN
    if(Param1 > 256) Param1 = 256;
    if(Param1 == 0) break;
    //f[^̓Ǐo
    dwTemp = I2C_Read((BYTE)Param2, bBuff, (WORD)Param1, (WORD)((Param2 >> 16) & 0xff));
    //ǏoʂԂ
    SRV_Transmit(&dwTemp, 4, 1);
    //ǂݏof[^ꍇ̓f[^𑗐M
    if(dwTemp & 0xffff) SRV_Transmit(bBuff, (WORD)dwTemp, 1);
    //NACKԂꍇXgbv̏s
    if(dwTemp & I2CS_NACK){
    	I2C_Write(0, NULL, 0, I2C_STOP); //XgbvRfBV𐶐
    }
    break;
  //--------------------------------------------------------------------------
  case I2CC_EE24_WRITE:
    //ǏooCg̃`FbN
    wTemp = Param2 >> 16;
    if(wTemp > 256) wTemp = 256;
    if(wTemp == 0) break;
    //݃oCg̃f[^zXgM
    if(SRV_Receive(bBuff, wTemp, 1)) break; //G[̏ꍇ
    //f[^̏
    wTemp = (WORD)EE24_Write((BYTE)Param2, Param1, bBuff, wTemp, (WORD)((Param2 >> 8) & 0xff));
    //݌ʂԂ
    SRV_Transmit(&wTemp, 2, 1);
    break;
  //--------------------------------------------------------------------------
  case I2CC_EE24_READ:
    //ǏooCg̃`FbN
    wTemp = Param2 >> 16;
    if(wTemp > 256) wTemp = 256;
    if(wTemp == 0) break;
    //f[^̓Ǐo
    wTemp = (WORD)EE24_Read((BYTE)Param2, Param1, bBuff, wTemp, (WORD)((Param2 >> 8) & 0xff));
    //ǏooCgԂ
    SRV_Transmit(&wTemp, 2, 1);
    //ǂݏof[^ꍇ̓f[^𑗐M
    if(wTemp) SRV_Transmit(bBuff, wTemp, 1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_SET_PORT:
    //ǉ̃p[^M
    if(SRV_Receive(bBuff, 4, 1)) break; //G[̏ꍇ
    SPI_SetPort(Param1, bBuff[0], bBuff[1], bBuff[2], Param2, bBuff[3]);
    break;
  //--------------------------------------------------------------------------
  case SPIC_SET_WAIT:
    SPI_SetWait((WORD)Param1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_WRITE_READ:
    wTemp = ((WORD)Param1 + 7) >> 3; //rbgoCgvZ
    //݃f[^̎M
    if(wTemp){
      if(SRV_Receive(bBuff, wTemp, 1)) break; //G[̏ꍇ
    }
    //f[^݂̏ƓǏo
    SPI_WriteRead(bBuff, (WORD)Param1, bBuff, (WORD)(Param1 >> 16), (BYTE)Param2);
    //f[^̑M
    wTemp = ((WORD)(Param1 >> 16) + 7) >> 3; //rbgoCgvZ
    if(wTemp) SRV_Transmit(bBuff, wTemp, 1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_WRITE:
    //݃f[^M
    if(!Param1) break; //f[^0̏ꍇȂ
    wTemp = ((WORD)Param1 + 7) >> 3; //rbgoCgvZ
    if(SRV_Receive(bBuff, wTemp, 1)) break; //G[̏ꍇ

    //SPIfoCX֏
    SPI_Write(bBuff, (WORD)Param1, (BYTE)Param2);
    break;
  //--------------------------------------------------------------------------
  case SPIC_READ:
    //f[^̓Ǐo
    if(!Param1) break; //f[^0̏ꍇȂ
    SPI_Read(bBuff, (WORD)Param1, (BYTE)Param2);

    //Ǐof[^𑗐M
    wTemp = ((WORD)Param1 + 7) >> 3; //rbgoCgvZ
    SRV_Transmit(bBuff, wTemp, 1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE25_WRITE_STATUS:
    EE25_WriteEnable(TRUE);
    EE25_WriteStatus((BYTE)Param1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE25_READ_STATUS:
    bBuff[0] = EE25_ReadStatus();
    //Ǐof[^𑗐M
    SRV_Transmit(bBuff, 1, 1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE25_WRITE_ENABLE:
    EE25_WriteEnable((BOOL)Param1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE25_WRITE:
    wTemp = (WORD)Param2; //݃oCg
    if(!wTemp) break;     //f[^0̏ꍇȂ
    //f[^M
    if(SRV_Receive(bBuff, wTemp, 1)) break; //G[̏ꍇ
    //
    EE25_WriteEnable(TRUE); //݋
    EE25_Write(Param1, bBuff, wTemp, (int)(Param2 >> 16));
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE25_READ:
    wTemp = (WORD)Param2; //ǏooCg
    if(!wTemp) break;     //f[^0̏ꍇȂ
    //Ǐo
    EE25_Read(Param1, bBuff, wTemp, (int)(Param2 >> 16));
    //M
    SRV_Transmit(bBuff, wTemp, 1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE93_WRITE_ENABLE:
    EE93_WriteEnable((BOOL)Param1, (int)Param2);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE93_ERASE_ALL:
    EE93_EraseAll((int)Param1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE93_WRITE_ALL:
    EE93_WriteAll((WORD)Param1, (int)Param2);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE93_WRITE:
    wTemp = (WORD)Param2; //݃[h
    if(!wTemp) break;     //f[^0̏ꍇȂ
    //f[^M
    if(SRV_Receive(bBuff, wTemp << 1, 1)) break; //G[̏ꍇ
    //
    EE93_Write(Param1, bBuff, wTemp, (int)(Param2 >> 16));
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE93_READ:
    wTemp = (WORD)Param2; //ǏooCg
    if(!wTemp) break;     //f[^0̏ꍇȂ
    //f[^Ǐo
    EE93_Read(Param1, bBuff, wTemp, (int)(Param2 >> 16));
    //M
    SRV_Transmit(bBuff, wTemp << 1, 1);
    break;
  //--------------------------------------------------------------------------
  case SPIC_EE93_IS_READY:
    //݉\ׂ
    bBuff[0] = (BYTE)EE93_IsReady();
    //M
    SRV_Transmit(bBuff, 1, 1);
    break;
  }
  return;
}




