/*****************************************************************************
  M3069Serial.h

  M3069Serial.dllp̃wb_[t@CBM3069}CR{[hI2C,SPI,Microwire
  ̃VAC^tF[Xgpł悤ɂ邽߂ɃCuB

  쐬 : 2007/11/30
  XV : 2008/5/21 RgC

  Copyright (C) eNmEF[u2007-2008
*****************************************************************************/
#ifndef __M3069_SERIAL_H__
#define __M3069_SERIAL_H__

//RfBVrbg\萔
#define ATF_I2C_START 0x01
#define ATF_I2C_STOP  0x02

//EEPROM̃X[uAhX
#define ATF_I2C_EEPROM 0xa0

//I2C̃G[R[h
//ATF_I2CWrite(), ATF_I2CRead()݂̂Ŏgp܂
enum{
  TW_I2CS_TIMEOUT = TW_ATF_STATUS + 1,
  TW_I2CS_NACK,
};


#ifdef __cplusplus
extern "C" {
#endif
//ATF̃_E[hƍ폜
TW_STATUS _stdcall ATF_SerialAttach(TW_HANDLE hDev);
TW_STATUS _stdcall ATF_SerialDetach(TW_HANDLE hDev);

//I2C֘A֐
TW_STATUS _stdcall ATF_I2CSetPort(TW_HANDLE hDev, DWORD Port, long SclBit, long SdaBit, BYTE DDR);
TW_STATUS _stdcall ATF_I2CSetWait(TW_HANDLE hDev, BYTE Wait);
TW_STATUS _stdcall ATF_I2CWrite(TW_HANDLE hDev, BYTE SlaveAddr, void *pData, long *pnWrite, long Condition);
TW_STATUS _stdcall ATF_I2CRead(TW_HANDLE hDev, BYTE SlaveAddr, void *pData, long *pnRead, long Condition);
TW_STATUS _stdcall ATF_EE24Write(TW_HANDLE hDev, BYTE SlaveAddr, DWORD Addr, void *pData, long *pnWrite, long nAddrBits);
TW_STATUS _stdcall ATF_EE24Read(TW_HANDLE hDev, BYTE SlaveAddr, DWORD Addr, void *pData, long *pnRead, long nAddrBits);

//SPI֘A֐
TW_STATUS _stdcall ATF_SPISetPort(TW_HANDLE hDev, DWORD Port, long CLKBit, long DOBit, long DIBit, DWORD CSPort, BYTE CSBits);
TW_STATUS _stdcall ATF_SPISetWait(TW_HANDLE hDev, WORD Wait);
TW_STATUS _stdcall ATF_SPIWriteRead(TW_HANDLE hDev, void *pWrite, long nWriteBits, void *pRead, long nReadBits, BYTE Mode);
TW_STATUS _stdcall ATF_SPIWrite(TW_HANDLE hDev, void *pWrite, long nWriteBits, BYTE Mode);
TW_STATUS _stdcall ATF_SPIRead(TW_HANDLE hDev, void *pRead, long nReadBits, BYTE Mode);

TW_STATUS _stdcall ATF_EE25ReadStatus(TW_HANDLE hDev, BYTE *pStatus);
TW_STATUS _stdcall ATF_EE25WriteStatus(TW_HANDLE hDev, BYTE Status);
TW_STATUS _stdcall ATF_EE25Write(TW_HANDLE hDev, DWORD Addr, void *pData, long nWrite, long nAddrBits);
TW_STATUS _stdcall ATF_EE25Read(TW_HANDLE hDev, DWORD Addr, void *pData, long nRead, long nAddrBits);

TW_STATUS _stdcall ATF_EE93WriteEnable(TW_HANDLE hDev, BOOL flgEnable, long nAddrBits);
TW_STATUS _stdcall ATF_EE93EraseAll(TW_HANDLE hDev, long nAddrBits);
TW_STATUS _stdcall ATF_EE93WriteAll(TW_HANDLE hDev, WORD Data, long nAddrBits);
TW_STATUS _stdcall ATF_EE93Write(TW_HANDLE hDev, DWORD Addr, void *pData, WORD nDataWords, long nAddrBits);
TW_STATUS _stdcall ATF_EE93Read(TW_HANDLE hDev, DWORD Addr, void *pData, WORD nDataWords, long nAddrBits);
TW_STATUS _stdcall ATF_EE93IsReady(TW_HANDLE hDev, BOOL *pflgReady);

#ifdef __cplusplus
}
#endif


//****** ȉ̍s VisualStudio  IntelliSense ̂߂ɒǉĂ܂ *****
//****** KvȂꍇɂ̓RgAEgĂ                     *****
#ifdef __USBM_INTELLISENSE__

/*****************************************************************************
  TW_STATUS ATF_SerialAttach(TW_HANDLE hDev)
  
  hDev   : foCX̃nh
  
  VAC^tF[Xp̃A^b`gt@[(M3069Serial.atf)foCX
  Ƀ_E[h܂BCu֐̎gpɐ旧ČĂяoOɕKĂяo
  ĂB
*****************************************************************************/
TW_STATUS _stdcall ATF_SerialAttach(TW_HANDLE hDev){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_SerialDetach(TW_HANDLE hDev)
  
  hDev   : foCX̃nh
  
  VAC^tF[Xp̃A^b`gt@[̎gpI܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_SerialDetach(TW_HANDLE hDev){ return 0 };


//----------------------------------------------------------------------------
//  I2CC^tF[Xp֐
//
//  }X^[̂݉\łB̃}X^[ɂ͑ΉĂ܂B
//----------------------------------------------------------------------------
/*****************************************************************************
  TW_STATUS ATF_I2CSetPort(TW_HANDLE hDev, DWORD Port, 
                           long SclBit, long SdaBit, BYTE DDR)
  
  hDev   : foCX̃nh
  Port   : gp|[g(USBM_P4,USBM_PA)
  SclBit : SCLƂĎgprbg̔ԍ(0-7)
  SdaBit : SDAƂĎgprbg̔ԍ(0-7)
  DDR    : gpDDR̋Kl
  
  I2CC^tF[XƂĎgp|[gݒ肵܂BDDR͎gp|[g
  DDR(rbg̓o͕𑀍삷郌WX^)ɐݒ肷l^܂BI2Cł͏o
  I[vRN^ƂȂĂ邽ߎgp|[gDDR𑀍삵܂BA
  DDR̓rbgłȂ̂ŁASẴrbgĂ܂AI2CŎgp
  Ȃrbg㏑Ă܂܂B̂߁ÃCułI2CŎgp
  Ȃrbg̏Ԃۑ邽߂ɗ\DDR̒lL^ĂÃrbgɂ
  ̒lނ悤ɂĂ܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_I2CSetPort(TW_HANDLE hDev, DWORD Port, long SclBit, long SdaBit, BYTE DDR){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_I2CSetWait(TW_HANDLE hDev, BYTE Wait);
  
  hDev : foCX̃nh
  Wait : [h/Cg̃EFCgݒ
  
  I2C̓]x𐧌䂵܂B
  Wait̒l1480nsecNbNTCNLт܂Bt@[Xg[h
  (400KHzȉ)̏ꍇ0ȏAX^_[h[h(100KHzȉ)̏ꍇ14ȏƂĂ
  B
*****************************************************************************/
TW_STATUS _stdcall ATF_I2CSetWait(TW_HANDLE hDev, BYTE Wait){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_I2CWrite(TW_HANDLE hDev, BYTE SlaveAddr, 
                         void *pData, long *pnWrite, long Condition)
  
  hDev      : foCX̃nh
  SlaveAddr : X[uAhX
  pData     : [in]ރf[^
  pnWrite   : [in]ރf[^̃oCg(256ȉ)
              [out]ۂɏ߂oCg
  Condition : MOɃX^[gRfBVAXgbvRfBVo
              邩ǂw肵܂BȉORŌ܂B
              ATF_I2C_START(0x01) MOɃX^[gRfBVo͂܂
              ATFI2C_STOP(0x02)  MɃXgbvRfBVo͂܂
  
  ߂l    : ȉ̃CuƎ̃Xe[^XԂꍇ܂
              TW_I2CS_TIMEOUT(0xfffffe01) SCL̉҂Ń^CAEg
              TW_I2CS_NACK(0xfffffe02)    ACKԂȂ
              
  I2CC^tF[Xʂăf[^݂܂BX[uAhX̓X^[gR
  fBVo͂ꍇ̂ݑM܂BX[uAhXMSBl߂
  ͂܂BLSB͎R/WZbg܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_I2CWrite(TW_HANDLE hDev, BYTE SlaveAddr, void *pData, long *pnWrite, long Condition){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_I2CRead(TW_HANDLE hDev, BYTE SlaveAddr, 
                        void *pData, long *pnRead, long Condition)
  
  hDev      : foCX̃nh
  SlaveAddr : X[ufoCX̃AhX
  pData     : [out]ǂݏof[^̊i[
  pnRead    : [in]ǂݏof[^̃oCg(256ȉ)
              [out]ۂɓǂݏof[^̃oCg
  Condition : MOɃX^[gRfBVAXgbvRfBVo
              邩ǂw肵܂BȉORŌ܂B
              ATF_I2C_START(0x01) MOɃX^[gRfBVo͂܂
              ATF_I2C_STOP(0x02)  MɃXgbvRfBVo͂܂
  
  ߂l    : ȉ̃CuƎ̃Xe[^XԂꍇ܂
              TW_I2CS_TIMEOUT(0xfffffe01) SCL̉҂Ń^CAEg
              TW_I2CS_NACK(0xfffffe02)    ACKԂȂ
              
  I2CC^tF[Xf[^ǂ݂܂BX[uAhX̓X^[gRfBV
  o͂ꍇ̂ݑM܂BX[uAhXMSBl߂ē͂
  BLSB͖܂BXgbvRfBVo͂ꍇ͓Ǐo̍ŏIo
  CgɂACKԂ܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_I2CRead(TW_HANDLE hDev, BYTE SlaveAddr, void *pData, long *pnRead, long Condition){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE24Write(TW_HANDLE hDev, BYTE SlaveAddr, DWORD Addr, 
                          void *pData, long *pnWrite, long nAddrBits)
  
  hDev      : foCX̃nh
  SlaveAddr : X[uAhXB
  Addr      : ANZX郁AhX
  pData     : [in]ރf[^
  pnWrite   : [in]ރf[^̃oCg(256ȉ)
              [out]ۂɏ߂oCg
  nAddrBits : foCX̃AhXrbg(4-32)

  I2CEEPROMɏ݂s܂BX[uAhXMSBl߂ē͂܂B
  EEPROMɃANZXꍇ͏4rbgB'1010Ƃ܂BLSB͎IR/WZb
  g܂BAhXrbg9,10,11,17̃foCXɂĂ͎IɃAhX
  ̏ʃrbgX[uAhXɊi[܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE24Write(TW_HANDLE hDev, BYTE SlaveAddr, DWORD Addr, void *pData, long *pnWrite, long nAddrBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE24Read(TW_HANDLE hDev, BYTE SlaveAddr, DWORD Addr, 
                         void *pData, long *pnRead, long nAddrBits)
  
  hDev      : foCX̃nh
  SlaveAddr : X[uAhXB
  Addr      : ANZX郁AhX
  pData     : [out]ǂݏof[^
  pnRead    : [in]ǂݏof[^̃oCg(256ȉ)
              [out]ۂɓǂݏof[^̃oCg
  nAddrBits : foCX̃AhXrbg(4-32)

  I2CEEPROMǂݏo܂BX[uAhXMSBl߂ē͂܂B
  EEPROMɃANZXꍇ͏4rbgB'1010Ƃ܂BLSB͎IR/WZb
  g܂B
  AhXrbg9,10,11,17̃foCXɂĂ͎IɃAhX̏ʃrbg
  X[uAhXɊi[܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE24Read(TW_HANDLE hDev, BYTE SlaveAddr, DWORD Addr, void *pData, long *pnRead, long nAddrBits){ return 0 };


//----------------------------------------------------------------------------
//  SPIMicrowireC^tF[Xp֐
//
//  gp|[g̓o͕̐ݒ͎ł͍s܂̂
//  USBM_PortSetDir()֐Őݒ肷Kv܂B
//
//  ɐ̈ႤCS𓯎ɈƂł܂̂ŁAɐڑꍇ́Aꂼ
//  ɃANZXOATF_SPISetPort() ŐݒύXĂB
//----------------------------------------------------------------------------
/*****************************************************************************
  TW_STATUS ATF_SPISetPort(TW_HANDLE hDev, DWORD Port, long CLKBit, 
                           long DOBit, long DIBit, DWORD CSPort, BYTE CSBits)
  
  hDev   : foCX̃nh
  Port   : CLK,DO,DI[qƂĎgp|[g(USBM_P4,USBM_PA)
  CLKBit : CLKɎgprbgԍ(0-7)
  DOBit  : DOɎgprbgԍ(0-7)
  DIBit  : DIɎgprbgԍ(0-7)
  CSPort : CSɎgp|[g(USBM_P4,USBM_PA)
  CSBits : CSɎgprbg(rbg}bvŎw)
  
  SPIC^tF[XɎgp|[gw肵܂BCSɎgp|[g͑̃rb
  gƕʂɎwł܂BCSBitŝݔԍł͂Ȃrbg}bvŎw肷邱Ƃɒ
  ĂBႦ΃rbg7gpꍇ̐ݒl0x80łBCSBits͕w
  \ł̂ŕfoCXւ݂̓Ȃǂ\łiǂݏo͓ɂ
  ł܂jBANZXOCS̑ȂꍇACSPort,CSBitsƂ0ƂĂ
  B
*****************************************************************************/
TW_STATUS _stdcall ATF_SPISetPort(TW_HANDLE hDev, DWORD Port, long CLKBit, long DOBit, long DIBit, DWORD CSPort, BYTE CSBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_SPISetWait(TW_HANDLE hDev, WORD Wait)
  
  hDev : foCX̃nh
  Wait : EFCgp[^
  
  EFCgݒ肵܂BEFCgp[^1閈ɖ480nsNbNTC
  NLт܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_SPISetWait(TW_HANDLE hDev, WORD Wait){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_SPIWriteRead(TW_HANDLE hDev, void *pWrite, long nWriteBits, 
                             void *pRead, long nReadBits, BYTE Mode)
  
  hDev       : foCX̃nh
  pWrite     : [in]݃f[^
  nWriteBits : ݃rbg
  pRead      : [out]ǂݏof[^̊i[
  nReadBits  : ǂݏorbg
  Mode       : 샂[h
               rbg0 ǏoNbNʑ(CPHA)
               rbg1 ݎNbNʑ(CPHA)
               rbg2 NbNɐ(CPOL)
               rbg3 f[^I[_[(ORD) 0:MSB]A1:LSB]
               rbg4 CSɐ(CSPOL) 0:"Lo"ANeBuA1:"Hi"ANeBu
  
  SPIC^tF[Xɏ݂sȂAǂݏosȂ܂BANZX̑O
  CSΉrbgANeBuɂAANZXɃCANeBuɂ܂BANZX
  CS̃xModẽrbg4Ō܂܂B
  
  ]rbg8Ŋ؂ȂꍇAMSB]ꍇMSBɁALSB]
  ꍇɂLSBɃf[^l߂ĂB
  
  NbNʑ͏ݎƓǏoɕʁX̐ݒ肪\łBႦ93C46̂悤
  ȃfoCXɃANZXꍇAݎ̃NbNʑrbg0AǏõN
  bNʑrbg1Ƃ܂B̏ꍇAݎɂ̓X[uNbN̗
  Ńf[^TvOAǏoɂ̓}X^NbN̗Ńf[^
  TvO܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_SPIWriteRead(TW_HANDLE hDev, void *pWrite, long nWriteBits, void *pRead, long nReadBits, BYTE Mode){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_SPIWrite(TW_HANDLE hDev, void *pWrite, 
                         long nWriteBits, BYTE Mode)
  
  hDev       : foCX̃nh
  pWrite     : [in]݃f[^
  nWriteBits : ރrbg(0-2048)
  Mode       : 샂[h
               rbg0 NbNʑ(CPHA)
               rbg1 NbNɐ(CPOL)
               rbg2 f[^I[_[(0:MSB]A1:LSB])
               
  SPIC^tF[Xf[^o͂܂BCS(`bvZNg)M͑삳
  Bʓr|[gȂǂŐ䂷Kv܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_SPIWrite(TW_HANDLE hDev, void *pWrite, long nWriteBits, BYTE Mode){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_SPIRead(TW_HANDLE hDev, void *pRead, 
                        long nReadBits, BYTE Mode)
  
  hDev      : foCX̃nh
  pRead     : [out]ǂݏof[^̊i[
  nReadBits : ǂݏorbg(0-2048)
  Mode      : 샂[h
              rbg0 NbNʑ(CPHA)
              rbg1 NbNɐ(CPOL)
              rbg2 f[^I[_[(0:MSB]A1:LSB])
               
  SPIC^tF[Xf[^͂܂BCS(`bvZNg)M͑삳
  Bʓr|[gȂǂŐ䂷Kv܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_SPIRead(TW_HANDLE hDev, void *pRead, long nReadBits, BYTE Mode){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE25ReadStatus(TW_HANDLE hDev, BYTE *pStatus)
  
  hDev    : foCX̃nh
  pStatus : [out]Xe[^X̊i[

  SPIC^tF[X̃VAEEPROMp֐łBXe[^Xǂݏo܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE25ReadStatus(TW_HANDLE hDev, BYTE *pStatus){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE25WriteStatus(TW_HANDLE hDev, BYTE Status)
  
  hDev   : foCX̃nh
  Status : ރXe[^Xl
  
  SPIC^tF[X̃VAEEPROMp֐łBXe[^X݂܂B
  ݋R}h͎őM܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE25WriteStatus(TW_HANDLE hDev, BYTE Status){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE25Write(TW_HANDLE hDev, DWORD Addr, 
                          void *pData, long nWrite, long nAddrBits)
  
  hDev      : foCX̃nh
  Addr      : EEPROM̃AhX
  pData     : [in]݃f[^
  nWrite    : ݃oCg(0-256)
  nAddrBits : EEPROM̃AhX̃rbg(8-32)

  SPIC^tF[X̃VAEEPROMp֐łB݂s܂B݂̓o
  CgPʂōs܂B݋R}h͎őM܂B
  EEPROMɃy[WCg@\ꍇ́Af[^xɏ߂܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE25Write(TW_HANDLE hDev, DWORD Addr, void *pData, long nWrite, long nAddrBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE25Read(TW_HANDLE hDev, DWORD Addr, 
                         void *pData, long nRead, long nAddrBits)
  
  hDev      : foCX̃nh
  Addr      : EEPROM̃AhX
  pData     : [out]ǂݏof[^̊i[
  nRead     : ǂݏooCg(0-256)
  nAddrBits : EEPROM̃AhX̃rbg(8-32)

  SPIC^tF[X̃VAEEPROMp֐łBǂݏosȂ܂BǏo
  oCgPʂōs܂B
  EEPROMɃV[PV[h@\ꍇ͕f[^xɓǂ߂܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE25Read(TW_HANDLE hDev, DWORD Addr, void *pData, long nRead, long nAddrBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE93WriteEnable(TW_HANDLE hDev, BOOL flgEnable, long nAddrBits)

  hDev      : foCX̃nh
  flgEnable : ݋/֎~
              TRUE  ݋
              FALSE ݋֎~
  nAddrBits : AhXrbg(0-32)
              
  MicrowireC^tF[X̃VAEEPROMp֐łB݂܂͋֎~R
  }h𑗐M܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE93WriteEnable(TW_HANDLE hDev, BOOL flgEnable, long nAddrBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE93EraseAll(TW_HANDLE hDev, long nAddrBits)
  
  hDev      : foCX̃nh
  nAddrBits : AhX̃rbg(0-32)
  
  MicrowireC^tF[X̃VAEEPROMp֐łBSẴ̈
  ܂B
  ݏIA`bvfBɂȂ̂҂Ċ֐߂܂̂ŁA
  ATF_EE93IsReady()̌Ăяo͕Kv܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE93EraseAll(TW_HANDLE hDev, long nAddrBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE93WriteAll(TW_HANDLE hDev, WORD Data, long nAddrBits)
  
  hDev      : foCX̃nh
  Data      : ރf[^(16rbgl)
  nAddrBits : AhX̃rbg(0-32)

  MicrowireC^tF[X̃VAEEPROMp֐łBSẴ̈ɓl
  ݂܂B
  ݏIA`bvfBɂȂ̂҂Ċ֐߂܂̂ŁA
  ATF_EE93IsReady()̌Ăяo͕Kv܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE93WriteAll(TW_HANDLE hDev, WORD Data, long nAddrBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE93Write(TW_HANDLE hDev, DWORD Addr, 
                          void *pData, WORD nDataWords, long nAddrBits)
  
  hDev       : foCX̃nh
  Addr       : ݂sȂAhX
  pData      : [in]ރf[^
  nDataWords : ރf[^([hPʁA0-128)
  nAddrBits  : AhX̃rbg(0-32)

  MicrowireC^tF[X̃VAEEPROMp֐łBf[^݂܂B
  ݂16rbgPʂōs܂̂ŒӂĂB
  EEPROMɃy[WCg@\ꍇ́Af[^xɏ߂܂B
  ݏIA`bvfBɂȂ̂҂Ċ֐߂܂̂ŁA
  ATF_EE93IsReady()̌Ăяo͕Kv܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE93Write(TW_HANDLE hDev, DWORD Addr, void *pData, WORD nDataWords, long nAddrBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE93Read(TW_HANDLE hDev, DWORD Addr, 
                         void *pData, WORD nDataWords, long nAddrBits)
  
  hDev       : foCX̃nh
  Addr       : ǂݏosȂAhX
  pData      : [out]ǂݏof[^̊i[
  nDataWords : ǂݏof[^([hPʁA0-128)
  nAddrBits  : AhX̃rbg(0-32)

  MicrowireC^tF[X̃VAEEPROMp֐łBf[^ǂݏo܂B
  o16rbgPʂōs܂̂ŒӂĂB
  EEPROMɃV[PV[h@\ꍇ͕f[^xɓǂ߂܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE93Read(TW_HANDLE hDev, DWORD Addr, void *pData, WORD nDataWords, long nAddrBits){ return 0 };

/*****************************************************************************
  TW_STATUS ATF_EE93IsReady(TW_HANDLE hDev, BOOL *pflgReady)
  
  hDev      : foCX̃nh
  pflgReady : [out]`bṽANZX
              TRUE  ANZX\
              FALSE /쒆BANZXs
           
  MicrowireC^tF[X̃VAEEPROMp֐łB`bvɃANZX\
  ׂ܂B
*****************************************************************************/
TW_STATUS _stdcall ATF_EE93IsReady(TW_HANDLE hDev, BOOL *pflgReady){ return 0 };


#endif /*__USBM_INTELLISENSE__*/

#endif /*__M3069_SERIAL_H__*/




