	segment	TEXT ATR_CODE
public	_I2C_SetPort
_I2C_SetPort:
;	Port	8(er6)
;	SclBit	12(er6)
;	SdaBit	14(er6)
;	DDR	17(er6)
	PUSH.L	ER6
	MOV.L	ER7,ER6
                                         
;                                        I2C.c(42)
	MOV.L	@(+8,ER6),ER0
	MOV.L	ER0,@_g_I2C_Port
;                                        I2C.c(43)
	MOV.L	ER0,ER1
	SUB.L	#H'00011FD0,ER1
	MOV.L	ER1,@_g_I2C_Dir
;                                        I2C.c(44)
	MOV.B	@(+17,ER6),R2L
	MOV.B	R2L,@_g_I2C_DDR
;                                        I2C.c(45)
	MOV.W	@(+12,ER6),R3
	MOV.B	R3L,@_g_I2C_SclBit
;                                        I2C.c(46)
	MOV.W	@(+14,ER6),R4
	MOV.B	R4L,@_g_I2C_SdaBit
;                                        I2C.c(47)
	MOV.W	#H'0001,R0
	MOV.W	@(+12,ER6),R1
	PUSH.W	R1
	PUSH.W	R0
	JSR	@__w_shift_sl
	ADDS.L	#H'00000002,ER7
	POP.W	R0
	NOT.W	R0
	MOV.B	R2L,R1L
	AND.B	R0L,R1L
	MOV.B	R1L,@_g_I2C_DDR
;                                        I2C.c(48)
	MOV.W	#H'0001,R0
	MOV.W	@(+14,ER6),R1
	PUSH.W	R1
	PUSH.W	R0
	JSR	@__w_shift_sl
	ADDS.L	#H'00000002,ER7
	POP.W	R0
	NOT.W	R0
	MOV.B	@_g_I2C_DDR,R1L
	AND.B	R0L,R1L
	MOV.B	R1L,@_g_I2C_DDR
;                                        I2C.c(49)
	MOV.L	@_g_I2C_Dir,ER0
	MOV.B	R1L,@ER0
;                                        I2C.c(50)
_I2C_SetPort_end:

	POP.L	ER6
	RTS

	segment	TEXT ATR_CODE
public	_I2C_SetWait
_I2C_SetWait:
;	Wait	9(er6)
	PUSH.L	ER6
	MOV.L	ER7,ER6
                                         
;                                        I2C.c(62)
	MOV.B	@(+9,ER6),R0L
	MOV.B	R0L,@_g_I2C_Wait
;                                        I2C.c(63)
_I2C_SetWait_end:

	POP.L	ER6
	RTS

	segment	TEXT ATR_CODE
_I2C_ByteOut:
                                                                      
;                                        I2C.c(86)
   I2C_TIMEOUT EQU H'01
;                                        I2C.c(87)
   I2C_NACK    EQU H'02
;                                        I2C.c(90)
 MACRO I2C_WAIT() LOCAL(loop1,exit1)
;                                        I2C.c(91)
   MOV.B  @_g_I2C_Wait,R0L   ;R0LɃEFCg̃[v񐔂[h
;                                        I2C.c(92)
   BEQ    exit1:8
;                                        I2C.c(93)
 loop1:
;                                        I2C.c(94)
   DEC.B  R0L
;                                        I2C.c(95)
   BNE    loop1
;                                        I2C.c(96)
 exit1:
;                                        I2C.c(97)
 ENDM
;                                        I2C.c(99)
   MOV.W  #8,E1              ;E18rbgJEg
;                                        I2C.c(100)
 L_I2C_BYTE_OUT0:
;                                        I2C.c(102)
   SHLL.B R4L                ;R4LMSBCrbg
;                                        I2C.c(103)
   BCS    L_I2C_BYTE_OUT1:8  ;
;                                        I2C.c(105)
   BSET   R1H,R0H            ;SDAΉrbg1ɂ
;                                        I2C.c(106)
   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
;                                        I2C.c(107)
   BRA    L_I2C_BYTE_OUT2:8  
;                                        I2C.c(109)
 L_I2C_BYTE_OUT1:
;                                        I2C.c(110)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(111)
   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
;                                        I2C.c(112)
 L_I2C_BYTE_OUT2:
;                                        I2C.c(113)
   I2C_WAIT()
;                                        I2C.c(114)
   NOP
;                                        I2C.c(116)
   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
;                                        I2C.c(117)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(118)
   I2C_WAIT()
;                                        I2C.c(120)
   BTST   R1L,@ER2
;                                        I2C.c(121)
   BNE    L_I2C_BYTE_OUT3:8  ;SCL"Hi"Ȃ玟ɐi
;                                        I2C.c(122)
   JSR    @_I2C_WaitRdy      ;SCL"Lo"̏ꍇ"Hi"ɂȂ̂҂
;                                        I2C.c(123)
   MOV.W  E0,E0
;                                        I2C.c(124)
   BNE    L_I2C_BYTE_OUT_EXIT
;                                        I2C.c(126)
 L_I2C_BYTE_OUT3:
;                                        I2C.c(128)
   BSET   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(129)
   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
;                                        I2C.c(131)
   DEC.W  #1,E1              
;                                        I2C.c(132)
   BNE    L_I2C_BYTE_OUT0    ;[v
;                                        I2C.c(136)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(137)
   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
;                                        I2C.c(138)
   I2C_WAIT()
;                                        I2C.c(139)
   NOP
;                                        I2C.c(140)
   NOP
;                                        I2C.c(141)
   NOP
;                                        I2C.c(142)
   NOP
;                                        I2C.c(144)
   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
;                                        I2C.c(145)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(146)
   I2C_WAIT()
;                                        I2C.c(148)
   BTST   R1L,@ER2
;                                        I2C.c(149)
   BNE    L_I2C_BYTE_OUT4    ;SCL"Hi"Ȃ玟ɐi
;                                        I2C.c(150)
   JSR    @_I2C_WaitRdy      ;SCL"Lo"̏ꍇ"Hi"ɂȂ̂҂
;                                        I2C.c(151)
   MOV.W  E0,E0
;                                        I2C.c(152)
   BNE    L_I2C_BYTE_OUT_EXIT
;                                        I2C.c(155)
 L_I2C_BYTE_OUT4:
;                                        I2C.c(156)
   BTST   R1H,@ER2           
;                                        I2C.c(157)
   BEQ    L_I2C_BYTE_OUT_EXIT
;                                        I2C.c(158)
   MOV.W  #I2C_NACK,E0
;                                        I2C.c(160)
 L_I2C_BYTE_OUT_EXIT:
;                                        I2C.c(162)
   BSET   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(163)
   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
;                                        I2C.c(164)
_I2C_ByteOut_end:

	RTS

	segment	TEXT ATR_CODE
_I2C_WaitRdy:
                                                                      
;                                        I2C.c(182)
   XOR.W  E0,E0             ;65536񃋁[vđ҂
;                                        I2C.c(184)
 L_I2C_WAIT_RDY0:
;                                        I2C.c(185)
   BTST   R1L,@ER2          ;SCLrbg̃`FbN
;                                        I2C.c(186)
   BNE    L_I2C_WAIT_RDY1:8 ;SCL"Hi"̏ꍇ
;                                        I2C.c(187)
   DEC.W  #1,E0
;                                        I2C.c(188)
   BEQ    L_I2C_WAIT_RDY_ERR:8 ;^CAEg
;                                        I2C.c(189)
   BRA    L_I2C_WAIT_RDY0   ;[v
;                                        I2C.c(191)
 L_I2C_WAIT_RDY1:
;                                        I2C.c(192)
   XOR.W  E0,E0             ;E0NA
;                                        I2C.c(193)
   RTS
;                                        I2C.c(194)
 L_I2C_WAIT_RDY_ERR:
;                                        I2C.c(195)
   MOV.W  #I2C_TIMEOUT,E0   ;E0ɃG[Zbg
;                                        I2C.c(196)
_I2C_WaitRdy_end:

	RTS

	segment	TEXT ATR_CODE
public	_I2C_Write
_I2C_Write:
;	SlaveAddr	9(er6)
;	pData	10(er6)
;	nData	14(er6)
;	Condition	16(er6)
	PUSH.L	ER6
	MOV.L	ER7,ER6
                                         
;                                        I2C.c(233)
   MOV.B  @_g_I2C_SclBit,R1L ;R1L = g_I2C_SclBit
;                                        I2C.c(234)
   MOV.B  @_g_I2C_SdaBit,R1H ;R1H = g_I2C_SdaBit
;                                        I2C.c(235)
   MOV.L  @_g_I2C_Port,ER2   ;ER2 = g_I2C_Port
;                                        I2C.c(236)
   MOV.L  @_g_I2C_Dir,ER3    ;ER3 = g_I2C_Dir
;                                        I2C.c(237)
   MOV.W  @(+16,ER6),R4      ;R4H = Condition
;                                        I2C.c(238)
   MOV.B  R4L,R4H            ;
;                                        I2C.c(239)
   MOV.L  @(+10,ER6),ER5         ;ER5 = pData
;                                        I2C.c(240)
   MOV.W  @(+14,ER6),E4          ;E4 = nData
;                                        I2C.c(241)
   XOR.W  E0,E0              ;E0 = G[Xe[^X
;                                        I2C.c(244)
   MOV.B  @ER2,R0H
;                                        I2C.c(245)
   BCLR   R1H,R0H
;                                        I2C.c(246)
   BCLR   R1L,R0H
;                                        I2C.c(247)
   MOV.B  R0H,@ER2
;                                        I2C.c(248)
   MOV.B  @_g_I2C_DDR,R0H    ;DDR̋KlR0HɃ[h
;                                        I2C.c(249)
   BTST   R1L,@ER2           ;݂SCL̃x`FbN
;                                        I2C.c(250)
   BNE    L_I2C_WRITE0:8
;                                        I2C.c(251)
   BSET   R1L,R0H            ;SCL"Lo"ȂÕoCg̑̉\̂Ńxێ
;                                        I2C.c(253)
 L_I2C_WRITE0:
;                                        I2C.c(254)
   BTST   #0,R4H             ;X^[gRfBVo͂邩`FbN
;                                        I2C.c(255)
   BEQ    L_I2C_WRITE1:8     ;f[^̑MJn
;                                        I2C.c(259)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(260)
   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
;                                        I2C.c(262)
   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
;                                        I2C.c(263)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(264)
   I2C_WAIT()
;                                        I2C.c(266)
   BSET   R1H,R0H            ;SDAΉrbg1ɂ
;                                        I2C.c(267)
   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
;                                        I2C.c(268)
   I2C_WAIT()
;                                        I2C.c(270)
   BSET   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(271)
   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
;                                        I2C.c(274)
   MOV.B  @(+9,ER6),R4L     ;R4L = SlaveAddr
;                                        I2C.c(275)
   BCLR   #0,R4L             ;CgȂ̂LSB0
;                                        I2C.c(276)
   JSR    @_I2C_ByteOut      ;X[uAhXo
;                                        I2C.c(277)
   MOV.W  E0,E0              ;G[`FbN
;                                        I2C.c(278)
   BNE    L_I2C_WRITE_EXIT   ;G[̏ꍇ
;                                        I2C.c(280)
 L_I2C_WRITE1:
;                                        I2C.c(281)
   MOV.W  E4,E4              ;f[^`FbN
;                                        I2C.c(282)
 L_I2C_WRITE2:
;                                        I2C.c(283)
   BEQ    L_I2C_WRITE_FIN    ;f[^ꍇI
;                                        I2C.c(284)
   MOV.B  @ER5+,R4L          ;R4LɃf[^[h
;                                        I2C.c(285)
   JSR    @_I2C_ByteOut      ;1oCgo
;                                        I2C.c(286)
   MOV.W  E0,E0              ;߂l`FbN
;                                        I2C.c(287)
   BNE    L_I2C_WRITE_EXIT   ;G[̏ꍇ
;                                        I2C.c(288)
   DEC.W  #1,E4              ;Mf[^fNg
;                                        I2C.c(289)
   BRA    L_I2C_WRITE2       ;[v
;                                        I2C.c(292)
 L_I2C_WRITE_FIN:
;                                        I2C.c(293)
   BTST   #1,R4H             ;XgbvRfBVo͂邩`FbN
;                                        I2C.c(294)
   BEQ    L_I2C_WRITE_EXIT
;                                        I2C.c(298)
   BSET   R1H,R0H            ;SDAΉrbg1ɂ
;                                        I2C.c(299)
   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
;                                        I2C.c(300)
   I2C_WAIT()
;                                        I2C.c(301)
   NOP
;                                        I2C.c(302)
   NOP
;                                        I2C.c(303)
   NOP
;                                        I2C.c(304)
   NOP
;                                        I2C.c(306)
   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
;                                        I2C.c(307)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(309)
   BTST   R1L,@ER2
;                                        I2C.c(310)
   BNE    L_I2C_WRITE3:8     ;SCL"Hi"Ȃ玟ɐi
;                                        I2C.c(311)
   JSR    @_I2C_WaitRdy      ;SCL"Lo"̏ꍇ"Hi"ɂȂ̂҂
;                                        I2C.c(312)
   MOV.W  E0,E0
;                                        I2C.c(313)
   BNE    L_I2C_WRITE_EXIT
;                                        I2C.c(314)
   I2C_WAIT()
;                                        I2C.c(316)
 L_I2C_WRITE3:
;                                        I2C.c(317)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(318)
   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
;                                        I2C.c(320)
 L_I2C_WRITE_EXIT:
;                                        I2C.c(321)
   MOV.W  @(+14,ER6),R0          ;MłoCgR0ɐݒ
;                                        I2C.c(322)
   SUB.W  E4,R0
;                                        I2C.c(323)
_I2C_Write_end:

	POP.L	ER6
	RTS

	segment	TEXT ATR_CODE
public	_I2C_Read
_I2C_Read:
;	SlaveAddr	9(er6)
;	pData	10(er6)
;	nData	14(er6)
;	Condition	16(er6)
	PUSH.L	ER6
	MOV.L	ER7,ER6
                                         
;                                        I2C.c(361)
 MACRO I2C_SCL_CHECK() LOCAL(next1)
;                                        I2C.c(362)
   BTST   R1L,@ER2
;                                        I2C.c(363)
   BNE    next1:8            ;SCL"Hi"Ȃ玟ɐi
;                                        I2C.c(364)
   JSR    @_I2C_WaitRdy      ;SCL"Lo"̏ꍇ"Hi"ɂȂ̂҂
;                                        I2C.c(365)
   MOV.W  E0,E0
;                                        I2C.c(366)
   BNE    L_I2C_READ_EXIT    ;G[̏ꍇ
;                                        I2C.c(367)
 next1:
;                                        I2C.c(368)
 ENDM
;                                        I2C.c(371)
   MOV.B  @_g_I2C_SclBit,R1L ;R1L = g_I2C_SclBit
;                                        I2C.c(372)
   MOV.B  @_g_I2C_SdaBit,R1H ;R1H = g_I2C_SdaBit
;                                        I2C.c(373)
   MOV.L  @_g_I2C_Port,ER2   ;ER2 = g_I2C_Port
;                                        I2C.c(374)
   MOV.L  @_g_I2C_Dir,ER3    ;ER3 = g_I2C_Dir
;                                        I2C.c(375)
   MOV.W  @(+16,ER6),R4      ;R4H = Condition
;                                        I2C.c(376)
   MOV.B  R4L,R4H            ;
;                                        I2C.c(377)
   MOV.L  @(+10,ER6),ER5         ;ER5 = pData
;                                        I2C.c(378)
   MOV.W  @(+14,ER6),E4          ;E4 = nData
;                                        I2C.c(379)
   XOR.W  E0,E0              ;E0 = G[Xe[^X
;                                        I2C.c(382)
   MOV.B  @ER2,R0H           ;݂DR̒lR0HɃ[h
;                                        I2C.c(383)
   BCLR   R1L,R0H            ;R0HSCLASDArbg0ɂ
;                                        I2C.c(384)
   BCLR   R1H,R0H            ;
;                                        I2C.c(385)
   MOV.B  R0H,@ER2           ;DRɏ߂
;                                        I2C.c(387)
   MOV.B  @_g_I2C_DDR,R0H    ;DDR̋KlR0HɃ[h
;                                        I2C.c(388)
   BTST   R1L,@ER2           ;DRSCLrbg𒲂ׂ
;                                        I2C.c(389)
   BNE    L_I2C_READ0
;                                        I2C.c(390)
   BSET   R1L,R0H            ;SCL"Lo"ȂÕoCg̑̉\̂Ńxێ
;                                        I2C.c(392)
 L_I2C_READ0:
;                                        I2C.c(393)
   BTST   #0,R4H             ;X^[gRfBVo͂邩`FbN
;                                        I2C.c(394)
   BEQ    L_I2C_READ1        ;f[^̎MJn
;                                        I2C.c(398)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(399)
   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
;                                        I2C.c(401)
   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
;                                        I2C.c(402)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(403)
   I2C_WAIT()
;                                        I2C.c(405)
   BSET   R1H,R0H            ;SDAΉrbg1ɂ
;                                        I2C.c(406)
   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
;                                        I2C.c(407)
   I2C_WAIT()
;                                        I2C.c(409)
   BSET   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(410)
   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
;                                        I2C.c(413)
   MOV.B  @(+9,ER6),R4L     ;R4L = SlaveAddr
;                                        I2C.c(414)
   BSET   #0,R4L             ;CgȂ̂LSB0
;                                        I2C.c(415)
   JSR    @_I2C_ByteOut      ;X[uAhXo
;                                        I2C.c(416)
   MOV.W  E0,E0              ;߂l`FbN
;                                        I2C.c(417)
   BNE    L_I2C_READ_EXIT    ;G[̏ꍇ
;                                        I2C.c(420)
 L_I2C_READ1:
;                                        I2C.c(421)
   MOV.L  @(+10,ER6),ER5         ;ER5Ƀf[^AhX[h
;                                        I2C.c(422)
   MOV.W  E4,E4              ;f[^`FbN
;                                        I2C.c(423)
   BEQ    L_I2C_READ_EXIT    ;I
;                                        I2C.c(426)
 L_I2C_READ7:
;                                        I2C.c(427)
   MOV.W  #8,E1              ;E18rbgJEg
;                                        I2C.c(428)
   XOR.B  R4L,R4L            ;R4L = 0
;                                        I2C.c(429)
 L_I2C_READ2:
;                                        I2C.c(431)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(432)
   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
;                                        I2C.c(435)
   SHLL.B R4L                ;R4L1rbgVtg
;                                        I2C.c(436)
   BTST   R1H,R0L            ;SDArbg`FbN
;                                        I2C.c(437)
   BNE    L_I2C_READ3:8
;                                        I2C.c(439)
   BRA    L_I2C_READ4:8
;                                        I2C.c(441)
 L_I2C_READ3:
;                                        I2C.c(442)
   BSET   #0,R4L             ;R4LLSBZbg
;                                        I2C.c(443)
 L_I2C_READ4:
;                                        I2C.c(444)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(447)
   BCLR   R1L,R0H
;                                        I2C.c(448)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(449)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(451)
   I2C_SCL_CHECK()
;                                        I2C.c(453)
   MOV.B  @ER2,R0L           ;DRR0LɃ[h
;                                        I2C.c(455)
   BSET   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(456)
   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
;                                        I2C.c(458)
   DEC.W  #1,E1              ;JE^1炷
;                                        I2C.c(459)
   BNE    L_I2C_READ2        ;[v
;                                        I2C.c(462)
   SHLL.B R4L                ;R4L1rbgVtg
;                                        I2C.c(463)
   BTST   R1H,R0L            ;SDArbg`FbN
;                                        I2C.c(464)
   BEQ    L_I2C_READ5:8
;                                        I2C.c(466)
   BSET   #0,R4L             ;R4LLSBZbg
;                                        I2C.c(467)
   BRA    L_I2C_READ6:8
;                                        I2C.c(468)
 L_I2C_READ5:
;                                        I2C.c(470)
   BCLR   #0,R4L             ;R4LLSBNA
;                                        I2C.c(471)
 L_I2C_READ6:
;                                        I2C.c(474)
   MOV.B  R4L,@ER5           ;f[^i[
;                                        I2C.c(475)
   DEC.W  #1,E4              ;coCǧvZ
;                                        I2C.c(476)
   BEQ    L_I2C_READ_FIN     ;ǏoI
;                                        I2C.c(479)
   INC.L  #1,ER5             ;AhXCNg
;                                        I2C.c(482)
   BSET   R1H,R0H            ;SDAΉrbg1ɂ
;                                        I2C.c(483)
   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
;                                        I2C.c(484)
   NOP
;                                        I2C.c(485)
   NOP
;                                        I2C.c(486)
   NOP
;                                        I2C.c(487)
   I2C_WAIT()
;                                        I2C.c(489)
   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
;                                        I2C.c(490)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(492)
   I2C_SCL_CHECK()
;                                        I2C.c(493)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(495)
   BSET   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(496)
   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
;                                        I2C.c(497)
   BRA    L_I2C_READ7        ;̃oCg
;                                        I2C.c(500)
 L_I2C_READ_FIN:
;                                        I2C.c(501)
   BTST   #1,R4H             ;XgbvRfBVo͂邩`FbN
;                                        I2C.c(502)
   BNE    L_I2C_READ_NACK    ;XgbvRfBVo͂ꍇNACKM
;                                        I2C.c(506)
   BSET   R1H,R0H            ;SDAΉrbg1ɂ
;                                        I2C.c(507)
   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
;                                        I2C.c(508)
   NOP
;                                        I2C.c(509)
   NOP
;                                        I2C.c(510)
   NOP
;                                        I2C.c(511)
   NOP
;                                        I2C.c(512)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(514)
   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
;                                        I2C.c(515)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(517)
   I2C_SCL_CHECK()
;                                        I2C.c(518)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(520)
   BSET   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(521)
   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
;                                        I2C.c(523)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(524)
   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
;                                        I2C.c(525)
   BRA    L_I2C_READ_EXIT
;                                        I2C.c(529)
 L_I2C_READ_NACK:
;                                        I2C.c(531)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(532)
   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
;                                        I2C.c(533)
   NOP
;                                        I2C.c(534)
   NOP
;                                        I2C.c(535)
   NOP
;                                        I2C.c(536)
   NOP
;                                        I2C.c(537)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(539)
   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
;                                        I2C.c(540)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(542)
   I2C_SCL_CHECK()
;                                        I2C.c(543)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(545)
   BSET   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(546)
   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
;                                        I2C.c(550)
   BSET   R1H,R0H            ;SDAΉrbg1ɂ
;                                        I2C.c(551)
   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
;                                        I2C.c(552)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(553)
   NOP
;                                        I2C.c(554)
   NOP
;                                        I2C.c(555)
   NOP
;                                        I2C.c(556)
   NOP
;                                        I2C.c(558)
   BCLR   R1L,R0H            ;SCLΉrbg1ɂ
;                                        I2C.c(559)
   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
;                                        I2C.c(561)
   I2C_SCL_CHECK()
;                                        I2C.c(562)
   I2C_WAIT()                ;EFCg
;                                        I2C.c(564)
   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
;                                        I2C.c(565)
   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
;                                        I2C.c(567)
 L_I2C_READ_EXIT:
;                                        I2C.c(568)
   MOV.W  @(+14,ER6),R0          ;MłoCgR0ɐݒ
;                                        I2C.c(569)
   SUB.W  E4,R0
;                                        I2C.c(570)
_I2C_Read_end:

	POP.L	ER6
	RTS

	segment	TEXT ATR_CODE
_EE24_PadAddress:
;	pSlaveAddr	8(er6)
;	pAddr	12(er6)
;	nAddrBits	16(er6)
;	nAddrBytes	-2(er6)
;	nExtAddr	-4(er6)
;	ExtAddrMask	-5(er6)
;	ExtAddr	-6(er6)
	PUSH.L	ER6
	MOV.L	ER7,ER6
	SUB.L	#6,ER7
                          
;                                        I2C.c(598)
	MOV.W	@(+16,ER6),R0
	MOV.W	#H'0008,R1
	EXTS.L	ER0
	DIVXS.W	R1,ER0
	MOV.W	R0,@(-2,ER6)
;                                        I2C.c(599)
	MOV.W	@(+16,ER6),R2
	AND.W	#H'0007,R2
	MOV.W	R2,@(-4,ER6)
;                                        I2C.c(600)
	MOV.W	R2,R0
	MOV.L	#?00001,ER1
	MOV.W	#3,R2
	MOV.L	@ER1,ER3
	CMP.W	#0,R0
	BLT	?00015:8
	CMP.W	R2,R0
	BGT	?00015:8
	ADDS	#4,ER1
	EXTU.L	ER0
	SHLL.L	ER0
	SHLL.L	ER0
	ADD.L	ER0,ER1
	MOV.L	@ER1,ER3
?00015:
	JMP	@ER3

?00004:
;                                        I2C.c(603)
	BRA	?00002:8
?00005:
;                                        I2C.c(606)
	MOV.B	#H'02,R0L
	MOV.B	R0L,@(-5,ER6)
;                                        I2C.c(607)
	BRA	?00002:8
?00006:
;                                        I2C.c(610)
	MOV.B	#H'06,R0L
	MOV.B	R0L,@(-5,ER6)
;                                        I2C.c(611)
	BRA	?00002:8
?00007:
;                                        I2C.c(614)
	MOV.B	#H'0E,R0L
	MOV.B	R0L,@(-5,ER6)
;                                        I2C.c(615)
	BRA	?00002:8
?00003:
;                                        I2C.c(618)
	XOR.W	R0,R0
	MOV.W	R0,@(-4,ER6)
;                                        I2C.c(619)
	MOV.W	@(-2,ER6),R1
	INC.W	#H'0001,R1
	MOV.W	R1,@(-2,ER6)
;                                        I2C.c(620)
	BRA	?00002:8
?00001:
	DC.L	?00003
	DC.L	?00004
	DC.L	?00005
	DC.L	?00006
	DC.L	?00007

?00002:
;                                        I2C.c(622)
	MOV.W	@(-4,ER6),R0
	OR.W	R0,R0
	BEQ	?00008:8
;                                        I2C.c(623)
	MOV.W	@(-2,ER6),R0
	SHLL.W	R0
	SHLL.W	R0
	SHLL.W	R0
	SUBS.L	#H'00000001,ER0
	MOV.L	@(+12,ER6),ER1
	MOV.L	@ER1,ER2
	PUSH.W	R0
	PUSH.L	ER2
	JSR	@__l_shift_ur
	ADDS.L	#H'00000002,ER7
	POP.L	ER2
	MOV.B	R2L,@(-6,ER6)
;                                        I2C.c(624)
	MOV.B	@(-5,ER6),R0L
	EXTU.W	R0
	NOT.W	R0
	MOV.L	@(+8,ER6),ER3
	MOV.B	@ER3,R4L
	AND.B	R0L,R4L
	MOV.B	R4L,@ER3
;                                        I2C.c(625)
	MOV.B	@(-6,ER6),R0L
	EXTU.W	R0
	MOV.B	@(-5,ER6),R1L
	EXTU.W	R1
	AND.W	R0,R1
	MOV.L	@(+8,ER6),ER0
	MOV.B	@ER0,R2L
	OR.B	R1L,R2L
	MOV.B	R2L,@ER0
?00008:
;                                        I2C.c(628)
	MOV.W	#H'0004,R0
	MOV.W	@(-2,ER6),R1
	SUB.W	R1,R0
	SHLL.W	R0
	SHLL.W	R0
	SHLL.W	R0
	MOV.L	@(+12,ER6),ER2
	MOV.L	@ER2,ER3
	PUSH.W	R0
	PUSH.L	ER3
	JSR	@__l_shift_sl
	ADDS.L	#H'00000002,ER7
	POP.L	ER3
	MOV.L	ER3,@ER2
;                                        I2C.c(630)
	MOV.W	@(-2,ER6),R0
;                                        I2C.c(631)
_EE24_PadAddress_end:

	MOV.L	ER6,ER7
	POP.L	ER6
	RTS

	segment	TEXT ATR_CODE
public	_EE24_Write
_EE24_Write:
;	SlaveAddr	9(er6)
;	Addr	10(er6)
;	pData	14(er6)
;	nData	18(er6)
;	nAddrBits	20(er6)
;	ret	-4(er6)
;	nAddrBytes	-6(er6)
	PUSH.L	ER6
	MOV.L	ER7,ER6
	SUB.L	#6,ER7
                          
;                                        I2C.c(654)
	MOV.W	@(+20,ER6),R0
	PUSH.W	R0
	MOV.L	ER6,ER1
	ADD.L	#H'0000000A,ER1
	PUSH.L	ER1
	MOV.L	ER6,ER1
	ADD.L	#H'00000009,ER1
	PUSH.L	ER1
	JSR	@_EE24_PadAddress
	ADD.L	#H'0000000A,ER7
	MOV.W	R0,@(-6,ER6)
;                                        I2C.c(657)
	MOV.W	#H'0001,R1
	PUSH.W	R1
	PUSH.W	R0
	MOV.L	ER6,ER2
	ADD.L	#H'0000000A,ER2
	PUSH.L	ER2
	MOV.B	@(+9,ER6),R2L
	EXTU.W	R2
	PUSH.W	R2
	JSR	@_I2C_Write
	ADD.L	#H'0000000A,ER7
	MOV.L	ER0,@(-4,ER6)
;                                        I2C.c(658)
	MOV.L	ER0,ER1
	AND.L	#H'00010000,ER1
	OR.L	ER1,ER1
	BEQ	?00009:8
;                                        I2C.c(658)
	XOR.W	R0,R0
	JMP	@_EE24_Write_end
?00009:
;                                        I2C.c(659)
	MOV.L	@(-4,ER6),ER0
	AND.L	#H'00020000,ER0
	OR.L	ER0,ER0
	BEQ	?00010:8
;                                        I2C.c(660)
	MOV.W	#H'0002,R0
	PUSH.W	R0
	XOR.W	R1,R1
	PUSH.W	R1
	XOR.L	ER2,ER2
	PUSH.L	ER2
	XOR.W	R3,R3
	PUSH.W	R3
	JSR	@_I2C_Write
	ADD.L	#H'0000000A,ER7
;                                        I2C.c(661)
	XOR.W	R0,R0
	BRA	_EE24_Write_end:8
?00010:
;                                        I2C.c(664)
	MOV.W	#H'0002,R0
	PUSH.W	R0
	MOV.W	@(+18,ER6),R1
	PUSH.W	R1
	MOV.L	@(+14,ER6),ER2
	PUSH.L	ER2
	XOR.W	R3,R3
	PUSH.W	R3
	JSR	@_I2C_Write
	ADD.L	#H'0000000A,ER7
	MOV.L	ER0,@(-4,ER6)
;                                        I2C.c(665)
	MOV.L	ER0,ER1
	AND.L	#H'00020000,ER1
	OR.L	ER1,ER1
	BEQ	?00011:8
;                                        I2C.c(666)
	MOV.W	#H'0002,R0
	PUSH.W	R0
	XOR.W	R1,R1
	PUSH.W	R1
	XOR.L	ER2,ER2
	PUSH.L	ER2
	XOR.W	R3,R3
	PUSH.W	R3
	JSR	@_I2C_Write
	ADD.L	#H'0000000A,ER7
;                                        I2C.c(667)
	MOV.L	@(-4,ER6),ER0
	BRA	_EE24_Write_end:8
?00011:
;                                        I2C.c(669)
	MOV.L	@(-4,ER6),ER0
;                                        I2C.c(670)
_EE24_Write_end:

	MOV.L	ER6,ER7
	POP.L	ER6
	RTS

	segment	TEXT ATR_CODE
public	_EE24_Read
_EE24_Read:
;	SlaveAddr	9(er6)
;	Addr	10(er6)
;	pData	14(er6)
;	nData	18(er6)
;	nAddrBits	20(er6)
;	ret	-4(er6)
;	nAddrBytes	-6(er6)
	PUSH.L	ER6
	MOV.L	ER7,ER6
	SUB.L	#6,ER7
                          
;                                        I2C.c(693)
	MOV.W	@(+20,ER6),R0
	PUSH.W	R0
	MOV.L	ER6,ER1
	ADD.L	#H'0000000A,ER1
	PUSH.L	ER1
	MOV.L	ER6,ER1
	ADD.L	#H'00000009,ER1
	PUSH.L	ER1
	JSR	@_EE24_PadAddress
	ADD.L	#H'0000000A,ER7
	MOV.W	R0,@(-6,ER6)
;                                        I2C.c(696)
	MOV.W	#H'0001,R1
	PUSH.W	R1
	PUSH.W	R0
	MOV.L	ER6,ER2
	ADD.L	#H'0000000A,ER2
	PUSH.L	ER2
	MOV.B	@(+9,ER6),R2L
	EXTU.W	R2
	PUSH.W	R2
	JSR	@_I2C_Write
	ADD.L	#H'0000000A,ER7
	MOV.L	ER0,@(-4,ER6)
;                                        I2C.c(697)
	MOV.L	ER0,ER1
	AND.L	#H'00010000,ER1
	OR.L	ER1,ER1
	BEQ	?00012:8
;                                        I2C.c(697)
	XOR.W	R0,R0
	JMP	@_EE24_Read_end
?00012:
;                                        I2C.c(698)
	MOV.L	@(-4,ER6),ER0
	AND.L	#H'00020000,ER0
	OR.L	ER0,ER0
	BEQ	?00013:8
;                                        I2C.c(699)
	MOV.W	#H'0002,R0
	PUSH.W	R0
	XOR.W	R1,R1
	PUSH.W	R1
	XOR.L	ER2,ER2
	PUSH.L	ER2
	XOR.W	R3,R3
	PUSH.W	R3
	JSR	@_I2C_Write
	ADD.L	#H'0000000A,ER7
;                                        I2C.c(700)
	XOR.W	R0,R0
	BRA	_EE24_Read_end:8
?00013:
;                                        I2C.c(703)
	MOV.W	#H'0003,R0
	PUSH.W	R0
	MOV.W	@(+18,ER6),R1
	PUSH.W	R1
	MOV.L	@(+14,ER6),ER2
	PUSH.L	ER2
	MOV.B	@(+9,ER6),R3L
	EXTU.W	R3
	PUSH.W	R3
	JSR	@_I2C_Read
	ADD.L	#H'0000000A,ER7
	MOV.L	ER0,@(-4,ER6)
;                                        I2C.c(704)
	MOV.L	ER0,ER1
	AND.L	#H'00020000,ER1
	OR.L	ER1,ER1
	BEQ	?00014:8
;                                        I2C.c(705)
	MOV.W	#H'0002,R0
	PUSH.W	R0
	XOR.W	R1,R1
	PUSH.W	R1
	XOR.L	ER2,ER2
	PUSH.L	ER2
	XOR.W	R3,R3
	PUSH.W	R3
	JSR	@_I2C_Write
	ADD.L	#H'0000000A,ER7
;                                        I2C.c(706)
	MOV.L	@(-4,ER6),ER0
	BRA	_EE24_Read_end:8
?00014:
;                                        I2C.c(708)
	MOV.L	@(-4,ER6),ER0
;                                        I2C.c(709)
_EE24_Read_end:

	MOV.L	ER6,ER7
	POP.L	ER6
	RTS

extern __l_shift_ur
extern __l_shift_sl
extern __w_shift_sl
;
;

	segment	DATA ATR_DATA
_g_I2C_Wait:	DC.B	$00

	segment	BSS ATR_BSS
_g_I2C_Port:	DS.B	4
_g_I2C_Dir:	DS.B	4
_g_I2C_SclBit:	DS.B	1
_g_I2C_SdaBit:	DS.B	1
_g_I2C_DDR:	DS.B	1

	end
