/*****************************************************************************
  H8/3069pI2CCu(I2C.C)
  
  H8/3069pI2CCułB|[ggpI2C̃}X^s܂B
  ̃}X^ɂ͑ΉĂ܂BI2CC^tF[XEEPROMp֐܂
  ł܂B

  EЂ͖{vOA܂́ẢϕɊ֘AĐQɊւĈ؂̐
    C𕉂܂B
  
  Copyright (C) eNmEF[u 2007
*****************************************************************************/
#include"I2C.h"

static DWORD g_I2C_Port;  //I2CpɎgp|[gDRAhX
static DWORD g_I2C_Dir;   //I2CpɎgp|[gDDRAhX
static BYTE g_I2C_SclBit; //SCLƂĎgprbg
static BYTE g_I2C_SdaBit; //SDAƂĎgprbg
static BYTE g_I2C_DDR;    //I2CpɎgp|[gDDRf[^̋Kl
static BYTE g_I2C_Wait = 0; //EFCgp[^


/*****************************************************************************
  void I2C_SetPort(DWORD Port, int SclBit, int SdaBit, BYTE DDR)
  
  Port   : gp|[gDRAhX
  SclBit : SCLƂĎgprbg̔ԍ(0-7)
  SdaBit : SDAƂĎgprbg̔ԍ(0-7)
  DDR    : gpDDR̋Kl
  
  I2CC^tF[XƂĎgp|[gݒ肵܂BDDR͎gp|[g
  DDR(rbg̓o͕𑀍삷郌WX^)ɐݒ肷l^܂BI2Cł͏o
  I[vRN^ƂȂĂ邽ߎgp|[gDDR𑀍삵܂BA
  DDR̓rbgłȂ̂ŁASẴrbgĂ܂AI2CŎgp
  Ȃrbg㏑Ă܂܂B̂߁ÃCułI2CŎgp
  Ȃrbg̏Ԃۑ邽߂ɗ\DDR̒lL^ĂÃrbgɂ
  ̒lނ悤ɂĂ܂B
*****************************************************************************/
void I2C_SetPort(DWORD Port, int SclBit, int SdaBit, BYTE DDR)
{
  //p[^L^
  g_I2C_Port = Port;                //gp|[gDRAhX
  g_I2C_Dir = g_I2C_Port - 0x11fd0; //gp|[gDDRAhXvZ
  g_I2C_DDR = DDR;                  //DDR̋Kl
  g_I2C_SclBit = SclBit;            //SCLp̃rbg1Ƃ
  g_I2C_SdaBit = SdaBit;            //SDAp̃rbg1Ƃ
  g_I2C_DDR &= ~(0x01 << SclBit);   //SCLΉrbg0Ƃ
  g_I2C_DDR &= ~(0x01 << SdaBit);   //SDAΉrbg0Ƃ
  *(BYTE*)g_I2C_Dir = g_I2C_DDR;    //gprbg͂ɐݒ
}


/*****************************************************************************
  void I2C_SetWait(BYTE Wait)
  
  Wait : [h/Cg̃EFCgݒ
  
  I2C̓]x𐧌䂵܂B
*****************************************************************************/
void I2C_SetWait(BYTE Wait)
{
  g_I2C_Wait = Wait;
}


/*****************************************************************************
  I2C_ByteOut()
  
    R0H : o͂Ɏg|[gDDR̒l
    R1L : SCLƂĎgprbg
    R1H : SDAƂĎgprbg
    ER2 : I2CŎgpDR̃AhX
    R4L : o͂f[^
  ̑gp郌WX^
    E1  : JEg
    R0L : ėp
    E0  : ߂l
          I2C_TIMEOUT(0x01) ^CAEg
          I2C_NACK   (0x02) NACKM
    
  I2C1oCgo͂Tu[`łBAZuĂяoĎgpĂ܂
  C̃vO͌Ăяo܂B
*****************************************************************************/
static void I2C_ByteOut(void)
{
  _asm   I2C_TIMEOUT EQU H'01
  _asm   I2C_NACK    EQU H'02
  
  //[văEFCg}N
  _asm MACRO I2C_WAIT() LOCAL(loop1,exit1)
  _asm   MOV.B  @_g_I2C_Wait,R0L   ;R0LɃEFCg̃[v񐔂[h
  _asm   BEQ    exit1:8
  _asm loop1:
  _asm   DEC.B  R0L
  _asm   BNE    loop1
  _asm exit1:
  _asm ENDM
  
  _asm   MOV.W  #8,E1              ;E18rbgJEg
  _asm L_I2C_BYTE_OUT0:
  //Vtg߂Crbg(L[)Ƀf[^ړ
  _asm   SHLL.B R4L                ;R4LMSBCrbg
  _asm   BCS    L_I2C_BYTE_OUT1:8  ;
  //Crbg0̏ꍇ
  _asm   BSET   R1H,R0H            ;SDAΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
  _asm   BRA    L_I2C_BYTE_OUT2:8  
  //Crbg1̏ꍇ
  _asm L_I2C_BYTE_OUT1:
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
  _asm L_I2C_BYTE_OUT2:
  _asm   I2C_WAIT()
  _asm   NOP
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  _asm   I2C_WAIT()
  //SCL"Hi"ɂȂĂ邩`FbN
  _asm   BTST   R1L,@ER2
  _asm   BNE    L_I2C_BYTE_OUT3:8  ;SCL"Hi"Ȃ玟ɐi
  _asm   JSR    @_I2C_WaitRdy      ;SCL"Lo"̏ꍇ"Hi"ɂȂ̂҂
  _asm   MOV.W  E0,E0
  _asm   BNE    L_I2C_BYTE_OUT_EXIT

  _asm L_I2C_BYTE_OUT3:
  //SCL"Lo"o
  _asm   BSET   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)

  _asm   DEC.W  #1,E1              
  _asm   BNE    L_I2C_BYTE_OUT0    ;[v

  //ACK̎M
  //͉\Ȃ悤SDArbg"Hi"ɂ
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
  _asm   I2C_WAIT()
  _asm   NOP
  _asm   NOP
  _asm   NOP
  _asm   NOP
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  _asm   I2C_WAIT()
  //SCL"Hi"ɂȂĂ邩`FbN
  _asm   BTST   R1L,@ER2
  _asm   BNE    L_I2C_BYTE_OUT4    ;SCL"Hi"Ȃ玟ɐi
  _asm   JSR    @_I2C_WaitRdy      ;SCL"Lo"̏ꍇ"Hi"ɂȂ̂҂
  _asm   MOV.W  E0,E0
  _asm   BNE    L_I2C_BYTE_OUT_EXIT
  
  //SDA̓ǂݎ
  _asm L_I2C_BYTE_OUT4:
  _asm   BTST   R1H,@ER2           
  _asm   BEQ    L_I2C_BYTE_OUT_EXIT
  _asm   MOV.W  #I2C_NACK,E0

  _asm L_I2C_BYTE_OUT_EXIT:
  //SCL"Lo"o
  _asm   BSET   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
}


/*****************************************************************************
  void I2C_WaitRdy()
  
    R1L : SCLƂĎgprbg
    ER2 : I2CŎgpDR̃AhX
  ̑gp郌WX^
    R0L : ėp
    E0  : ߂l
          I2C_TIMEOUT(0x01) ^CAEg
    
  SCL"Hi"ɂȂ܂ő҂[`BAZuĂяoĎgpĂ܂B
  C̃vO͌Ăяo܂B
*****************************************************************************/
static void I2C_WaitRdy()
{
  _asm   XOR.W  E0,E0             ;65536񃋁[vđ҂
  
  _asm L_I2C_WAIT_RDY0:
  _asm   BTST   R1L,@ER2          ;SCLrbg̃`FbN
  _asm   BNE    L_I2C_WAIT_RDY1:8 ;SCL"Hi"̏ꍇ
  _asm   DEC.W  #1,E0
  _asm   BEQ    L_I2C_WAIT_RDY_ERR:8 ;^CAEg
  _asm   BRA    L_I2C_WAIT_RDY0   ;[v
  
  _asm L_I2C_WAIT_RDY1:
  _asm   XOR.W  E0,E0             ;E0NA
  _asm   RTS
  _asm L_I2C_WAIT_RDY_ERR:
  _asm   MOV.W  #I2C_TIMEOUT,E0   ;E0ɃG[Zbg
}


/*****************************************************************************
  DWORD I2C_Write(BYTE SlaveAddr, void *pData, WORD nData, WORD Condition)
  
  SlaveAddr : X[uAhX
  pData     : [in]ރf[^
  nData     : ރf[^̃oCg
  Condition : MOɃX^[gRfBVAXgbvRfBVo
              邩ǂw肵܂BȉORŌ܂B
              I2C_START(0x01) MOɃX^[gRfBVo͂܂B
              I2C_STOP(0x02)  MɃXgbvRfBVo͂܂B
  
  ߂l    : 16rbgG[Xe[^XA16rbgMoCg
              G[͉L̒lɂȂ܂
              I2CS_TIMEOUT(0x01) SCL̉҂Ń^CAEg
              I2CS_NACK(0x02)    ACKԂȂ
              
  I2CC^tF[Xʂăf[^݂܂BX[uAhX̓X^[gR
  fBVo͂ꍇ̂ݑM܂B
  
  gpWX^
  R0L ėp
  R0H DDR̐ݒlۊǗp
  R1L SCL̃rbgԍ
  R1H SDÃrbgԍ
  ER2 gp|[gDR
  ER3 gp|[gDDR
  R4L o̓f[^ۑp
  R4H Condition̒l
  E4  ǂݏooCg
  ER5 f[^̊i[
*****************************************************************************/
DWORD I2C_Write(BYTE SlaveAddr, void *pData, WORD nData, WORD Condition)
{
  //WX^̏
  _asm   MOV.B  @_g_I2C_SclBit,R1L ;R1L = g_I2C_SclBit
  _asm   MOV.B  @_g_I2C_SdaBit,R1H ;R1H = g_I2C_SdaBit
  _asm   MOV.L  @_g_I2C_Port,ER2   ;ER2 = g_I2C_Port
  _asm   MOV.L  @_g_I2C_Dir,ER3    ;ER3 = g_I2C_Dir
  _asm   MOV.W  \Condition,R4      ;R4H = Condition
  _asm   MOV.B  R4L,R4H            ;
  _asm   MOV.L  \pData,ER5         ;ER5 = pData
  _asm   MOV.W  \nData,E4          ;E4 = nData
  _asm   XOR.W  E0,E0              ;E0 = G[Xe[^X

  //DRWX^SCLSDÃrbg0ɂ("Lo"o͂邽)
  _asm   MOV.B  @ER2,R0H
  _asm   BCLR   R1H,R0H
  _asm   BCLR   R1L,R0H
  _asm   MOV.B  R0H,@ER2
  _asm   MOV.B  @_g_I2C_DDR,R0H    ;DDR̋KlR0HɃ[h
  _asm   BTST   R1L,@ER2           ;݂SCL̃x`FbN
  _asm   BNE    L_I2C_WRITE0:8
  _asm   BSET   R1L,R0H            ;SCL"Lo"ȂÕoCg̑̉\̂Ńxێ
  
  _asm L_I2C_WRITE0:
  _asm   BTST   #0,R4H             ;X^[gRfBVo͂邩`FbN
  _asm   BEQ    L_I2C_WRITE1:8     ;f[^̑MJn
  
  //X^[gRfBV̏o
  //SDA"Hi"ɂ
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  _asm   I2C_WAIT()
  //SDA"Lo"Ƃ
  _asm   BSET   R1H,R0H            ;SDAΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
  _asm   I2C_WAIT()
  //SCL"Lo"ɂ
  _asm   BSET   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
  
  //X[uAhXo
  _asm   MOV.B  \SlaveAddr,R4L     ;R4L = SlaveAddr
  _asm   BCLR   #0,R4L             ;CgȂ̂LSB0
  _asm   JSR    @_I2C_ByteOut      ;X[uAhXo
  _asm   MOV.W  E0,E0              ;G[`FbN
  _asm   BNE    L_I2C_WRITE_EXIT   ;G[̏ꍇ
  
  _asm L_I2C_WRITE1:
  _asm   MOV.W  E4,E4              ;f[^`FbN
  _asm L_I2C_WRITE2:
  _asm   BEQ    L_I2C_WRITE_FIN    ;f[^ꍇI
  _asm   MOV.B  @ER5+,R4L          ;R4LɃf[^[h
  _asm   JSR    @_I2C_ByteOut      ;1oCgo
  _asm   MOV.W  E0,E0              ;߂l`FbN
  _asm   BNE    L_I2C_WRITE_EXIT   ;G[̏ꍇ
  _asm   DEC.W  #1,E4              ;Mf[^fNg
  _asm   BRA    L_I2C_WRITE2       ;[v

  //I
  _asm L_I2C_WRITE_FIN:
  _asm   BTST   #1,R4H             ;XgbvRfBVo͂邩`FbN
  _asm   BEQ    L_I2C_WRITE_EXIT
  
  //XgbvRfBV̏o
  //SDA"Lo"ɂ
  _asm   BSET   R1H,R0H            ;SDAΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
  _asm   I2C_WAIT()
  _asm   NOP
  _asm   NOP
  _asm   NOP
  _asm   NOP
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  //SCL"Hi"ɂȂĂ邩`FbN
  _asm   BTST   R1L,@ER2
  _asm   BNE    L_I2C_WRITE3:8     ;SCL"Hi"Ȃ玟ɐi
  _asm   JSR    @_I2C_WaitRdy      ;SCL"Lo"̏ꍇ"Hi"ɂȂ̂҂
  _asm   MOV.W  E0,E0
  _asm   BNE    L_I2C_WRITE_EXIT
  _asm   I2C_WAIT()
  //SDA"Hi"ɂ
  _asm L_I2C_WRITE3:
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)

  _asm L_I2C_WRITE_EXIT:
  _asm   MOV.W  \nData,R0          ;MłoCgR0ɐݒ
  _asm   SUB.W  E4,R0
}


/*****************************************************************************
  DWORD I2C_Read(BYTE SlaveAddr, void *pData, WORD nData, WORD Condition)
  
  SlaveAddr : X[ufoCX̃AhX
  pData     : [out]ǂݏof[^̊i[
  nData     : ǂݏof[^̃oCg
  Condition : MOɃX^[gRfBVAXgbvRfBVo
              邩ǂw肵܂BȉORŌ܂B
              I2C_START(0x01) MOɃX^[gRfBVo͂܂B
              I2C_STOP(0x02)  MɃXgbvRfBVo͂܂B
  
  ߂l    : 16rbgG[Xe[^XA16rbgMoCg
              G[͉L̒lɂȂ܂
              I2CS_TIMEOUT(0x01) SCL̉҂Ń^CAEg
              I2CS_NACK(0x02)    ACKԂȂ
              
  I2CC^tF[Xf[^ǂ݂܂BX[uAhX̓X^[gRfBV
  o͂ꍇ̂ݑM܂BXgbvRfBVo͂ꍇ
  Ǐo̍ŏIoCgɂACKԂ܂B
  
  gpWX^
  R0L ėp
  R0H DDR̐ݒlۊǗp
  R1L SCL̃rbgԍ
  R1H SDÃrbgԍ
  ER2 gp|[gDR
  ER3 gp|[gDDR
  R4L ̓f[^ۑp
  R4H Condition̒l
  E4  ǂݏooCg
  ER5 f[^̊i[
*****************************************************************************/
DWORD I2C_Read(BYTE SlaveAddr, void *pData, WORD nData, WORD Condition)
{
  //SCL"Hi"ɂȂeXg}N
  _asm MACRO I2C_SCL_CHECK() LOCAL(next1)
  _asm   BTST   R1L,@ER2
  _asm   BNE    next1:8            ;SCL"Hi"Ȃ玟ɐi
  _asm   JSR    @_I2C_WaitRdy      ;SCL"Lo"̏ꍇ"Hi"ɂȂ̂҂
  _asm   MOV.W  E0,E0
  _asm   BNE    L_I2C_READ_EXIT    ;G[̏ꍇ
  _asm next1:
  _asm ENDM

  //WX^̏
  _asm   MOV.B  @_g_I2C_SclBit,R1L ;R1L = g_I2C_SclBit
  _asm   MOV.B  @_g_I2C_SdaBit,R1H ;R1H = g_I2C_SdaBit
  _asm   MOV.L  @_g_I2C_Port,ER2   ;ER2 = g_I2C_Port
  _asm   MOV.L  @_g_I2C_Dir,ER3    ;ER3 = g_I2C_Dir
  _asm   MOV.W  \Condition,R4      ;R4H = Condition
  _asm   MOV.B  R4L,R4H            ;
  _asm   MOV.L  \pData,ER5         ;ER5 = pData
  _asm   MOV.W  \nData,E4          ;E4 = nData
  _asm   XOR.W  E0,E0              ;E0 = G[Xe[^X

  //DRWX^SCLSDÃrbg0ɂ("Lo"o͂邽)
  _asm   MOV.B  @ER2,R0H           ;݂DR̒lR0HɃ[h
  _asm   BCLR   R1L,R0H            ;R0HSCLASDArbg0ɂ
  _asm   BCLR   R1H,R0H            ;
  _asm   MOV.B  R0H,@ER2           ;DRɏ߂

  _asm   MOV.B  @_g_I2C_DDR,R0H    ;DDR̋KlR0HɃ[h
  _asm   BTST   R1L,@ER2           ;DRSCLrbg𒲂ׂ
  _asm   BNE    L_I2C_READ0
  _asm   BSET   R1L,R0H            ;SCL"Lo"ȂÕoCg̑̉\̂Ńxێ
  
  _asm L_I2C_READ0:
  _asm   BTST   #0,R4H             ;X^[gRfBVo͂邩`FbN
  _asm   BEQ    L_I2C_READ1        ;f[^̎MJn

  //X^[gRfBV̏o
  //SDA"Hi"ɂ
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  _asm   I2C_WAIT()
  //SDA"Lo"Ƃ
  _asm   BSET   R1H,R0H            ;SDAΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
  _asm   I2C_WAIT()
  //SCL"Lo"ɂ
  _asm   BSET   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)

  //X[uAhXo
  _asm   MOV.B  \SlaveAddr,R4L     ;R4L = SlaveAddr
  _asm   BSET   #0,R4L             ;CgȂ̂LSB0
  _asm   JSR    @_I2C_ByteOut      ;X[uAhXo
  _asm   MOV.W  E0,E0              ;߂l`FbN
  _asm   BNE    L_I2C_READ_EXIT    ;G[̏ꍇ

  //f[^[h
  _asm L_I2C_READ1:
  _asm   MOV.L  \pData,ER5         ;ER5Ƀf[^AhX[h
  _asm   MOV.W  E4,E4              ;f[^`FbN
  _asm   BEQ    L_I2C_READ_EXIT    ;I
  
  //1oCg[h
  _asm L_I2C_READ7:
  _asm   MOV.W  #8,E1              ;E18rbgJEg
  _asm   XOR.B  R4L,R4L            ;R4L = 0
  _asm L_I2C_READ2:
  //SDA"Hi"ɂ(SDA)
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
  
  //Õ[vœǂݏoDRSDArbg`FbNli[
  _asm   SHLL.B R4L                ;R4L1rbgVtg
  _asm   BTST   R1H,R0L            ;SDArbg`FbN
  _asm   BNE    L_I2C_READ3:8
  //SDArbg0̏ꍇ
  _asm   BRA    L_I2C_READ4:8
  //SDArbg0̏ꍇ
  _asm L_I2C_READ3:
  _asm   BSET   #0,R4L             ;R4LLSBZbg
  _asm L_I2C_READ4:
  _asm   I2C_WAIT()                ;EFCg

  //SCL"Hi"o
  _asm   BCLR   R1L,R0H
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  _asm   I2C_WAIT()                ;EFCg
  //SCL"Hi"ɂȂĂ邩`FbN
  _asm   I2C_SCL_CHECK()
  //SDArbgǂݎ
  _asm   MOV.B  @ER2,R0L           ;DRR0LɃ[h
  //SCL"Lo"o
  _asm   BSET   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)

  _asm   DEC.W  #1,E1              ;JE^1炷
  _asm   BNE    L_I2C_READ2        ;[v

  //Ō̃rbgi[
  _asm   SHLL.B R4L                ;R4L1rbgVtg
  _asm   BTST   R1H,R0L            ;SDArbg`FbN
  _asm   BEQ    L_I2C_READ5:8
  //SDArbg1̏ꍇ
  _asm   BSET   #0,R4L             ;R4LLSBZbg
  _asm   BRA    L_I2C_READ6:8
  _asm L_I2C_READ5:
  //SDArbg0̏ꍇ
  _asm   BCLR   #0,R4L             ;R4LLSBNA
  _asm L_I2C_READ6:

  //1oCgǂݎI
  _asm   MOV.B  R4L,@ER5           ;f[^i[
  _asm   DEC.W  #1,E4              ;coCǧvZ
  _asm   BEQ    L_I2C_READ_FIN     ;ǏoI
  
  //[h𑱂ꍇ
  _asm   INC.L  #1,ER5             ;AhXCNg
  //ACKo
  //SDArbg"Lo"ɂ
  _asm   BSET   R1H,R0H            ;SDAΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
  _asm   NOP
  _asm   NOP
  _asm   NOP
  _asm   I2C_WAIT()
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  //SCL"Hi"ɂȂĂ邩`FbN
  _asm   I2C_SCL_CHECK()
  _asm   I2C_WAIT()                ;EFCg
  //SCL"Lo"o
  _asm   BSET   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
  _asm   BRA    L_I2C_READ7        ;̃oCg

  //I
  _asm L_I2C_READ_FIN:
  _asm   BTST   #1,R4H             ;XgbvRfBVo͂邩`FbN
  _asm   BNE    L_I2C_READ_NACK    ;XgbvRfBVo͂ꍇNACKM
  
  //ACKo
  //SDArbg"Lo"ɂ
  _asm   BSET   R1H,R0H            ;SDAΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
  _asm   NOP
  _asm   NOP
  _asm   NOP
  _asm   NOP
  _asm   I2C_WAIT()                ;EFCg
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  //SCL"Hi"ɂȂĂ邩`FbN
  _asm   I2C_SCL_CHECK()
  _asm   I2C_WAIT()                ;EFCg
  //SCL"Lo"o
  _asm   BSET   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)
  //SDA"Hi"ɂ
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
  _asm   BRA    L_I2C_READ_EXIT
  
  //NACK̑M
  //SCL"Lo"o
  _asm L_I2C_READ_NACK:
  //SDArbg"Hi"ɂ
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
  _asm   NOP
  _asm   NOP
  _asm   NOP
  _asm   NOP
  _asm   I2C_WAIT()                ;EFCg
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  //SCL"Hi"ɂȂĂ邩`FbN
  _asm   I2C_SCL_CHECK()
  _asm   I2C_WAIT()                ;EFCg
  //SCL"Lo"o
  _asm   BSET   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Lo"ɂȂ)

  //XgbvRfBV̏o
  //SDA"Lo"ɂ
  _asm   BSET   R1H,R0H            ;SDAΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Lo"ɂȂ)
  _asm   I2C_WAIT()                ;EFCg
  _asm   NOP
  _asm   NOP
  _asm   NOP
  _asm   NOP
  //SCL"Hi"o
  _asm   BCLR   R1L,R0H            ;SCLΉrbg1ɂ
  _asm   MOV.B  R0H,@ER3           ;SCLrbgo("Hi"ɂȂ)
  //SCL"Hi"ɂȂĂ邩`FbN
  _asm   I2C_SCL_CHECK()
  _asm   I2C_WAIT()                ;EFCg
  //SDA"Hi"ɂ
  _asm   BCLR   R1H,R0H            ;SDAΉrbg0ɂ
  _asm   MOV.B  R0H,@ER3           ;SDArbgo("Hi"ɂȂ)
  
  _asm L_I2C_READ_EXIT:
  _asm   MOV.W  \nData,R0          ;MłoCgR0ɐݒ
  _asm   SUB.W  E4,R0
}


/*****************************************************************************
  int EE24_PadAddress(BYTE *pSlaveAddr, DWORD *pAddr, int nAddrBits)
  
  pSlaveAddr : [in] X[ufoCX̃AhX
               [out]AhX̏ʃrbgi[̃X[uAhX
  pAddr      : [in] (LSBl߂)ANZXAhX
               [out]X[uAhXɊi[rbgMSBl߂
                    AhX
  nAddrBits  : foCX̃AhXrbg

  ߂l     : X[uAhXɑđMׂAhX̃oCg

  ANZXX[uAhXAAhXAۂɑMׂX[u
  AhXAAhXvZ܂BAhX̃rbg9,10,11,17
  ȂfoCXł̓AhX̏ʃrbgX[uAhẌꕔƂđKv
  邽߁Ȃ삪KvɂȂ܂B
*****************************************************************************/
static int EE24_PadAddress(BYTE *pSlaveAddr, DWORD *pAddr, int nAddrBits)
{
  int nAddrBytes;
  int nExtAddr;
  BYTE ExtAddrMask;
  BYTE ExtAddr;
  
  //AhX̃oCgvZ
  nAddrBytes = nAddrBits / 8;
  nExtAddr = nAddrBits & 0x07; //8Ŋ]̃rbg
  switch(nExtAddr){
  //--------------------------------------------------------------------------
  case 0:
    break;
  //--------------------------------------------------------------------------
  case 1:
    ExtAddrMask = 0x02;
    break;
  //--------------------------------------------------------------------------
  case 2:
    ExtAddrMask = 0x06;
    break;
  //--------------------------------------------------------------------------
  case 3:
    ExtAddrMask = 0x0e;
    break;
  //--------------------------------------------------------------------------
  default: //]肪4rbgȏ̏ꍇ
    nExtAddr = 0;
    nAddrBytes++; //oCg𑝂₷
  }
  //X[uAhXɊi[AhXrbgꍇ
  if(nExtAddr){
    ExtAddr = (BYTE)(*pAddr >> (nAddrBytes * 8 - 1));
    *pSlaveAddr &= ~ExtAddrMask;
    *pSlaveAddr |= (ExtAddrMask & ExtAddr);
  }
  //AhXl߂ɂ
  *pAddr <<= (4 - nAddrBytes) * 8;
  
  return nAddrBytes;
}


/*****************************************************************************
  WORD EE24_Write(BYTE SlaveAddr, DWORD Addr,
                  void *pData, WORD nData, WORD nAddrBits)
  
  SlaveAddr : X[uAhXB
  Addr      : ANZX郁AhX
  pData     : [in]ރf[^
  nData     : ރf[^̃oCg
  nAddrBits : foCX̃AhXrbg(4-32)

  ߂l    : ݂łoCg

  I2CEEPROMɏ݂s܂BAhXrbg9,10,11,17̃foCXɂ
  Ă͎IɃAhX̏ʃrbgX[uAhXɊi[܂B
*****************************************************************************/
WORD EE24_Write(BYTE SlaveAddr, DWORD Addr, void *pData, WORD nData, WORD nAddrBits)
{
  DWORD ret;
  WORD nAddrBytes;
  
  nAddrBytes = EE24_PadAddress(&SlaveAddr, &Addr, nAddrBits);

  //AhX𑗐M
  ret = I2C_Write(SlaveAddr, &Addr, nAddrBytes, I2C_START);
  if(ret & I2CS_TIMEOUT) return 0; //^CAEg̏ꍇ
  if(ret & I2CS_NACK){ //NACKԂꍇ
    I2C_Write(0, NULL, 0, I2C_STOP); //XgbvRfBV𐶐
    return 0;
  }
  //f[^𑗐M
  ret = I2C_Write(0, pData, nData, I2C_STOP);
  if(ret & I2CS_NACK){
    I2C_Write(0, NULL, 0, I2C_STOP); //XgbvRfBV𐶐
    return (WORD)ret;
  }
  return (WORD)ret;
}


/*****************************************************************************
  WORD EE24_Read(BYTE SlaveAddr, DWORD Addr, 
                 void *pData, WORD nData, WORD nAddrBits)
  
  SlaveAddr : X[uAhXB
  Addr      : ANZX郁AhX
  pData     : [out]ǂݏof[^
  nData     : ǂݏof[^̃oCg
  nAddrBits : foCX̃AhXrbg(4-32)

  ߂l    : ǂݏooCg

  I2CEEPROMǂݏo܂BAhXrbg9,10,11,17̃foCXɂ
  ͎IɃAhX̏ʃrbgX[uAhXɊi[܂B
*****************************************************************************/
WORD EE24_Read(BYTE SlaveAddr, DWORD Addr, void *pData, WORD nData, WORD nAddrBits)
{
  DWORD ret;
  WORD nAddrBytes;
  
  nAddrBytes = EE24_PadAddress(&SlaveAddr, &Addr, nAddrBits);

  //AhX𑗐M
  ret = I2C_Write(SlaveAddr, &Addr, nAddrBytes, I2C_START);
  if(ret & I2CS_TIMEOUT) return 0; //^CAEg̏ꍇ
  if(ret & I2CS_NACK){ //NACKԂꍇ
    I2C_Write(0, NULL, 0, I2C_STOP); //XgbvRfBV𐶐
    return 0;
  }
  //f[^M
  ret = I2C_Read(SlaveAddr, pData, nData, I2C_START | I2C_STOP);
  if(ret & I2CS_NACK){
    I2C_Write(0, NULL, 0, I2C_STOP); //XgbvRfBV𐶐
    return (WORD)ret;
  }
  return (WORD)ret;
}

