'**********************************************************************************
'   M3069VAʐMCu(M3069Serial.dll)p`t@C VB.NETΉ
'
'   2007/11/7 Ver.1.0.0.1
'**********************************************************************************

Option Strict Off
Option Explicit On 

Imports System.Runtime.InteropServices

Module M3069Serial

    'G[R[h
    Public Enum I2C_STATUS
        TW_I2CS_TIMEOUT = TW_ATF_STATUS + 1
        TW_I2CS_NACK
    End Enum

    'RfBVrbg\萔
    Public Const ATF_I2C_START As Integer = &H1
    Public Const ATF_I2C_STOP As Integer = &H2

    'EEPROM̃X[uAhX
    Public Const ATF_I2C_EEPROM As Byte = &HA0

    'ATF̃_E[hƍ폜
    Public Declare Function ATF_SerialAttach Lib "M3069Serial.dll" (ByVal hDev As Integer) As Integer
    Public Declare Function ATF_SerialDetach Lib "M3069Serial.dll" (ByVal hDev As Integer) As Integer

    'I2C֘A֐
    Public Declare Function ATF_I2CSetPort Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Port As Integer, ByVal SclBit As Integer, ByVal SdaBit As Integer, ByVal DDR As Byte) As Integer
    Public Declare Function ATF_I2CSetWait Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Wait As Byte) As Integer
    Public Declare Function ATF_I2CWrite Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal SlaveAddr As Byte, <MarshalAs(UnmanagedType.AsAny)> ByVal pData As Object, ByRef pnWrite As Integer, ByVal Condition As Integer) As Integer
    Public Declare Function ATF_I2CRead Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal SlaveAddr As Byte, ByVal pData() As Byte, ByRef pnRead As Integer, ByVal Condition As Integer) As Integer

    Public Declare Function ATF_EE24Write Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal SlaveAddr As Byte, ByVal Addr As Integer, <MarshalAs(UnmanagedType.AsAny)> ByVal pData As Object, ByRef pnWrite As Integer, ByVal nAddrBits As Integer) As Integer
    Public Declare Function ATF_EE24Read Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal SlaveAddr As Byte, ByVal Addr As Integer, ByVal pData() As Byte, ByRef pnRead As Integer, ByVal nAddrBits As Integer) As Integer

    'SPI֘A֐
    Public Declare Function ATF_SPISetPort Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Port As Integer, ByVal CLKBit As Integer, ByVal DOBit As Integer, ByVal DIBit As Integer, ByVal CSPort As Integer, ByVal CSBits As Byte) As Integer
    Public Declare Function ATF_SPISetWait Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Wait As Short) As Integer
    Public Declare Function ATF_SPIWriteRead Lib "M3069Serial.dll" (ByVal hDev As Integer, <MarshalAs(UnmanagedType.AsAny)> ByVal pWrite As Object, ByVal nWriteBits As Integer, ByVal pRead() As Byte, ByVal nReadBits As Integer, ByVal Mode As Byte) As Integer
    Public Declare Function ATF_SPIWrite Lib "M3069Serial.dll" (ByVal hDev As Integer, <MarshalAs(UnmanagedType.AsAny)> ByVal pWrite As Object, ByVal nWriteBits As Integer, ByVal Mode As Byte) As Integer
    Public Declare Function ATF_SPIRead Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal pRead() As Byte, ByVal nReadBits As Integer, ByVal Mode As Byte) As Integer

    Public Declare Function ATF_EE25ReadStatus Lib "M3069Serial.dll" (ByVal hDev As Integer, ByRef pStatus As Byte) As Integer
    Public Declare Function ATF_EE25WriteStatus Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Status As Byte) As Integer
    Public Declare Function ATF_EE25Write Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Addr As Integer, <MarshalAs(UnmanagedType.AsAny)> ByVal pData As Object, ByVal nWrite As Integer, ByVal nAddrBits As Integer) As Integer
    Public Declare Function ATF_EE25Read Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Addr As Integer, ByVal pData() As Byte, ByVal nRead As Integer, ByVal nAddrBits As Integer) As Integer

    Public Declare Function ATF_EE93WriteEnable Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal flgEnable As Integer, ByVal nAddrBits As Integer) As Integer
    Public Declare Function ATF_EE93EraseAll Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal nAddrBits As Integer) As Integer
    Public Declare Function ATF_EE93WriteAll Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Data As Short, ByVal nAddrBits As Integer) As Integer
    Public Declare Function ATF_EE93Write Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Addr As Integer, <MarshalAs(UnmanagedType.AsAny)> ByVal pData As Object, ByVal nDataWords As Short, ByVal nAddrBits As Integer) As Integer
    Public Declare Function ATF_EE93Read Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Addr As Integer, ByVal pData() As Byte, ByVal nDataWords As Short, ByVal nAddrBits As Integer) As Integer
    Public Declare Function ATF_EE93Read Lib "M3069Serial.dll" (ByVal hDev As Integer, ByVal Addr As Integer, ByVal pData() As Short, ByVal nDataWords As Short, ByVal nAddrBits As Integer) As Integer
    Public Declare Function ATF_EE93IsReady Lib "M3069Serial.dll" (ByVal hDev As Integer, ByRef pflgReady As Integer) As Integer

End Module