/******************************************************************************
  USBM3069.h
  XV:2007/8/1
  t@Co[W:3.3.1.3
  
  USBM3069.DLLpwb_[t@C
  
  E2007/10/18 Ver.3.3.1.3 DLL3.3.1.3ɑΉ 
  E2007/7/20 Ver.3.3.0.3 DLL3.3.0.xɑΉ
  E2007/6/27 Ver.3.1.1.2 RgꕔC
  E2007/5/15 Ver.3.1.1.1 Windows CE ɑΉLqɕύX

  eNmEF[u Copyright 2005-2007
*******************************************************************************/
#ifndef _USBM3069_H_
#define _USBM3069_H_

#include "oleauto.h"


#ifndef __TW_BASE_TYPES__
#define __TW_BASE_TYPES__

typedef PVOID TW_HANDLE;
typedef ULONG TW_STATUS;

enum {
  TW_OK,                     //I
  TW_INVALID_HANDLE,         //nh
  TW_DEVICE_NOT_FOUND,       //foCXȂ
  TW_DEVICE_NOT_OPENED,
  TW_IO_ERROR,               //MɃG[
  TW_INSUFFICIENT_RESOURCES, //\[XG[(foCX̍ő吔𒴂ꍇȂ)
  TW_INVALID_PARAMETER,
  TW_INVALID_BAUD_RATE,

  TW_DEVICE_NOT_OPENED_FOR_ERASE,
  TW_DEVICE_NOT_OPENED_FOR_WRITE,
  TW_FAILED_TO_WRITE_DEVICE,
  TW_EEPROM_READ_FAILED,
  TW_EEPROM_WRITE_FAILED,
  TW_EEPROM_ERASE_FAILED,
  TW_EEPROM_NOT_PRESENT,
  TW_EEPROM_NOT_PROGRAMMED,
  TW_INVALID_ARGS,         //
  TW_NOT_SUPPORTED,        //T|[gȂ@\
  TW_OTHER_ERROR           //̑̃G[
};
//>Ver.3.1.0.x
enum{
  TW_TIMEOUT = 0xffff0001, //M܂͎M^CAEg
  TW_FILE_ERROR,           //t@CɊւG[
  TW_MEMORY_ERROR,         //̊mۃG[
  TW_DATA_NOT_FOUND,       //Lȃf[^
  TW_SOCKET_ERROR,         //Socket API ̃G[
  TW_ACCESS_DENIED         //F؃G[
};
//<Ver.3.1.0.x
#endif 

//FTD2XX.h̃CN[hKvȏꍇ́Ãt@CɓǂݍłB
#ifndef FTD2XX_H //FTD2XX.hCN[hĂȂꍇ

typedef PVOID FT_HANDLE;
typedef ULONG FT_STATUS;

enum {
  FT_OK,
  FT_INVALID_HANDLE,
  FT_DEVICE_NOT_FOUND,
  FT_DEVICE_NOT_OPENED,
  FT_IO_ERROR,
  FT_INSUFFICIENT_RESOURCES,
  FT_INVALID_PARAMETER,
  FT_INVALID_BAUD_RATE,

  FT_DEVICE_NOT_OPENED_FOR_ERASE,
  FT_DEVICE_NOT_OPENED_FOR_WRITE,
  FT_FAILED_TO_WRITE_DEVICE,
  FT_EEPROM_READ_FAILED,
  FT_EEPROM_WRITE_FAILED,
  FT_EEPROM_ERASE_FAILED,
  FT_EEPROM_NOT_PRESENT,
  FT_EEPROM_NOT_PROGRAMMED,
  FT_INVALID_ARGS,
  FT_NOT_SUPPORTED,
  FT_OTHER_ERROR
};

#define FT_PURGE_RX 1
#define FT_PURGE_TX 2

#endif


//>Ver.3.1.0.x
//ATF֘AG[
enum{
  TW_ATF_ERR_FILE_VERSION = 0xffff0101, //Ήo[WVt@CtH[}bg
  TW_ATF_ERR_ILLEGAL_FILE,              //t@C̓es
  TW_ATF_ERR_SERVICE_VERSION,           //gpT[rXfoCXT|[gĂȂ
  TW_ATF_ERR_PASSWORD_REQUIRED,         //ATF𕜍邽߂̃pX[hKv
};

#pragma pack(1)
//ATF̏擾邽߂̍\
typedef struct {
  DWORD FormatVer;      //t@CtH[}bg̃o[W
  DWORD FirmwareVer;    //Kvȃt@[EFÃo[W
  char Description[32]; //ATF̖́AȂ
  char Manufacture[32]; //
  DWORD ProgramVer;     //[߂ĂvÕo[W
  DWORD AddressTop;     //gpRAM̈̐擪AhX
  DWORD AddressBottom;  //gpRAM̈̍ŏIAhX+1
  DWORD CommandAddress; //R}hnh̃AhX
  WORD  EncryptMode;    //Í(0:ȂA1:\A2:[U[pX[hɂÍ)
  WORD  wRsv;
  DWORD MainAddress;    //C֐̃AhX
} USBM_ATF_INFO;


//i擾邽߂̍\
typedef struct {
  WORD Empty;           //K0Ƃ
  WORD wRsv;            //\
  UUID ID;              //UUID\(UUID̕ۑ)
  DWORD Number;         //Cӂ̔ԍ
  char Description[32]; //i
  char Manufacture[32]; //
  BYTE Reserve[40];     //\
} USBM_PRODUCT_INFO;
#pragma pack()


#define USBM_IF_USB 0x80000000   //USBC^tF[X
#define USBM_IF_LAN 0x40000000   //LANC^tF[X
#define USBM_IF_ANY 0xff000000   //SẴC^tF[Xƃ}b`

#define USBM_LIST_UPDATE 0x00000001 //LANfoCX̓e[uXV邩̃tO

#define USBM_MAX_DEVICE 256      //I[vłő̃foCX
#define USBM_DEFAULT_PORT 0xc000 //LANfoCX̃ANZXɎgpftHg̃|[gԍ

//<Ver.3.1.0.x

//>Ver.3.3.0.x
#define TW_ATF_STATUS  0xfffffe00 //ATFŋʂɎgpXe[^X̐擪ԍ
#define TW_USER_STATUS 0xffffff00 //[U[`̃Xe[^X̐擪ԍ
//<Ver.3.3.0.x

#define USBM_PURGE_RX 1
#define USBM_PURGE_TX 2


/*Xe[^X*/
#define USBM_STS_TIMEOUT        0x0001
#define USBM_STS_ILLEGAL_ACCESS 0x0002

/*|[gAhX*/
#define USBM_POUT 0xffffffff  //POUT(o͐p)ʂ̃AhX
#define USBM_P1   0x00ffffd0  //P1(͐p)
#define USBM_P2   0x00ffffd1  //P2(͐p)
#define USBM_P4   0x00ffffd3  //P4(o)
#define USBM_P5   0x00ffffd4  //P5(͐p)
#define USBM_PA   0x00ffffd9  //PA(o)

//DARo[^̃AhX
#define USBM_DA0 0x00ffff9c
#define USBM_DA1 0x00ffff9d

//OoX̃AhX
#define USBM_AREA0_TOP 0x100000
#define USBM_AREA2_TOP 0x400000
#define USBM_AREA3_TOP 0x600000
#define USBM_AREA5_TOP 0xa00000
#define USBM_USER_AREA 0xffbf20

//PCs(IRQ)ǂނ߂IO|[gAhX
#define USBM_PC0_ADDR 0xffffd8
#define USBM_PC1_ADDR 0xffffd8
#define USBM_PC2_ADDR 0xffffd7
#define USBM_PC3_ADDR 0xffffd7

//PCs(IRQ)ǂނ߂̃rbg}XN
#define USBM_PC0_BIT 0x10
#define USBM_PC1_BIT 0x20
#define USBM_PC2_BIT 0x02
#define USBM_PC3_BIT 0x04

//16rbg^C}NbN
#define USBM_TCLK25000  0x00  //25MHz
#define USBM_TCLK12500  0x01  //12.5MHz
#define USBM_TCLK6250   0x02  //6250kHz
#define USBM_TCLK3125   0x03  //3125kHz
#define USBM_TCLKA      0x04  //TCLKA
#define USBM_TCLKB      0x05  //TCLKB

//16rbg^C}CvbgLv`pGbWݒ
#define USBM_CAPT_RISE  0x04
#define USBM_CAPT_FALL  0x05
#define USBM_CAPT_BOTH  0x07

//TCPY(8rbg^C})p
#define USBM_TCLK390    0x06  //390.625kHz
#define USBM_TCLK3      0x07  //3052Hz
#define USBM_TCLKUP     0x08  //ONbNオ
#define USBM_TCLKDOWN   0x09  //ONbN
#define USBM_TCLKBOTH   0x0a  //ONbNGbW

//SCI
#define USBM_SCI_DATA8    0x00  //8rbgf[^
#define USBM_SCI_DATA7    0x40  //7rbgf[^
#define USBM_SCI_NOPARITY 0x00  //peBȂ
#define USBM_SCI_EVEN     0x20  //peB
#define USBM_SCI_ODD      0x30  //peB
#define USBM_SCI_STOP1    0x00  //1Xgbvrbg
#define USBM_SCI_STOP2    0x08  //2Xgbvrbg
#define USBM_SCI_BAUD300    0x02A2  //9rbg=CKS1,8rbg=CKS0,7-0rbg=BRR,
#define USBM_SCI_BAUD600    0x0250
#define USBM_SCI_BAUD1200   0x01A2
#define USBM_SCI_BAUD2400   0x0150
#define USBM_SCI_BAUD4800   0x00A2
#define USBM_SCI_BAUD9600   0x0050
#define USBM_SCI_BAUD14400  0x0035
#define USBM_SCI_BAUD19200  0x0028
#define USBM_SCI_BAUD38400  0x0013

//GA\萔
#define USBM_AREA0 0x01
#define USBM_AREA2 0x04
#define USBM_AREA3 0x08
#define USBM_AREA5 0x10

//pXJE^\萔
#define USBM_PC0 0x10
#define USBM_PC1 0x20
#define USBM_PC2 0x02
#define USBM_PC3 0x04
#define USBM_PC_ALL -1


#ifdef __cplusplus
extern "C" {
long _stdcall USBM_ListDevices(TCHAR (*pSrerial)[9] = NULL,long nSerial = 0);
long _stdcall USBM_ListDevicesByID(WORD VID, WORD PID, TCHAR (*pSerial)[9], long nSerial);
TW_HANDLE _stdcall USBM_OpenByUA(LPCTSTR pUA, long nUA);
TW_HANDLE _stdcall USBM_Open(LPCTSTR pSerial = NULL);
TW_HANDLE _stdcall USBM_OpenByID(WORD VID, WORD PID, LPCTSTR pSerial);
TW_STATUS _stdcall USBM_Close(TW_HANDLE hDev);

TW_STATUS _stdcall USBM_Initialize(TW_HANDLE hDev);
TW_STATUS _stdcall USBM_AddressEnable(TW_HANDLE hDev, long nBits);
TW_STATUS _stdcall USBM_CSEnable(TW_HANDLE hDev, long Area);
TW_STATUS _stdcall USBM_BusSetWait(TW_HANDLE hDev, long Area, BYTE Wait);

TW_STATUS _stdcall USBM_PortRead8(TW_HANDLE hDev, DWORD Port, BYTE *pData);
TW_STATUS _stdcall USBM_PortWrite8(TW_HANDLE hDev,DWORD Port, BYTE Data);
TW_STATUS _stdcall USBM_PortRead16(TW_HANDLE hDev, DWORD Port, WORD *pData);
TW_STATUS _stdcall USBM_PortWrite16(TW_HANDLE hDev, DWORD Port, WORD Data);
TW_STATUS _stdcall USBM_PortBWrite(TW_HANDLE hDev, DWORD Port, void *pData, long nData, long Inc = 1, BYTE Dma = FALSE);
TW_STATUS _stdcall USBM_PortBRead(TW_HANDLE hDev, DWORD Port, void *pData, long nData, long Inc = 1, BYTE Dma = FALSE);
TW_STATUS _stdcall USBM_PortSetDir(TW_HANDLE hDev, DWORD Port, BYTE Bits);
TW_STATUS _stdcall USBM_PortBCopy(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort, long nData, long SrcInc, long DstInc);
TW_STATUS _stdcall USBM_PortCopy8(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort);
TW_STATUS _stdcall USBM_PortCopy16(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort);

TW_STATUS _stdcall USBM_TimerEnable(TW_HANDLE hDev, BYTE Bits, long MDF);
TW_STATUS _stdcall USBM_TimerSetLevel(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TimerSetPulse(TW_HANDLE hDev, long CH, WORD LtoH, WORD HtoL);
TW_STATUS _stdcall USBM_TimerSetClk(TW_HANDLE hDev, long CH, BYTE Bits);
TW_STATUS _stdcall USBM_TimerSetCnt(TW_HANDLE hDev, long CH, short Cnt);
TW_STATUS _stdcall USBM_TimerStart(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TimerReadCnt(TW_HANDLE hDev, long CH, short *pCnt);
TW_STATUS _stdcall USBM_TimerSetCmp(TW_HANDLE hDev, short CmpA, short CmpB);
TW_STATUS _stdcall USBM_TimerSetCmpOut(TW_HANDLE hDev, long CmpReg, DWORD Port, BYTE Data);
TW_STATUS _stdcall USBM_TimerSetCmpClr(TW_HANDLE hDev, BYTE Bits);

TW_STATUS _stdcall USBM_ADRead(TW_HANDLE hDev, WORD *pData, long CH, long Scan = FALSE);
TW_STATUS _stdcall USBM_ADSetCycle(TW_HANDLE hDev, BYTE Cmp, long CLK = USBM_TCLK3125);
TW_STATUS _stdcall USBM_ADBRead(TW_HANDLE hDev, WORD *pData, DWORD nData, long CH, DWORD *pnRead = NULL);

TW_STATUS _stdcall USBM_SCISetMode(TW_HANDLE hDev, long CH, long Mode = 0x00, long Baud = USBM_SCI_BAUD9600);
TW_STATUS _stdcall USBM_SCIReadStatus(TW_HANDLE hDev, long CH, BYTE *pStatus, long *pnReceive);
TW_STATUS _stdcall USBM_SCIRead(TW_HANDLE hDev, long CH, void *pData, long nData, long *pnRead = NULL);
TW_STATUS _stdcall USBM_SCIWrite(TW_HANDLE hDev, long CH, void *pData, long nData);

TW_STATUS _stdcall USBM_PCSetCmp(TW_HANDLE hDev, long CH, long Cmp);
TW_STATUS _stdcall USBM_PCSetCnt(TW_HANDLE hDev, long CH, long Cnt);
TW_STATUS _stdcall USBM_PCReadCnt(TW_HANDLE hDev, long CH, long *pCnt);
TW_STATUS _stdcall USBM_PCSetControl(TW_HANDLE hDev, long CH, BYTE Bits);
TW_STATUS _stdcall USBM_PCSetCondBit(TW_HANDLE hDev, long CH, DWORD Port, BYTE Mask);
TW_STATUS _stdcall USBM_PCSetCmpOut(TW_HANDLE hDev, long CH, DWORD Port, BYTE Data);
TW_STATUS _stdcall USBM_PCStart(TW_HANDLE hDev, BYTE Bits);

TW_STATUS _stdcall USBM_TCPYStart(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TCPYSetParm(TW_HANDLE hDev, long CH, DWORD SrcPort, DWORD DstPort,
                    long nCopy, long SrcInc, long DstInc, long lLoop);
TW_STATUS _stdcall USBM_TCPYSetCmp(TW_HANDLE hDev, long CH, BYTE Cmp);
TW_STATUS _stdcall USBM_TCPYSetClk(TW_HANDLE hDev, long CH, long CLK);
TW_STATUS _stdcall USBM_TCPYSetCycle(TW_HANDLE hDev, long CH, BYTE Cmp, long CLK = USBM_TCLK3125);

TW_STATUS _stdcall USBM_Write(TW_HANDLE hDev, void *pData, DWORD nData, DWORD *pWritten);
TW_STATUS _stdcall USBM_Read(TW_HANDLE hDev, void *pData, DWORD nData, DWORD *pRead);

TW_STATUS _stdcall USBM_ReadStatus(TW_HANDLE hDev, DWORD *pStat);
TW_STATUS _stdcall USBM_ReadVersion(TW_HANDLE hDev, DWORD *pVer);

TW_STATUS _stdcall USBM_Abort(TW_HANDLE hDev);

TW_STATUS _stdcall USBM_TimerStartA(TW_HANDLE hDev, BYTE Bits, long TrigPC = -1, long Repeat = FALSE, long Cmp = 1);
TW_STATUS _stdcall USBM_TimerStop(TW_HANDLE hDev, BYTE Bits, long TrigPC = -1, long Repeat = FALSE, long Cmp = 1);
TW_STATUS _stdcall USBM_DASetCycle(TW_HANDLE hDev,long CH,long Cmp,long CLK);
TW_STATUS _stdcall USBM_DASetParm(TW_HANDLE hDev,long CH,DWORD SrcPort,long nData,long lLoop);
TW_STATUS _stdcall USBM_DAReadStatus(TW_HANDLE hDev,long CH,long *pnData);
TW_STATUS _stdcall USBM_DAStart(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_DAStop(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TCPYSetPatternCtrl(TW_HANDLE hDev, long CH, DWORD SrcPort, DWORD DstPort,
                                       long nCopy, long nSrc, long SrcInc, long Start = 0, BYTE Mask = 0xff);
TW_STATUS _stdcall USBM_TCPYSetTrig(TW_HANDLE hDev, long CH, long StartPC, long StopPC,long Repeat);
TW_STATUS _stdcall USBM_TCPYReadStatus(TW_HANDLE hDev, long CH, long *pnCopy, long *pSrcPos);
TW_STATUS _stdcall USBM_TimerSetCapture(TW_HANDLE hDev, long CH, BYTE EdgeA = USBM_CAPT_RISE, BYTE EdgeB = USBM_CAPT_RISE);
TW_STATUS _stdcall USBM_TimerReadCaptureCnt(TW_HANDLE hDev, long CH, long *pCntA, long *pCntB);
TW_STATUS _stdcall USBM_TimerSetCaptureCnt(TW_HANDLE hDev, long CH, long CntA = 0, long CntB = 0);

TW_STATUS _stdcall USBM_ADStart(TW_HANDLE hDev, long nCnv, long CH, long Scan, long lByte = FALSE, long Trig = FALSE);
TW_STATUS _stdcall USBM_ADCopy(TW_HANDLE hDev, DWORD DstPort, long nCnv, long CH,
                           long CKS, long DMA_CH, long DstInc = TRUE);
TW_STATUS _stdcall USBM_ADReadCopyStatus(TW_HANDLE hDev,long *pnCnv,long DMA_CH);
TW_STATUS _stdcall USBM_ADReadCopyBuffer(TW_HANDLE hDev, DWORD Port, WORD *pData, long nData, long Inc, BYTE Dma);
TW_STATUS _stdcall USBM_ADStopCopy(TW_HANDLE hDev, long DMA_CH);
TW_STATUS _stdcall USBM_SCISetDelimiter(TW_HANDLE hDev, long CH, char *pDelimiter, long nDelimiter);
TW_STATUS _stdcall USBM_GetQueueStatus(TW_HANDLE hDev, DWORD *pnQueue);
TW_STATUS _stdcall USBM_Purge(TW_HANDLE hDev, DWORD dwMask);
TW_STATUS _stdcall USBM_SetTimeouts(TW_HANDLE hDev, DWORD dwReadTimeout, DWORD dwWriteTimeout);
TW_STATUS _stdcall USBM_PCStartA(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_PCStop(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TimerSetSinglePulse(TW_HANDLE hDev, long CH, long Setup, long Width, long Pos = FALSE);

FT_HANDLE _stdcall USBM_GetFTHandle(TW_HANDLE hDev);

//>Ver.3.1.0.x
TW_STATUS _stdcall USBM_ReadPI(TW_HANDLE hDev, USBM_PRODUCT_INFO *pInfo);
TW_STATUS _stdcall USBM_OpenByPI(TW_HANDLE *phDev, LPCTSTR pUuid, DWORD Number, long Opt);
TW_STATUS _stdcall USBM_PortWrite8A(TW_HANDLE hDev, DWORD Port, BYTE Data, BYTE Mask = 0xff);

TW_STATUS _stdcall USBM_SetPassword(LPCTSTR pPass = NULL);
TW_STATUS _stdcall USBM_SetNetworkPort(DWORD PortNumber = 0);
DWORD _stdcall USBM_GetIFType(TW_HANDLE hDev);
TW_STATUS _stdcall USBM_OpenA(TW_HANDLE *phDev, LPCTSTR pIID = NULL, long Opt = USBM_IF_ANY | USBM_LIST_UPDATE);
TW_STATUS _stdcall USBM_ListDevicesA(long *pnDev, LPTSTR pIID, long *pnIID, long Opt);
//<Ver.3.1.0.x

//>Ver.3.3.0.x
TW_STATUS _stdcall USBM_ReadVersionA(TW_HANDLE hDev, DWORD *pVersion);
TW_STATUS _stdcall USBM_ATFSetCommand(TW_HANDLE hDev, DWORD Address);
TW_STATUS _stdcall USBM_ATFSetMain(TW_HANDLE hDev, DWORD Address);
TW_STATUS _stdcall USBM_ATFUserCommand(TW_HANDLE hDev, WORD Command = 0, DWORD Param1 = 0, DWORD Param2 = 0, void *pData = NULL, long nData = 0);
TW_STATUS _stdcall USBM_ATFDownload(TW_HANDLE hDev, LPCTSTR FileName, LPCTSTR Reserve = NULL);
TW_STATUS _stdcall USBM_ATFGetInfo(LPCTSTR FileName, USBM_ATF_INFO *pInfo);
//<Ver.3.3.0.x

//  OLEANZXp
long _stdcall USBM_ListDevices2(LPSAFEARRAY *ppSerial);
long _stdcall USBM_ListDevicesByID2(WORD VID, WORD PID, LPSAFEARRAY *ppSerial);
TW_STATUS _stdcall USBM_PortBWrite2(TW_HANDLE hDev, DWORD Port, LPSAFEARRAY *ppData, long nData, long Inc = 1, BYTE Dma = TRUE);
TW_STATUS _stdcall USBM_PortBRead2(TW_HANDLE hDev, DWORD Port, LPSAFEARRAY *ppData, long nData, long Inc = 1, BYTE Dma = TRUE);
TW_STATUS _stdcall USBM_ADRead2(TW_HANDLE hDev, LPSAFEARRAY *ppData, long CH, long Scan = FALSE);
TW_STATUS _stdcall USBM_ADBRead2(TW_HANDLE hDev, LPSAFEARRAY *ppData, DWORD nData, long CH, DWORD *pnRead = NULL);
TW_STATUS _stdcall USBM_SCIRead2(TW_HANDLE hDev, long CH, LPSAFEARRAY *ppData, long nData, long *pnRead = NULL);
TW_STATUS _stdcall USBM_SCIWrite2(TW_HANDLE hDev, long CH, LPSAFEARRAY *ppData, long nData);
TW_STATUS _stdcall USBM_PCReadCnt2(TW_HANDLE hDev, long CH, LPSAFEARRAY *ppCnt);
TW_STATUS _stdcall USBM_Write2(TW_HANDLE hDev, LPSAFEARRAY *ppData, long nData, long *pWritten);
TW_STATUS _stdcall USBM_Read2(TW_HANDLE hDev, LPSAFEARRAY *ppData, long nData, long *pRead);
TW_STATUS _stdcall USBM_ADReadCopyBuffer2(TW_HANDLE hDev, DWORD Port, LPSAFEARRAY *ppData, long nData, long Inc, BYTE Dma);
TW_STATUS _stdcall USBM_SCISetDelimiter2(TW_HANDLE hDev, long CH, LPSAFEARRAY *ppData, long nDelimiter);
TW_STATUS _stdcall USBM_ATFUserCommand2(TW_HANDLE hDev, WORD Command, DWORD Param1, DWORD Param2, LPVARIANT pData, long nData);
}
#else

long _stdcall USBM_ListDevices(TCHAR (*pSrerial)[9],long nSerial);
long _stdcall USBM_ListDevicesByID(WORD VID, WORD PID, TCHAR (*pSerial)[9], long nSerial);
TW_HANDLE _stdcall USBM_OpenByUA(LPCTSTR pUA, long nUA);
TW_HANDLE _stdcall USBM_Open(LPCTSTR pSerial);
TW_HANDLE _stdcall USBM_OpenByID(WORD VID, WORD PID, LPCTSTR pSerial);
TW_STATUS _stdcall USBM_Close(TW_HANDLE hDev);

TW_STATUS _stdcall USBM_Initialize(TW_HANDLE hDev);
TW_STATUS _stdcall USBM_AddressEnable(TW_HANDLE hDev, long nBits);
TW_STATUS _stdcall USBM_CSEnable(TW_HANDLE hDev, long Area);
TW_STATUS _stdcall USBM_BusSetWait(TW_HANDLE hDev, long Area, BYTE Wait);

TW_STATUS _stdcall USBM_PortRead8(TW_HANDLE hDev, DWORD Port, BYTE *pData);
TW_STATUS _stdcall USBM_PortWrite8(TW_HANDLE hDev,DWORD Port, BYTE Data);
TW_STATUS _stdcall USBM_PortRead16(TW_HANDLE hDev, DWORD Port, WORD *pData);
TW_STATUS _stdcall USBM_PortWrite16(TW_HANDLE hDev, DWORD Port, WORD Data);
TW_STATUS _stdcall USBM_PortBWrite(TW_HANDLE hDev, DWORD Port, void *pData, long nData, long Inc, BYTE Dma);
TW_STATUS _stdcall USBM_PortBRead(TW_HANDLE hDev, DWORD Port, void *pData, long nData, long Inc, BYTE Dma);
TW_STATUS _stdcall USBM_PortSetDir(TW_HANDLE hDev, DWORD Port, BYTE Bits);
TW_STATUS _stdcall USBM_PortBCopy(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort, long nData, long SrcInc, long DstInc);
TW_STATUS _stdcall USBM_PortCopy8(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort);
TW_STATUS _stdcall USBM_PortCopy16(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort);

TW_STATUS _stdcall USBM_TimerEnable(TW_HANDLE hDev, BYTE Bits, long MDF);
TW_STATUS _stdcall USBM_TimerSetLevel(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TimerSetPulse(TW_HANDLE hDev, long CH, WORD LtoH, WORD HtoL);
TW_STATUS _stdcall USBM_TimerSetClk(TW_HANDLE hDev, long CH, BYTE Bits);
TW_STATUS _stdcall USBM_TimerSetCnt(TW_HANDLE hDev, long CH, short Cnt);
TW_STATUS _stdcall USBM_TimerStart(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TimerReadCnt(TW_HANDLE hDev, long CH, short *pCnt);
TW_STATUS _stdcall USBM_TimerSetCmp(TW_HANDLE hDev, short CmpA, short CmpB);
TW_STATUS _stdcall USBM_TimerSetCmpOut(TW_HANDLE hDev, long CmpReg, DWORD Port, BYTE Data);
TW_STATUS _stdcall USBM_TimerSetCmpClr(TW_HANDLE hDev, BYTE Bits);

TW_STATUS _stdcall USBM_ADRead(TW_HANDLE hDev, WORD *pData, long CH, long Scan);
TW_STATUS _stdcall USBM_ADSetCycle(TW_HANDLE hDev, BYTE Cmp, long CLK);
TW_STATUS _stdcall USBM_ADBRead(TW_HANDLE hDev, WORD *pData, DWORD nData, long CH, DWORD *pnRead);

TW_STATUS _stdcall USBM_SCISetMode(TW_HANDLE hDev, long CH, long Mode, long Baud);
TW_STATUS _stdcall USBM_SCIReadStatus(TW_HANDLE hDev, long CH, BYTE *pStatus, long *pnReceive);
TW_STATUS _stdcall USBM_SCIRead(TW_HANDLE hDev, long CH, void *pData, long nData, long *pnRead);
TW_STATUS _stdcall USBM_SCIWrite(TW_HANDLE hDev, long CH, void *pData, long nData);

TW_STATUS _stdcall USBM_PCSetCmp(TW_HANDLE hDev, long CH, long Cmp);
TW_STATUS _stdcall USBM_PCSetCnt(TW_HANDLE hDev, long CH, long Cnt);
TW_STATUS _stdcall USBM_PCReadCnt(TW_HANDLE hDev, long CH, long *pCnt);
TW_STATUS _stdcall USBM_PCSetControl(TW_HANDLE hDev, long CH, BYTE Bits);
TW_STATUS _stdcall USBM_PCSetCondBit(TW_HANDLE hDev, long CH, DWORD Port, BYTE Mask);
TW_STATUS _stdcall USBM_PCSetCmpOut(TW_HANDLE hDev, long CH, DWORD Port, BYTE Data);
TW_STATUS _stdcall USBM_PCStart(TW_HANDLE hDev, BYTE Bits);

TW_STATUS _stdcall USBM_TCPYStart(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TCPYSetParm(TW_HANDLE hDev, long CH, DWORD SrcPort, DWORD DstPort,
                    long nCopy, long SrcInc, long DstInc, long lLoop);
TW_STATUS _stdcall USBM_TCPYSetCmp(TW_HANDLE hDev, long CH, BYTE Cmp);
TW_STATUS _stdcall USBM_TCPYSetClk(TW_HANDLE hDev, long CH, long CLK);
TW_STATUS _stdcall USBM_TCPYSetCycle(TW_HANDLE hDev, long CH, BYTE Cmp, long CLK);

TW_STATUS _stdcall USBM_Write(TW_HANDLE hDev, void *pData, DWORD nData, DWORD *pWritten);
TW_STATUS _stdcall USBM_Read(TW_HANDLE hDev, void *pData, DWORD nData, DWORD *pRead);

TW_STATUS _stdcall USBM_ReadStatus(TW_HANDLE hDev, DWORD *pStat);
TW_STATUS _stdcall USBM_ReadVersion(TW_HANDLE hDev, DWORD *pVer);

TW_STATUS _stdcall USBM_Abort(TW_HANDLE hDev);

TW_STATUS _stdcall USBM_TimerStartA(TW_HANDLE hDev, BYTE Bits, long TrigPC, long Repeat, long Cmp);
TW_STATUS _stdcall USBM_TimerStop(TW_HANDLE hDev, BYTE Bits, long TrigPC, long Repeat, long Cmp);
TW_STATUS _stdcall USBM_DASetCycle(TW_HANDLE hDev,long CH,long Cmp,long CLK);
TW_STATUS _stdcall USBM_DASetParm(TW_HANDLE hDev,long CH,DWORD SrcPort,long nData,long lLoop);
TW_STATUS _stdcall USBM_DAReadStatus(TW_HANDLE hDev,long CH,long *pnData);
TW_STATUS _stdcall USBM_DAStart(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_DAStop(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TCPYSetPatternCtrl(TW_HANDLE hDev, long CH, DWORD SrcPort, DWORD DstPort,
                                       long nCopy, long nSrc, long SrcInc, long Start, BYTE Mask);
TW_STATUS _stdcall USBM_TCPYSetTrig(TW_HANDLE hDev, long CH, long StartPC, long StopPC,long Repeat);
TW_STATUS _stdcall USBM_TCPYReadStatus(TW_HANDLE hDev, long CH, long *pnCopy, long *pSrcPos);
TW_STATUS _stdcall USBM_TimerSetCapture(TW_HANDLE hDev, long CH, BYTE EdgeA, BYTE EdgeB);
TW_STATUS _stdcall USBM_TimerReadCaptureCnt(TW_HANDLE hDev, long CH, long *pCntA, long *pCntB);
TW_STATUS _stdcall USBM_TimerSetCaptureCnt(TW_HANDLE hDev, long CH, long CntA, long CntB);

TW_STATUS _stdcall USBM_ADStart(TW_HANDLE hDev, long nCnv, long CH, long Scan, long lByte, long Trig);
TW_STATUS _stdcall USBM_ADCopy(TW_HANDLE hDev, DWORD DstPort, long nCnv, long CH,
                           long CKS, long DMA_CH, long DstInc);
TW_STATUS _stdcall USBM_ADReadCopyStatus(TW_HANDLE hDev,long *pnCnv,long DMA_CH);
TW_STATUS _stdcall USBM_ADReadCopyBuffer(TW_HANDLE hDev, DWORD Port, WORD *pData, long nData, long Inc, BYTE Dma);
TW_STATUS _stdcall USBM_ADStopCopy(TW_HANDLE hDev, long DMA_CH);
TW_STATUS _stdcall USBM_SCISetDelimiter(TW_HANDLE hDev, long CH, char *pDelimiter, long nDelimiter);
TW_STATUS _stdcall USBM_GetQueueStatus(TW_HANDLE hDev, DWORD *pnQueue);
TW_STATUS _stdcall USBM_Purge(TW_HANDLE hDev, DWORD dwMask);
TW_STATUS _stdcall USBM_SetTimeouts(TW_HANDLE hDev, DWORD dwReadTimeout, DWORD dwWriteTimeout);
TW_STATUS _stdcall USBM_PCStartA(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_PCStop(TW_HANDLE hDev, BYTE Bits);
TW_STATUS _stdcall USBM_TimerSetSinglePulse(TW_HANDLE hDev, long CH, long Setup, long Width, long Pos);

PVOID _stdcall USBM_GetFTHandle(TW_HANDLE hDev);

//>Ver.3.1.0.x
TW_STATUS _stdcall USBM_ReadPI(TW_HANDLE hDev, USBM_PRODUCT_INFO *pInfo);
TW_STATUS _stdcall USBM_OpenByPI(TW_HANDLE *phDev, LPCTSTR pUuid, DWORD Number, long Opt);
TW_STATUS _stdcall USBM_PortWrite8A(TW_HANDLE hDev,DWORD Port, BYTE Data, BYTE Mask);
TW_STATUS _stdcall USBM_SetPassword(LPCTSTR pPass);
TW_STATUS _stdcall USBM_SetNetworkPort(DWORD PortNumber);
DWORD _stdcall USBM_GetIFType(TW_HANDLE hDev);
TW_STATUS _stdcall USBM_OpenA(TW_HANDLE *phDev, LPCTSTR pIID, long Opt);
TW_STATUS _stdcall USBM_ListDevicesA(long *pnDev, LPTSTR pIID, long *pnIID, long Opt);
//<Ver.3.1.0.x

//>Ver.3.3.0.x
TW_STATUS _stdcall USBM_ReadVersionA(TW_HANDLE hDev, DWORD *pVersion);
TW_STATUS _stdcall USBM_ATFSetCommand(TW_HANDLE hDev, DWORD Address);
TW_STATUS _stdcall USBM_ATFSetMain(TW_HANDLE hDev, DWORD Address);
TW_STATUS _stdcall USBM_ATFUserCommand(TW_HANDLE hDev, WORD Command, DWORD Param1, DWORD Param2, void *pData, long nData);
TW_STATUS _stdcall USBM_ATFDownload(TW_HANDLE hDev, LPCTSTR FileName, LPCTSTR Reserve);
TW_STATUS _stdcall USBM_ATFGetInfo(LPCTSTR FileName, USBM_ATF_INFO *pInfo);
//<Ver.3.3.0.x

//OLEANZXp
long _stdcall USBM_ListDevices2(LPSAFEARRAY *ppSerial);
long _stdcall USBM_ListDevicesByID2(WORD VID, WORD PID, LPSAFEARRAY *ppSerial);
TW_STATUS _stdcall USBM_PortBWrite2(TW_HANDLE hDev, DWORD Port, LPSAFEARRAY *ppData, long nData, long Inc, BYTE Dma);
TW_STATUS _stdcall USBM_PortBRead2(TW_HANDLE hDev, DWORD Port, LPSAFEARRAY *ppData, long nData, long Inc, BYTE Dma);
TW_STATUS _stdcall USBM_ADRead2(TW_HANDLE hDev, LPSAFEARRAY *ppData, long CH, long Scan);
TW_STATUS _stdcall USBM_ADBRead2(TW_HANDLE hDev, LPSAFEARRAY *ppData, DWORD nData, long CH, DWORD *pnRead);
TW_STATUS _stdcall USBM_SCIRead2(TW_HANDLE hDev, long CH, LPSAFEARRAY *ppData, long nData, long *pnRead);
TW_STATUS _stdcall USBM_SCIWrite2(TW_HANDLE hDev, long CH, LPSAFEARRAY *ppData, long nData);
TW_STATUS _stdcall USBM_PCReadCnt2(TW_HANDLE hDev, long CH, LPSAFEARRAY *ppCnt);
TW_STATUS _stdcall USBM_Write2(TW_HANDLE hDev, LPSAFEARRAY *ppData, long nData, long *pWritten);
TW_STATUS _stdcall USBM_Read2(TW_HANDLE hDev, LPSAFEARRAY *ppData, long nData, long *pRead);
TW_STATUS _stdcall USBM_ADReadCopyBuffer2(TW_HANDLE hDev, DWORD Port, LPSAFEARRAY *ppData, long nData, long Inc, BYTE Dma);
TW_STATUS _stdcall USBM_SCISetDelimiter2(TW_HANDLE hDev, long CH, LPSAFEARRAY *ppData, long nDelimiter);
TW_STATUS _stdcall USBM_ATFUserCommand2(TW_HANDLE hDev, WORD Command, DWORD Param1, DWORD Param2, LPVARIANT pData, long nData);
#endif

//****** ȉ̍s VisualStudio  IntelliSense ̂߂ɒǉĂ܂ *****
//****** KvȂꍇɂ̓RgAEgĂ                     *****
#ifdef __USBM_INTELLISENSE__

long _stdcall USBM_ListDevices(TCHAR (*pSrerial)[9] = NULL,long nSerial = 0){return 0;}; //foCX̐Ԃ܂
/******************************************************************************
  USBM_ListDevices

  (*pSerial)[9] : 9oCg̕ւ̃|C^AVAԍi[܂
  nSerial       : ̔z̐

  ڑĂfoCX̐Ԃ܂BpSerialNULLłȂnSerial܂
  VAԍpSerialɊi[܂BVAԍ͐iɗ\ߕtĂ
  p8(ANSI)̕ňӂȒlłB
*****************************************************************************/


long _stdcall USBM_ListDevicesByID(WORD VID, WORD PID, TCHAR (*pSerial)[9], long nSerial){return 0;}; //wID̃foCXԂ܂
/*****************************************************************************
  USBM_ListDevicesByID

  VID           : x_ID
  PID           : v_NgID
  (*pSerial)[9] : 9oCg̕ւ̃|C^AVAԍi[܂
  nSerial       : ̔z̐

  w肳ꂽx_[IDƃv_NgIDɊYfoCXAڑĂ
  foCX̐Ԃ܂BpSerialNULLłȂnSerial܂ŃVAԍ
  pSerialɊi[܂BVAԍ͐iɗ\ߕtĂp8(ANSI)
  ̕ňӂȒlłB
*****************************************************************************/


TW_HANDLE _stdcall USBM_OpenByUA(LPCTSTR pUA, long nUA){return 0;}; //[U[GȀw肵ăfoCXI[v܂
/*****************************************************************************
  USBM_OpenByUA

  *pUA : [U[GAƔr镶
  nUA  : r镶

  {[h̃VAROM̃[U[GA̒lǂݏoAw蕶ƈv
  foCX̃nhԂ܂BwfoCXI[vłȂꍇ0
  Ԃ܂Bݎgpł郆[U[GA8oCgłB
*****************************************************************************/


TW_HANDLE _stdcall USBM_Open(LPCTSTR pSerial = NULL){};  //VAԍw肵ăfoCXI[v܂
/*****************************************************************************
  USBM_Open

  *pSerial : VAԍANULLŏI镶

  pSerial NULL̏ꍇA܂́A*pSerial""̏ꍇAI[vłŏ
  foCX̃nhԂ܂BȊOł̓VAԍvfoCX
  I[v܂BwfoCXI[vłȂꍇ0Ԃ܂B
*****************************************************************************/


TW_HANDLE _stdcall USBM_OpenByID(WORD VID, WORD PID, LPCTSTR pSerial){return 0;};  //wID̃foCXI[v܂
/*****************************************************************************
  USBM_OpenByID

  VID      : x_ID
  PID      : v_NgID
  *pSerial : VAԍANULLŏI镶

  w肳ꂽx_[IDƃv_NgIDɊYfoCXI[v܂B
  pSerial NULL̏ꍇA܂́A*pSerial""̏ꍇAI[vłŏ
  foCX̃nhԂ܂BȊOł̓VAԍvfoCX
  I[v܂BwfoCXI[vłȂꍇ0Ԃ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_Close(TW_HANDLE hDev){return 0;};  //foCX̃nhN[Y܂
/*****************************************************************************
  USBM_Close

  hDev : foCX̃nh

  foCXN[Y܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_Initialize(TW_HANDLE hDev){return 0;};  //foCX܂
/*****************************************************************************
  USBM_Initialize

  hDev : foCX̃nh

  }CR̐ݒN̂̂ɖ߂܂BftHgŎgpȂWX^
  [UŕύXꍇɂ͂̃WX^͏Ȃ\܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_AddressEnable(TW_HANDLE hDev, long nBits){return 0;};  //AhXoXwrbgLɂ܂
/*****************************************************************************
  USBM_AddressEnable

  hDev  : foCX̃nh
  nBits : Lɂrbg(0,8,16,20)

  AhXo͂L/ɂ܂BLSBwrbgLɂȂ܂B
  AhXoX̓|[g1,|[g2,|[g5ƋpłBAhXo͂
  ̓|[gƂĂ͎gpł܂̂ŒӂĂBAhX͈ꕔ
  o͂ł܂̂ŏo͂ĂȂ|[g͓̓|[ĝ܂܎gpł܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_CSEnable(TW_HANDLE hDev, long Area){return 0;};  //w̃`bvZNgMLɂ܂
/*****************************************************************************
  USBM_CSEnable

  hDev : foCX̃nh
  Area : CSMLɂGA
         USBM_AREA2 CS2#o
         USBM_AREA3 CS3#o

  CSMLɂGAw肵܂BgpłCSM̂CS0#,CS5#͏
  o͂܂̂USBM_AREA2USBM_AREA3wł܂Bo͂ꍇOR
  Ďw肵Ă(USBM_AREA2 | USBM_AREA3)B
  CS2#LɂꍇPC3#ACS3#LɂꍇPC2#͎gpł܂̂ŊY
  ̃pXJE^͕KɂĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_BusSetWait(TW_HANDLE hDev, long Area, BYTE Wait){return 0;};  //oX̃EFCgԂύX܂
/*****************************************************************************
  USBM_BusSetWait

  hDev : foCX̃nh
  Area : GA
         USBM_AREA0 GA0
         USBM_AREA2 GA2
         USBM_AREA3 GA3
         USBM_AREA5 GA5
  Wait : EFCg
         0 EFCgȂ
         1 EFCg1
         2 EFCg2
         3 EFCg3

  GÃ\tgEFAEFCgݒ肵܂BԂł̓EFCgȂ
  ɐݒ肳Ă܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PortRead8(TW_HANDLE hDev, DWORD Port, BYTE *pData){return 0;};  //wAhX8rbgPʂœǂݏo܂
/*****************************************************************************
  USBM_PortRead8

  hDev   : foCX̃nh
  Port   : ǂݎAhX
  *pData : ǂݏof[^̊i[

  }CRPortŎw肳AhX1oCg̃f[^ǂݏo܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PortWrite8(TW_HANDLE hDev,DWORD Port, BYTE Data){return 0;};  //wAhX8rbgPʂŏ݂܂
/*****************************************************************************
  USBM_PortWrite8

  hDev : foCX̃nh
  Port : ރAhX
  Data : ރf[^

  }CRPortŎw肳AhX1oCg̃f[^݂܂B}CR
  ̐䃌WX^ɂ݂s܂̂ŁA萔ȊÕAhXw肷ꍇ
  ͒ӂKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_PortRead16(TW_HANDLE hDev, DWORD Port, WORD *pData){return 0;};  //wAhX16rbgPʂœǂݏo܂
/*****************************************************************************
  USBM_PortRead16

  hDev   : foCX̃nh
  Port   : ރAhX
  *pData : ރf[^

  }CRPortŎw肳AhX2oCg̃f[^ǂݏo܂B
  PortAhX͋ԒnłȂ΂Ȃ܂BoCgANZXp̋Ԃł
  1oCg2񃊁[h܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PortWrite16(TW_HANDLE hDev, DWORD Port, WORD Data){return 0;};  //wAhX16rbgPʂŏ݂܂
/*****************************************************************************
  USBM_PortWrite16

  hDev : foCX̃nh
  Port : ރAhX
  Data : ރf[^

  }CRPortŎw肳AhX2oCg̃f[^݂܂B16rbg
  ̃f[^𓯎ɃANZXꍇɎgp܂B}CR̐䃌WX^ɂ
  ݂s܂̂ŁA萔ȊÕAhXw肷ꍇɂ͒ӂKvłB
  PortAhX͋ԒnłȂ΂Ȃ܂BoCgANZXp̋Ԃł
  1oCg2񃉃Cg܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PortBWrite(TW_HANDLE hDev, DWORD Port, void *pData, long nData, long Inc = 1, BYTE Dma = TRUE){return 0;}; //wAhXɃubNPʂŏ݂܂
/*****************************************************************************
  USBM_PortBWrite

  hDev   : foCX̃nh
  Port   : ރAhX
  *pData : ރf[^ւ̃|C^
  nData  : f[^̃oCg(0`65536)
  Inc    : }CR̃AhXCNg邩tO(TRUE,FALSE)
  Dma    : DMAgp邩ǂ̃tO(TRUE,FALSE)

  }CRPortŎw肳AhXnDataŎw肳傫̃f[^]
  ܂BIncFALSEƂƃ}CR̃AhXCNg܂̂
  FIFÔ悤ȃfoCXɏ݂s܂BDmaTRUEƂƃ}CRDMA
  gpăf[^]܂BDMAgpƍłA]I
  PA0/TCLKA[qTEND#Mo͂̂ŒӂKvłBPA0/TCLKAɏo͂o
  ͂ȂꍇɂDMA=FALSEƂČĂяoĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_PortBRead(TW_HANDLE hDev, DWORD Port, void *pData, long nData, long Inc = 1, BYTE Dma = TRUE){return 0;};  //wAhXubNPʂœǂݏo܂
/*****************************************************************************
  USBM_PortBRead

  hDev   : foCX̃nh
  Port   : ǂݏoAhX
  *pData : ǂݏof[^̊i[ւ̃|C^
  nData  : f[^̃oCg(0`65536)
  Inc    : }CR̃AhXCNg邩tO(TRUE,FALSE)
  Dma    : DMAgp邩ǂ̃tO(TRUE,FALSE)

  }CRPortŎw肳AhXnDataŎw肳傫̃f[^ǂ
  o܂BIncFALSEƂƃ}CR̃AhXCNg܂
  FIFÔ悤ȃfoCXǂݏos܂BDmaTRUEƂƃ}CR
  DMAgpăf[^]܂BDMAgpƍłA]I
  PA1/TCLKB[qTEND#Mo͂̂ŒӂKvłBPA1/TCLKBɏo͂o
  ͂ȂꍇɂDMA=FALSEƂČĂяoĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_PortSetDir(TW_HANDLE hDev, DWORD Port, BYTE Bits){return 0;};  //wAhX͂܂͏o͂ɐݒ肵܂
/*****************************************************************************
  USBM_PortSetDir

  hDev : foCX̃nh
  Port : w肷|[g
         USBM_P1 P10`P17[q̕ݒ
         USBM_P2 P20`P27[q̕ݒ
         USBM_P4 P40`P47[q̕ݒ
         USBM_P5 P50`P53[q̕ݒ
         USBM_PA PA0`PA7[q̕ݒ
  Bits : (1̃rbg:o,0̃rbg:)

  |[g̓/o͂؂ւ܂BBits0̃rbg͓,1̃rbg͏o͂
  Ȃ܂B
  :P1,P2,P5͓͐pŏo͂ɂƃoX̃AhXo͂ɂȂ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PortBCopy(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort, long nData, long SrcInc, long DstInc){return 0;};  //Cӂ̃AhXԂŃubNPʂŃf[^Rs[܂
/*****************************************************************************
  USBM_PortBCopy

  hDev    : foCX̃nh
  SrcPort : Rs[
  DstPort : Rs[
  nData   : oCg(0`65536)
  SrcInc  : Rs[AhX̃CNg(1,0,-1)
  DstInc  : Rs[AhX̃CNg(1,0,-1)

  SrcPortDstPort֎woCgRs[s܂BDMÃo[Xg[h
  ]܂̂ŁA]I܂Ń}CR݂͊܂߂đ̏s܂
*****************************************************************************/


TW_STATUS _stdcall USBM_PortCopy8(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort){return 0;};  //Cӂ̃AhXԂ8rbgPʂŃf[^Rs[܂
/*****************************************************************************
  USBM_PortCopy8

  hDev    : foCX̃nh
  SrcPort : Rs[
  DstPort : Rs[

  SrcPortŎ̃AhX1oCgǂݎDstPortŎAhX
  ݂܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PortCopy16(TW_HANDLE hDev, DWORD SrcPort, DWORD DstPort){return 0;};  //Cӂ̃AhXԂ16rbgPʂŃf[^Rs[܂
/*****************************************************************************
  USBM_PortCopy16

  hDev    : foCX̃nh
  SrcPort : Rs[
  DstPort : Rs[

  SrcPortŎAhX16rbg̃f[^ǂݎDstPortŎ
  AhXɏ݂܂BAhX͂ǂԒnłȂ΂Ȃ܂B
  oCgANZXp̋Ԃł1oCg2ANZX܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerEnable(TW_HANDLE hDev, BYTE Bits, long MDF){return 0;};  //16rbg^C}̏o̓sLɂ܂
/*****************************************************************************
  USBM_TimerEnable

  hDev : foCX̃nh
  Bits : PWMo͂s`lrbg
         0rbg(LSB) ^C}0
         1rbg      ^C}1
         2rbg      ^C}2
  MDF  : 0ȊOw肷ƃ`l2ʑv[hɐݒ肵܂B

  w肳ꂽ^C}`lgp\ɂ܂Bw`lPWM[h
  ݒ肵܂̂őΉ`lTIOCAsPWMo͂ɂȂ܂B
  MDF^ɂƃ`l2ʑv[hɐݒ肵܂Bʑv[hɂȂ
  Bits̒lɊ֌WȂTCLKA,TCLKBsNbN͂ƂȂ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetLevel(TW_HANDLE hDev, BYTE Bits){return 0;};  //16rbg^C}̏o̓s̃xύX܂
/*****************************************************************************
  USBM_TimerSetLevel

  hDev : foCX̃nh
  Bits : ^C}o͒[q\rbg
         0rbg(LSB) TIOCA0
         1rbg      TIOCB0
         2rbg      TIOCA1
         3rbg      TIOCB1
         4rbg      TIOCA2
         5rbg      TIOCB2

  ^C}o͂ɐݒ肳Ăs̃xύX܂B1ɃZbgƑΉ
  o̓s1o͂ɂȂ܂B^C}o͂ɐݒ肳ĂȂs͉e󂯂܂
  BftHgł͗Lɂ`lTIOCAso͂ɂȂ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetPulse(TW_HANDLE hDev, long CH, WORD LtoH, WORD HtoL){return 0;};  //PWM̎ƃpXw肵܂
/*****************************************************************************
  USBM_TimerSetPulse

  hDev : foCX̃nh
  CH   : ^C}`l(0,1,2)
  LtoH : ^C}o(TIOCAs)1ɂȂJEglw(1`65535)
  HtoL : ^C}o(TIOCAs)0ɂȂJEglw(1`65535)

  ^C}o̓s1ɂȂ^C~O0ɂȂ^C~Ow肵܂BftHg
  ̐ݒł̓^C}PWM[hɐݒ肳TIOCAso͂ƂȂ܂BȂ킿
  16rbg^C}̃JE^LtoH̒lƓȂTIOCAs1o͂A
  HtoLƓȂ0o͂܂B܂ftHgł0ɂȂ^C~O
  JE^Zbg悤ɐݒ肳܂B܂AHtoL̒lŃJE^o͂
  LtoH̒lŃf[eBł܂B`lԂ̈ʑ̓^C}
  X^[gOUSBM_TimerSetCnt()ĂяoƂŒł܂B
  pX̎ƃf[eB͎̂悤ɂȂ܂B

  Tp = (HtoL + 1) / fclk [s] (fclk:USBM_TimerSetClk()őIꂽg)
  Don = (1 - (LtoH + 1) / (Low + 1)) * 100 [%] (ONf[eB)
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetClk(TW_HANDLE hDev, long CH, BYTE Bits){return 0;};  //16rbg^C}̃NbNI܂
/*****************************************************************************
  USBM_TimerSetClk

  hDev : foCX̃nh
  CH   : ^C}`l(0,1,2)
  Bits : USBM_TCLK25000 25MHz
         USBM_TCLK12500 12.5MHz
         USBM_TCLK6250  6250kHz
         USBM_TCLK3125  3125kHz
         USBM_TCLKA     TCLKÅO
         USBM_TCLKB     TCLKB̊O

  16rbg^C}ɎgpNbNI܂BTCLKA܂TCLKBI
  PA0܂PA1sNbN͂ƂĎgp܂B
  TCLKA,TCLKBUSBM_PortBWrite()܂USBM_PortBRead()֐DMAgp
  ꎞITEND#MƂďo̓sɐݒ肳Ă܂܂̂œɎgp邱
  ͂ł܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetCnt(TW_HANDLE hDev, long CH, short Cnt){return 0;};  //16rbg^C}̃JE^lݒ肵܂
/*****************************************************************************
  USBM_TimerSetCnt

  hDev : foCX̃nh
  CH   : ^C}`l(0,1,2)
  Cnt  : ݒ肷l(0`65535)

  ^C}̃JE^lݒ肵܂B`lԂPWM̈ʑ𒲐ꍇȂǂ
  gpł܂B݂s܂1msȏv܂̂Ń^C}Xgbv
  Ԃŏ݂sƂE߂܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerStart(TW_HANDLE hDev, BYTE Bits){return 0;};  //16rbg^C}̃JEgJn܂
/*****************************************************************************
  USBM_TimerStart

  hDev : foCX̃nh
  Bits : 16rbg^C}`l\rbg
         0rbg(LSB) ^C}0
         1rbg      ^C}1
         2rbg      ^C}2

  ^C}̃X^[g/Xgbv𐧌䂵܂B1ɃZbgrbgɑΉ^C}
  X^[gA0ɃZbgrbgɑΉ^C}̓Xgbv܂B
*****************************************************************************/

TW_STATUS _stdcall USBM_TimerReadCnt(TW_HANDLE hDev, long CH, short *pCnt){return 0;};  //16rbg^C}̃JE^lǂݏo܂
/*****************************************************************************
  USBM_TimerReadCnt

  hDev  : foCX̃nh
  CH    : ^C}`l(0,1,2)
  *pCnt : JEgl̊i[

  ^C}̃JE^lǂݏo܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetCmp(TW_HANDLE hDev, short CmpA, short CmpB){return 0;};  //16rbg^C}̃RyAWX^̒lݒ肵܂
/*****************************************************************************
  USBM_TimerSetCmp

  hDev  : foCX̃nh
  CmpA  : RyAWX^A(-32768`32767)
  CmpB  : RyAWX^B(-32768`32767)

  `l2ʑv[hŎgpꍇ̃RyAlݒ肵܂B
  RyAlƃ`l2̃JE^lvƂ̓
  USBM_SetCmpOut()֐Őݒ肵܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetCmpOut(TW_HANDLE hDev, long CmpReg, DWORD Port, BYTE Data){return 0;};  //16rbg^C}̃RyAAEgݒ肵܂
/*****************************************************************************
  USBM_TimerSetCmpOut

  hDev   : foCX̃nh
  CmpReg : ݒ肷RyAWX^
           0 RyAWX^A
           1 RyAWX^B
  Port   : lރAhX
  Data   : ރf[^

  ^C}`l2̃RyAAEgݒ肵܂BRyAAEgݒ肵
  RyAWX^̒lƃ^C}`l2̃JEglvPortŎw
  ꂽAhXDataCg܂Bo͂sȂ悤ɂɂPort
  0ɂČĂяoĂB
  ^C}`l2PWM[hłʑv[h@\܂BPWM[hł1
  Ȃ^C~ORyAWX^AƂ̃}b`OŁA0ɂȂ^C~O(
  JE^0ɃNA^C~O)RyAWX^BƂ̃}b`OłB
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetCmpClr(TW_HANDLE hDev, BYTE Bits){return 0;};  //16rbg^C}̃RyA}b`ɂJE^̃NAݒ肵܂
/*****************************************************************************
  USBM_TimerSetCmpClr

  hDev : foCX̃nh
  Bits : RyA}b`ŃJE^NARyAWX^w
         0rbg(LSB) 1̂ƂRyAWX^AƂ̃}b`OŃJE^
                      NA܂
         1rbg      1̂ƂRyAWX^BƂ̃}b`OŃJE^
                      NA܂

  w肳ꂽRyAWX^ƃRyA}b`Ƃ^C}`l2
  JE^NA܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_ADRead(TW_HANDLE hDev, WORD *pData, long CH, long Scan = FALSE){return 0;};  //w`lADϊʂǂݏo܂
/*****************************************************************************
  USBM_ADRead

  hDev  : foCX̃nh
  pData : ǂݏof[^̊i[ւ̃|C^
  CH    : ADRo[^̃`l(0,1,2,3)
  Scan  : `lXL邩ǂ̃tO(TRUE,FALSE)

  ScanFALSÊƂw肳ꂽ`lADϊʂpDataʒuɊi[܂B
  ScanTRUÊƂ0w肳ꂽ`l܂łADϊpDatäʒui[
  ܂BႦScan=TRUECH=2̏ꍇA0`2`l3`l̕ϊ
  pDataʒu3[hi[܂BpDatä̑傫̓`FbN܂
  ̂Ń`lɍ킹ČĂяoŊmۂĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_ADSetCycle(TW_HANDLE hDev, BYTE Cmp, long CLK = USBM_TCLK3125){return 0;};  //AADϊꍇ̎w肵܂
/*****************************************************************************
  USBM_ADSetCycle

  hDev : foCX̃nh
  Cmp  : RyAWX^̒l(1`255)
  CLK  : NbN̑I
         USBM_TCLK3125 3125kHz
         USBM_TCLK390  390.625kHz
         USBM_TCLK3    3052Hz

  USBM_ADBRead()AUSBM_ADStart()ŘAADϊsꍇ̎ݒ肵܂B
  CLKŃNbN̎gIACmp̒lł̃NbNJEgƂ
  ϊJn邩肵܂BCLK0ɂČĂяoƃ^C}ł͂ȂOgK
  ͂ŕϊJnݒƂȂ܂Bϊ͉̂悤ɂȂ܂B

  Tc = (Cmp + 1) / fclk [s] (fclk : CLKőIg)
*****************************************************************************/


TW_STATUS _stdcall USBM_ADBRead(TW_HANDLE hDev, WORD *pData, DWORD nData, long CH, DWORD *pnRead = NULL){return 0;};  //AADϊʂǂݏo܂
/*****************************************************************************
  USBM_ADBRead

  hDev   : foCX̃nh
  pData  : ǂݏof[^̊i[ւ̃|C^
  nData  : ǂݏof[^(oCgPʂł͂Ȃ[hf[^̐A1`4294967295)
  CH     : ADRo[^̃`l(0,1,2,3)
  pnRead : ۂɓǂݏof[^̊i[(oCgPʂł͂Ȃ[h̐)

  w`lADRo[^ŒIADϊÃf[^ǂݏo܂B
  ϊ^C~O̓}CR8rbg^C}ōo@ƁAOgK
  ͂@܂BftHgł͊OgK̓͂ŕϊJn܂
  ̂ŁA^C}𗘗pꍇɂ́A\USBM_ADSetCycle()֐ŃNbN
  RyAlݒ肵ĂĂB
  ֐̂USBM_SetTimeouts()Ŏw肳ꂽԂŃ^CAEg܂AfoCX
  ͎w肳ꂽf[^ǂݏo܂ŏ𑱂܂B~ɂUSBM_Abort()
  gpĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_SCISetMode(TW_HANDLE hDev, long CH, long Mode = 0x00, long Baud = 0x0050){return 0;};  //VAʐM̊eݒs܂
/*****************************************************************************
  USBM_SCISetMode

  hDev  : foCX̃nh
  CH    : SCI`l(0̂)
  Mode  : LN^̃rbg,peB,Xgbvrbg̐ݒORƂ
          n܂B
          USBM_SCI_DATA8    : 8rbgf[^
          USBM_SCI_DATA7    : 7rbgf[^
          USBM_SCI_NOPARITY : peBȂ
          USBM_SCI_EVEN     : peB
          USBM_SCI_ODD      : peB
          USBM_SCI_STOP1    : 1Xgbvrbg
          USBM_SCI_STOP2    : 2Xgbvrbg
  Baud  : {[[g
          USBM_SCI_BAUD300   : 300bps 
          USBM_SCI_BAUD600   : 600bps
          USBM_SCI_BAUD1200  : 1200bps
          USBM_SCI_BAUD2400  : 2400bps
          USBM_SCI_BAUD4800  : 4800bps
          USBM_SCI_BAUD9600  : 9600bps
          USBM_SCI_BAUD14400 : 14400bps
          USBM_SCI_BAUD19200 : 19200bps
          USBM_SCI_BAUD38400 : 38400bps

  SCI`l̐ݒs܂Bgpł݂̂͒̂łB
*****************************************************************************/


TW_STATUS _stdcall USBM_SCIReadStatus(TW_HANDLE hDev, long CH, BYTE *pStatus, long *pnReceive){return 0;};  //VAʐM`l̃Xe[^Xǂݏo܂
/*****************************************************************************
  USBM_SCIReadStatus

  hDev      : foCX̃nh
  CH        : `l(0̂)
  pStatus   : Xe[^X̊i[ւ̃|C^
              0(LSB)rbg`2rbg 0ł
              3rbg peBG[Nꍇ1ɂȂ܂
              4rbg t[~OG[Nꍇ1ɂȂ܂
              5rbg I[o[G[Nꍇ1ɂȂ܂
              6rbg`7rbg(MSB) 0ł
  pnReceive : obt@̃f[^̊i[ւ̃|C^

  SCĨXe[^XƎMobt@Ɋi[Ăf[^ǂݏo܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_SCIRead(TW_HANDLE hDev, long CH, void *pData, long nData, long *pnRead = NULL){return 0;};  //VA|[gf[^ǂݏo܂
/*****************************************************************************
  USBM_SCIRead

  hDev   : foCX̃nh
  CH     : `l(0̂)
  pData  : i[ւ̃|C^
  nData  : f[^̃oCg(1`255)
  pnRead : ۂɓǂݏooCg̊i[

  }CR{[h̃VA|[gf[^ǂݏo܂B֐̂
  USBM_SetTimeouts()Ŏw肳ꂽԂŃ^CAEg܂AfoCX͎w肳
  f[^ǂݏo܂ŏ𑱂܂B~邽߂ɂUSBM_Abort()֐
  gpĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_SCIWrite(TW_HANDLE hDev, long CH, void *pData, long nData){return 0;};  //VA|[gf[^o͂܂
/*****************************************************************************
  USBM_SCIWrite

  hDev  : foCX̃nh
  CH    : `l(0̂)
  pData : f[^ւ̃|C^
  nData : f[^̃oCg(1`255)

  }CR{[h̃VA|[gf[^o͂܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PCSetCmp(TW_HANDLE hDev, long CH, long Cmp){return 0;};  //pXJE^̃RyAWX^ݒ肵܂
/*****************************************************************************
  USBM_PCSetCmp

  hDev : foCX̃nh
  CH   : pXJE^̃`l(0`3)
  Cmp  : RyAl(-2147483648`2147483647)

  pXJE^̃RyAlݒ肵܂BݒsƂŃpXJE^
  JEgl̒lƈvƂɃJE^lZbg悤ɂA
  w|[gɃf[^o͂悤ɂł܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PCSetCnt(TW_HANDLE hDev, long CH, long Cnt){return 0;};  //pXJE^̃JEglZbg܂
/*****************************************************************************
  USBM_PCSetCnt

  hDev : foCX̃nh
  CH   : pXJE^̃`l(0`3)
  Cnt  : JE^̒l(-2147483648`2147483647)

  pXJE^ɒlݒ肵܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PCReadCnt(TW_HANDLE hDev, long CH, long *pCnt){return 0;};  //pXJE^̃JEglǂݏo܂
/*****************************************************************************
  USBM_PCReadCnt

  hDev : foCX̃nh
  CH   : pXJE^̃`l(0`3)
         USBM_PC_ALLw肷0`3`lSĂǂݏo܂
  pCnt : JE^̒l̊i[

  pXJE^̒lǂݏo܂BS̃`lĂяoꍇ
  4`l̗̈pCntɎw肵ĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_PCSetControl(TW_HANDLE hDev, long CH, BYTE Bits){return 0;};  //pXJE^̃JEg@w肵܂
/*****************************************************************************
  USBM_PCSetControl 

  hDev : foCX̃nh
  CH   : `l(0,1,2,3)
  Bits : 0rbg(LSB) '1'ɂPC0̓͂ŃJE^0ɃNA܂
         1rbg      '1'ɂƃRyA}b`ŃJE^0ɃNA܂
         4,5rbg    '00'ɂƃpX͂ŖɃJEgAbv܂
                      '01'ɂƏrbg^̂Ƃ_EAÛƂAbv
                      '10'ɂƏrbg^̂ƂAbvAÛƂ_E
                      '11'ɂƏrbg^̂ƂAbvAÛƂJEg
                      ܂
         LȊÕrbg͗\łB0ɂĂB

  pXJE^̐@w肵܂BBits2rbgŃZbg
  4,5rbgŃJEg̕@w肵܂B2rbgǂ0̏ꍇA
  JE^̓NA܂B
  rbgƂUSBM_PCSetCondBit()֐Ŏw肳rbgłB 
*****************************************************************************/


TW_STATUS _stdcall USBM_PCSetCondBit(TW_HANDLE hDev, long CH, DWORD Port, BYTE Mask){return 0;};  //pXJE^̃JEgƂȂrbgw肵܂
/*****************************************************************************
  USBM_PCSetCondBit

  hDev : foCX̃nh
  CH   : `l(0,1,2,3)
  Port : RfBVǂݎAhX
  Mask : PortAhX̒lƃAh}XN

  pX͂ꂽƂɃJE^̑߂rbgw肵܂B
  rbgPortAhXǂݎꂽlMaskl̃Ah(_)Ƃ
  肳܂BႦ2̃[^[GR[_[͂̈ʑ֌WŃJE^
  ؂ւ悤ȏꍇɗpł܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PCSetCmpOut(TW_HANDLE hDev, long CH, DWORD Port, BYTE Data){return 0;};  //pXJE^̃RyAAEgݒ肵܂
/*****************************************************************************
  USBM_PCSetCmpOut

  hDev : foCX̃nh
  CH   : `l(0,1,2,3)
  Port : RyA}b`ɏރAhX
  Data : RyA}b`ɏރf[^

  RyA}b`ɍs|[go͂ݒ肵܂BpXJE^̒lRyAl
  ƈvPortAhXDatao͂܂B|[g삪KvȂꍇPort=0
  ƂĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_PCStart(TW_HANDLE hDev, BYTE Bits){return 0;};  //pXJE^̃JEgJn܂
/*****************************************************************************
  USBM_PCStart

  hDev : foCX̃nh
  Bits : USBM_PC0  `l0 
         USBM_PC1  `l1
         USBM_PC2  `l2
         USBM_PC3  `l3

  pXJEg܂B`lꍇɂ͏L̒萔
  ORŌBitsɎw肵ĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_TCPYStart(TW_HANDLE hDev, BYTE Bits){return 0;};  //^C}Rs[Jn܂
/*****************************************************************************
  USBM_TCPYStart

  hDev : foCX̃nh
  Bits : rbg0(LSB) 1ɂƃ`l0X^[g܂B
         rbg1      1ɂƃ`l1X^[g܂B

  BitsŎw肳ꂽ`l̃^C}Rs[X^[g܂BXgbvꍇ
  Ήrbg0ɂČĂяo܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TCPYSetParm(TW_HANDLE hDev, long CH, DWORD SrcPort, DWORD DstPort, long nCopy, long SrcInc, long DstInc, long lLoop){return 0;};  //^C}Rs[̏ݒ肵܂
/*****************************************************************************
  USBM_TCPYSetParm

  hDev    : foCX̃nh
  CH      : ݒ肷`l(0,1)
  SrcPort : ]AhX
  DstPort : ]AhX
  nCopy   : Rs[oCg(1`65535)
  SrcInc  : ]ɓ]AhX𑝉oCg(-128`127)
  DstInc  : ]ɓ]AhX𑝉oCg(-128`127)
  lLoop    : ^̏ꍇA]IAԂ𕜋AčĊJ܂B(TRUE,FALSE)

  ^C}Rs[̃p[^ݒ肵܂B^C}Rs[ł8rbg^C}
  RyAlƈvxɓ]Ɏw肵AhX]Ɏw肵AhX
  1oCgf[^Rs[܂B
  ^C}Rs[삵ĂԂ͌ĂяoȂŉB
*****************************************************************************/



TW_STATUS _stdcall USBM_TCPYSetCmp(TW_HANDLE hDev, long CH, BYTE Cmp){return 0;};  //^C}Rs[̎ݒ肵܂
/*****************************************************************************
  USBM_TCPYSetCmp

  hDev : foCX̃nh
  CH   : ݒ肷`l(0,1)
  Cmp  : RyAl(1`255)

  8rbg^C}RyAlƈvUSBM_TCPYSetParm()Ŏw肵]
  ]AhX1oCg̃f[^Rs[܂B܂^C}̃JEgl
  ZbgŏJEg܂̂œ]̎̊֐Ō肵܂B
  ]͎̎̂悤ɂȂ܂BCLKUSBM_TCPYSetClk()Ŏw肵
  NbNgłB

  Tc = (Cmp + 1) / CLK [s]

  ^C}Rs[삵ĂԂ͌ĂяoȂŉB
*****************************************************************************/


TW_STATUS _stdcall USBM_TCPYSetClk(TW_HANDLE hDev, long CH, long CLK){return 0;};  //^C}Rs[̃NbNI܂
/*****************************************************************************
  USBM_TCPYSetClk

  hDev : foCX̃nh
  CH   : NbNݒ肷`l(0,1)
  CLK  : USBM_TCLK31250 3125kHz
         USBM_TCLK390   390.625kHz
         USBM_TCLK3     3052Hz
         USBM_TCLKUP    ONbN̗オ
         USBM_TCLKDOWN  ONbN̗
         USBM_TCLKBOTH  ONbN̗GbW

  ^C}Rs[ɎgpNbNI܂BONbN̓`l0ł
  TCLKA`l1łTCLKBgp܂B^C}Rs[삵ĂԂ
  ĂяoȂŉB
*****************************************************************************/


TW_STATUS _stdcall USBM_TCPYSetCycle(TW_HANDLE hDev, long CH, BYTE Cmp, long CLK = USBM_TCLK3125){return 0;};  //^C}Rs[̎ݒ肵܂
/*****************************************************************************
  USBM_TCPYSetCycle

  hDev : foCX̃nh
  CH   : ݒ肷`l(0,1)
  Cmp  : RyAl(1`255)
  CLK  : USBM_TCLK31250 3125kHz
         USBM_TCLK390   390.625kHz
         USBM_TCLK3     3052Hz
         USBM_TCLKUP    ONbN̗オ
         USBM_TCLKDOWN  ONbN̗
         USBM_TCLKBOTH  ONbN̗GbW

  ^C}Rs[̃Rs[TCNݒ肵܂B8rbg^C}̃JE^CLKI
  ꂽNbNŃJEgAJE^̒lRyAlƈvƁA
  USBM_TCPYSetParm()Ŏw肵]]1oCg̃f[^Rs[
  B^C}JE^̓RyAƓɃNAꓮJԂ܂B
  ]͉̎̂悤ɂȂ܂B

  Tc = (Cmp + 1) / CLK [s] (CLK͏̎g)

  ONbNw肷ꍇ́A0`lłTCLKAA1`lłTCLKB
  ͂ĂB^C}Rs[쒆͂̊֐ĂяoȂłB
*****************************************************************************/


TW_STATUS _stdcall USBM_Read(TW_HANDLE hDev, void *pData, DWORD nData, DWORD *pRead){return 0;};  //Mobt@f[^o܂B
/*****************************************************************************
  USBM_Read

  hDev   : foCX̃nh
  pData  : ǂݏof[^̊i[ւ̃|C^
  nData  : ǂݏooCg(1`65536)
  pRead  : ǂݏof[^̃oCg̊i[ւ̃|C^

  foCX瑗ꂽf[^ǂݏo܂BwoCg̃f[^ǂݏo܂
  ֐߂܂B
  PFTDI̊֐AFT_Read()ĂяoĂ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_ReadStatus(TW_HANDLE hDev, DWORD *pStat){return 0;};  //foCX̃Xe[^Xǂݏo܂
/*****************************************************************************
  USBM_ReadStatus

  hDev   : foCX̃nh
  pStat  : ǂݏoXe[^X̊i[ւ̃|C^
           USBM_STS_TIMEOUT        ^CAEg
           USBM_STS_ILLEGAL_ACCESS sȃAhXւ̃ANZX
           USBM_STS_TCPY0_FIN      ^C}Rs[0`lI
                                   (t@[Ver.2.0Œǉ)
           USBM_STS_TCPY1_FIN      ^C}Rs[1`lI
                                   (t@[Ver.2.0Œǉ)

  foCX̃Xe[^Xǂݎ܂BŒ`Xe[^Xrbg̑g
  Ԃ܂BxǂݏoƃfoCX̃Xe[^X̓NA܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_ReadVersion(TW_HANDLE hDev, DWORD *pVer){return 0;};  //foCX̃o[Wǂݏo܂
/*****************************************************************************
  USBM_ReadVersion

  hDev   : foCX̃nh
  pVer   : ǂݏoo[W̊i[ւ̃|C^

  o[ẂAx.x̌`10{ɂĐƂĕԂ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_Abort(TW_HANDLE hDev){return 0;};  //foCXɎs̏𒆎~܂
/*****************************************************************************
  USBM_Abort

  hDev   : foCX̃nh

  USBM_ADBRead(),USBM_SCIRead()֐^CAEgꍇɁA}CȐ
  𒆎~ꍇɎgp܂B
*****************************************************************************/



TW_STATUS _stdcall USBM_TimerStartA(TW_HANDLE hDev, BYTE Bits, long TrigPC, long Repeat, long Cmp){return 0;};  //16rbg^C}X^[g܂
/*****************************************************************************
  USBM_TimerStartA

  hDev   : foCX̃nh
  Bits   : X^[g^C}`l
           rbg0(LSB) 1̏ꍇA`l0X^[g
           rbg1      1̏ꍇA`l1X^[g
           rbg2      1̏ꍇA`l2X^[g
  TrigPC : ÑgKƂȂpXJE^`l
           -1   Ƀ^C}N܂
           0`3 w肳ꂽPCx#MŃ^C}N܂
  Repeat : NgKJԂ@\邩ǂ̃tO(TRUE,FALSE)
  Cmp    : pXJE^̃RyAl(1`2147483647)

  16rbg^C}̎w`lX^[g܂BUSBM_TimerStart()Ƃ̈Ⴂ
  X^[g`lȊOɉe^ȂƂłB
  ܂ATrigPCɃpXJE^̃`lw肷ƁAw肵`l
  ɂ͋NApXJE^ւ̓͑҂ɂȂ܂BpXJE^
  pX͂8us`20usȓɃ^C}N܂B̏ꍇARepeat
  ^ȂpXJE^͂͌JԂtA̓xɃ^C}N܂B
  Cmp͒ʏ1łApXJE^֕̃pX͂ɂ^C}Nꍇ
  ͉񐔂ݒ肵ĂB
  pXJE^NvƂƁAw̃pXJE^JEgJn܂
  ̂ŕsvɂȂꍇUSBM_PCStop()֐ĂяoĒ~ĂB

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerStop(TW_HANDLE hDev,BYTE Bits, long TrigPC, long Repeat, long Cmp){return 0;};  //16rbg^C}Xgbv܂
/*****************************************************************************
  USBM_TimerStop

  hDev   : foCX̃nh
  Bits   : Xgbv^C}`l
           rbg0(LSB) 1̏ꍇA`l0~
           rbg1      1̏ꍇA`l1~
           rbg2      1̏ꍇA`l2~
  TrigPC : ĨgKƂȂpXJE^`l
           -1    Ƀ^C}~܂
            0`3 w肳ꂽPCx#MŃ^C}~܂
  Repeat : IgKJԂ@\邩ǂ̃tO(TRUE,FALSE)
  Cmp    : pXJE^̃RyAl(1`2147483647)

  16rbg^C}̎w`l~܂BUSBM_TimerStart()Ƃ̈Ⴂ́A
  ~`lȊOɉe^ȂƂłB
  ܂ATrigPCɃpXJE^̃`lw肷ƁAw肵`l
  ɂ͒~ApXJE^ւ̓͑҂ɂȂ܂BpXJE^
  pX͂8us`20usȓɃ^C}~܂B̏ꍇARepeat
  ^ȂpXJE^͂͌JԂtA̓xɃ^C}~܂B
  Cmp͒ʏ1łApXJE^֕̃pX͂ɂ^C}~ꍇ
  ͉񐔂ݒ肵ĂB
  pXJE^~vƂƁAw̃pXJE^JEgJn܂
  ̂ŕsvɂȂꍇUSBM_PCStop()֐ĂяoĒ~ĂB
  
  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_DASetCycle(TW_HANDLE hDev,long CH,long Cmp,long CLK){return 0;};  //DARo[^ւ̃f[^]ݒ肵܂
/*****************************************************************************
  USBM_DASetCycle

  hDev : foCX̃nh
  CH   : ݒ肷DA`l
  Cmp  : ClkJEg
  CLK  : NbNI
         USBM_TCLK25000 25MHz
         USBM_TCLK12500 12.5MHz
         USBM_TCLK6250  6250kHz
         USBM_TCLK3125  3125kHz

  DARo[^̕ϊݒ肵܂Bϊ͉̂悤ɂȂ܂B

  Tc = (Cmp + 1) / fclk [s] (fclk:CLKőIg)
  
  DA0̃^C~Oɂ0`ĺADA1̃^C~Oɂ1`l
  16rbg^C}𗘗p܂̂ŊY`l16rbg^C}̗͑prɂ
  gpłȂȂ܂B

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_DASetParm(TW_HANDLE hDev,long CH,DWORD SrcPort,long nData,long lLoop){return 0;};  //DARo[^ւ̃f[^]p[^ݒ肵܂
/*****************************************************************************
  USBM_DASetParm

  hDev    : foCX̃nh
  CH      : DA`l(0,1)
  SrcPort : ]AhX
  nData   : f[^
            JԂȂꍇA1`65536
            JԂ]ꍇA1`255
  lLoop   : JԂ]邩̃tO(TRUE,FALSE)

  DARo[^ւDMA]ݒs܂B](ϊ)̎USBM_DASetCycle()
  w肵ĂB]AhX͈ʂɃ[U[̃AhXw肵A
  \߃fW^f[^ݒ肵ĂKv܂BlLoop^̏ꍇAnData̕ϊ
  IɁAĂуf[^̐擪ϊJԂ܂B
  DA0̓]ɂDMA0`lADA1̓]ɂDMA1`l𗘗p܂̂ŁA
  Y`lDMA]͍sȂȂ܂B̓IɂDA0DMA]ɂ
  USBM_PortBWrite()DMA]USBM_PortBCopy()gpłȂȂADA1DMA]
  ɂUSBM_PortBRead()DMA]g܂B܂ADA`lƓ`l
  16rbg^C}gpłȂȂ܂B

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_DAReadStatus(TW_HANDLE hDev,long *pnData){return 0;};  //DARo[^ւ̓]sǂׂ܂
/*****************************************************************************
  USBM_DAReadStatus

  hDev    : foCX̃nh
  CH      : DÃ`l(0,1)
  pnData  : c̕ϊf[^̊i[

  DARo[^̎cϊf[^𒲂ׂ܂BJԂϊ͏0ȊO̒l
  ܂B

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_DAStart(TW_HANDLE hDev, BYTE Bits){return 0;};  //DARo[^ւ̓](ϊ)Jn܂
/*****************************************************************************
  USBM_DAStart

  hDev : foCX̃nh
  Bits : X^[g`l
         rbg0(LSB) 1̏ꍇDA0ւ̓](ϊ)Jn܂B
         rbg1      1̏ꍇDA1ւ̓](ϊ)Jn܂B

  DARo[^ւ̃f[^]Jn܂B]JnOɖ
  USBM_DASetParm()ĂяoĂB

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_DAStop(TW_HANDLE hDev, BYTE Bits){return 0;};  //DARo[^ւ̓](ϊ)I܂
/*****************************************************************************
  USBM_DAStop

  hDev : foCX̃nh
  Bits : I`l
         rbg0(LSB) 1̏ꍇDA0ւ̓](ϊ)I܂B
         rbg1      1̏ꍇDA1ւ̓](ϊ)I܂B

  DARo[^ւ̃f[^]I܂B

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_TCPYSetPatternCtrl(TW_HANDLE hDev, long CH, DWORD SrcPort, DWORD DstPort, long nCopy, long nSrc, long SrcInc, long Start, BYTE Mask){return 0;};
/*****************************************************************************
  USBM_TCPYSetPatternCtrl

  hDev    : foCX̃nh
  CH      : ݒ肷`l(0,1)
  SrcPort : p^[f[^̐擪AhX
  DstPort : ]AhX
  nCopy   : ]
            1`65535  w񐔂Rs[s܂
            -1        ~܂ŃRs[JԂ܂
  nSrc    : p^[f[^̃oCg(1`65535)
  SrcInc  : ]ɓ]AhX𑝌oCg(-128`127)
  Start   : Jn̓]0n܂CfbNXl(0`65534)
  Mask    : ]ɔfrbgw

  ^C}Rs[̋@\𗘗pāACӂ̃|[gւ̃pXp^[o͂ݒ肵܂B
  ^C}Rs[ł8rbg^C}RyAlƈvxɓ]Ɏw肵Ah
  X]Ɏw肵AhX1oCgf[^Rs[܂B
  USBM_TCPYSetParm()Ƃ̈Ⴂ͓]ɓ]񐔂Ƃ͕ʂɃp^[wł
  _łB]AhX̓p^[f[^̍Ō𒴂ƁAIɐ擪Ɉړ
  ܂Btɐ擪AhX菬ȂƁAIɍŌɈړ܂B
  ܂A]AhX͏ɌŒłB
  Start͓]Jn̓]̈ʒuw肵܂B]ƂSrcPort+Start
  Jn܂B
  Mask͓]ɔfrbgw肵܂B0̃rbg͏܂BMask
  ͏o͐p|[g(USBM_POUT)ɑ΂Ă͖łB
  ̊֐͊Y`l̃^C}Rs[삵ĂԂ͌ĂяoȂŉ

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_TCPYSetTrig(TW_HANDLE hDev, long CH, long StartPC, long StopPC,long Repeat){return 0;};  //^C}Rs[̃gKݒ肵܂
/*****************************************************************************
  TW_STATUS USBM_TCPYSetTrig

  hDev    : foCX̃nh
  CH      : ݒ肷^C}Rs[̃`l(0,1)
  StartPC : NvƂȂpXJE^`lw肵܂B
            -1   pXJE^ł͋N܂B
            0`3 w肳ꂽPCx#M̗ŋN܂B
  StopPC  : IvƂȂpXJE^`lw肵܂B
            -1   pXJE^͂ł͏I܂B
            0`3 w肳ꂽPCx#M̗ŏI܂B
  Repeat  : pXJE^͂JԂ󂯕t邩̃tO(TRUE,FALSE)

  ^C}Rs[̋NvAIvPC0#`PC3#̃pXJE^͂w肵܂
  NvƏIv́AʁX̃`lw肵ĂB
  ̊֐ĂяoƁAw̃pXJE^JEgJn܂̂ŁAsv
  ɂȂꍇɂUSBM_PCStop()֐ĂяoăpXJE^~Ă
  B
*****************************************************************************/


TW_STATUS _stdcall USBM_TCPYReadStatus(TW_HANDLE hDev, long CH, long *pnCopy, long *pSrcPos){return 0;};  //^C}Rs[̓]󋵂ǂݏo܂
/*****************************************************************************
  TW_STATUS USBM_TCPYReadStatus

  hDev      : foCX̃nh
  CH        : ݒ肷^C}Rs[̃`l(0,1)
  pnCopy    : ݂̓]񐔂̊i[
  pSrcPos   : ݂̓]ʒu0n܂CfbNX

  w`l̃^C}Rs[̏I]񐔂Ɠ]̈ʒuԂ܂B
  pSrcPosɂ͐ݒ莞Ɏw肵]AhX牽oCg̈ʒu]ł邩
  Ԃ܂B
  ]ɌĂяoƁApnCopy̒lpSrcPos̒lĂȂꍇ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetCapture(TW_HANDLE hDev, long CH, BYTE EdgeA, BYTE EdgeB){return 0;};  //16rbg^C}CvbgLv`[hɐݒ肵܂
/*****************************************************************************
  USBM_TimerSetCapture

  hDev  : foCX̃nh
  CH    : CvbgLv`ݒs^C}`l(0,1,2)
  EdgeA : TIOCA[qŃLv`MGbW
          USBM_CAPT_RISE オLv`
          USBM_CAPT_FALL Lv`
          USBM_CAPT_BOTH オA藼ŃLv`
  EdgeB : TIOCB[qŃLv`MGbW(włlEdgeAƓ)

  16rbg^C}̎w`lCvbgLv`[hɐݒ肵܂B
  CvbgLv`ɐݒ肷ƊY`lTIOCA,TIOCB[q͓͒[q
  ȂAŎw肳ꂽM̃GbWoƁÂƂ̃JE^̒l
  }CRGRA,GRBWX^ɓ]܂B̋@\𗘗p邱ƂŁATIOCA[q
  ŐMoĂATIOCBŐMo܂ł̎ԍ^C}NbN
  JEglő肷邱Ƃł܂BNbN̐ݒɂUSBM_TimerSetClk()֐
  gpĂBJE^TIOCB[qMoƂɃNA܂B
  쒆͐M͂xɁAxłLv`܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerReadCaptureCnt(TW_HANDLE hDev, long CH, long *pCntA, long *pCntB){return 0;};  //CvbgLv`̌ʂǂݏo܂
/*****************************************************************************
  USBM_TimerReadCaptureCnt

  hDev   : foCX̃nh
  CH     : ^C}`l(0,1,2)
  pCntA : GRAWX^l̊i[
  pCntB : GRBWX^l̊i[

  CvbgLv`ʂǂݏo܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetCaptureCnt(TW_HANDLE hDev, long CH, long CntA, long CntB){return 0;};  //CvbgLv`pWX^܂
/*****************************************************************************
  USBM_TimerSetCaptureCnt

  hDev : foCX̃nh
  CH   : ^C}`l(0,1,2)
  CntA : GRAWX^ɃZbgl(0`65535)
  CntB : GRBWX^ɃZbgl(0`65535)

  GRAAGRBWX^ɒlZbg܂BɃCubgLv`sO
  WX^NÂɎgp܂B
*****************************************************************************/



TW_STATUS _stdcall USBM_ADStart(TW_HANDLE hDev, long nCnv, long CH, long Scan, long Byte,long Trig){return 0;};  //ADRo[^N܂
/*****************************************************************************
  USBM_ADStart

  hDev   : foCX̃nh
  nCnv   : ϊ񐔁B`lXLꍇ́AꂼnCnv
           ϊ܂B-1̏ꍇ~܂ŌJԂ܂B
           (-1,1`2147483647)
  CH     : ADRo[^̃`l(0,1,2,3)
  Scan   : `lXL邩ǂ̃tO(TRUE,FALSE)
  Byte   : oCgǂݏo邩ǂ̃tO(TRUE,FALSE)
  Trig   : ^C}̋NADTRG#ōsǂ̃tO(TRUE,FALSE)

  ADRo[^NAfIɕϊs܂BϊʂUSBM_Read()֐
  oĂBϊ^C~O̓}CR8rbg^C}ōo
  @ƁAADTRG#[qɐM͂@܂BADTRG#IꍇA
  ADC̓gK͑҂ƂȂA1̃gKɂ1̕ϊs܂B
  ^C}IꍇA^C}N\ߐݒ肵TCNɕϊs܂B
  ftHgł͊OgK̓͂ ϊJn܂̂ŁA^C}𗘗p
  ꍇɂ́A\USBM_ADSetCycle()֐ŃNbNƃRyAlݒ肵܂B

  ScanTRUÊƂ1̃gKɂA0w肳ꂽ`l܂ł1񂸂
  ADϊ܂BႦScan=TRUECH=2̏ꍇA0`2`l3`l
  ϊgKɍszXgɓ]܂B

  ByteTRUȄꍇADϊʂ̏8rbĝ݂zXgɓ]܂B16rbg
  ]sꍇAϊ[gグ邱Ƃ\ƂȂ܂B
  ڂ̓[U[Y}jAQƂĂB

  ϊ^C~O}CR̓^C}ōꍇłATrigTRUEɐݒ肷
  OgKɕϊ𓯊邱Ƃł܂B̏ꍇAUSBM_ADSetCycle()
  OgKw肵ꍇƈႢAADTRG#͂œ^C}NAAD̃gK
  M̂̓^C}狟܂̂ŁAADTRG#ւ̓͂1xł悭Ȃ܂B

  ADBRead()֐Ƃ̈Ⴂ́AADBRead()֐͎w肵f[^̕ϊSďI
  ܂Ńf[^oȂ̂ɑ΂āAIf[^𒀎o邱Ƃ
  B܂A`l̘Aϊ\łB

  foCX͂̊֐ĂяóAw̕ϊ񐔂I܂ŁA
  USBM_Abort()ȊO̊֐t܂̂łӂB܂AϊI
  obt@̃f[^mɎoĂBf[^cĂꍇA
  ֐듮삵܂B

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_ADCopy(TW_HANDLE hDev, DWORD DstPort, long nCnv, long CH, long CKS, long DMA_CH, long DstInc){return 0;};  //ADRo[^NAϊʂ}CR̃AhXɕۑ܂
/*****************************************************************************
  USBM_ADCopy

  hDev    : foCX̃nh
  DstPort : ϊʂi[}CR̃AhX
  nCnv    : ϊ񐔁B`lXLꍇ́AꂼnCnv
            ϊ܂B(1`65536)
  CH      : I`l(0,1,2,3)
  CKS     : ϊXe[g(TRUE,FALSE)
  DMA_CH  : gpDMA`l(0,1)
  DstInc  : ]AhXCNg邩ǂ̃tO(TRUE,FALSE)

  ADϊAōsAϊʂ}CR̃ɓ]܂B
  ĂяoƁAUSBM_ADSetCycle()Ŏw肵ϊ̓NAANv͊O
  gKɌŒ肳܂BݒIAϊIǂɂ炸A֐
  ^[܂B
  ̌AfoCXADTRG#̗oƁAw񐔂̕ϊōs
  ܂B̂Ƃϊ͏ɍő僌[gōs܂B܂Aϊ͕K0`l
  JnACHŎw肵`l܂ŕϊ܂BႦ΁ACH=2̂Ƃ
  0`2܂ł3`l̕ϊnCnvs܂B
  w񐔂̕ϊIǂ𒲂ׂɂUSBM_ADReadCopyStatus()gp
  ĂBfďIꍇAyѕϊIUSBM_ADStopCopy()Ăяo
  ĂB
  
  CKSFALSÊƂ͍ŏ1TCN̕ϊԂő5.36usŁAȍ~AAϊ
  5.12us/`lłB
  CKSTRUEƂ邱ƂŐx]ɂāAϊ[gグ邱Ƃł܂B
  ̏ꍇAŏ1TCN̕ϊԂő2.8usŁAȍ~AAϊ
  2.64us/`lƂȂ܂B
  ϊxɂĂ̓}jAQƂĂB

  DstPortnCnv̐ݒ͐TdɍsĂBϊʂi[̈悪A
  [U[͈̔͂𒴂Ă`FbN͍s܂Bgpł͈͂𒴂
  DMA]sƁA}CR̓̏j󂵂Đɓ삵Ȃ
  Ȃ܂B

  DMA`l1p܂̂ŁAY`lDMA]͍sȂȂ܂
  DMA0gpꍇɂUSBM_PortBWrite()DMA]USBM_PortBCopy()gpł
  ȂȂADMA1gpꍇɂUSBM_PortBRead()DMA]g܂B
  ܂ADARo[^ւ̎]ԍ̃`lgpłȂȂ܂B
        
  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/



TW_STATUS _stdcall USBM_ADStopCopy(TW_HANDLE hDev, long DMA_CH){return 0;};  //USBM_ADCopy()I܂
/*****************************************************************************
  USBM_ADStopCopy

  hDev   : foCX̃nh
  DMA_CH : USBM_ADCopy()Ŏw肵DMA`l(0,1)

  USBM_ADCopy()̏I܂BfďIꍇɂ̊֐Ăяo
  ĂB

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_ADReadCopyStatus(TW_HANDLE hDev,long *pnCnv,long DMA_CH){return 0;};  //USBM_ADCopy()̓]󋵂ǂݏo܂
/*****************************************************************************
  USBM_ADReadCopyStatus

  hDev   : foCX̃nh
  pnCnv  : c̕ϊ̊i[
  DMA_CH : USBM_ADCopy()Ŏw肵DMA`l(0,1)

  USBM_ADCopy()̎c̕ϊ񐔂𒲂ׂ܂B

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_ADReadCopyBuffer(TW_HANDLE hDev, DWORD Port, WORD *pData, long nData, long Inc, BYTE Dma){return 0;};  //USBM_ADCopy()̕ϊʂǂݏo܂
/*****************************************************************************
  USBM_ADReadCopyBuffer

  hDev   : foCX̃nh
  Port   : ǂݏoAhX
  pData  : ǂݏof[^̊i[
  nData  : f[^̐(1`32768A[hP)
  Inc    : }CR̃AhXCNg邩tO(TRUE,FALSE)
  Dma    : DMAgp邩ǂ̃tO(TRUE,FALSE)

  USBM_ADCopy()֐ŕϊꂽf[^foCX̃obt@ǂݏô
  gp܂BUSBM_PortBRead()֐łǂݏo܂A}CR̃f[^
  Windowsp\RƃoCgI[_[ႤߕϊKvɂȂ܂B̊֐ł
  ǂݏof[^Ap\RƓoCgI[_[(gGfBA)
  ёւĕԂ܂B
  IncFALSEƂƃ}CR̃AhXCNg܂̂FIFO
  悤ȃfoCXǂݏos܂BDmaTRUEƂƃ}CRDMA
  gpăf[^]܂BDMAgpƍłA]I
  PA1/TCLKBTEND#Mo͂̂ŒӂKvłBPA1/TCLKBɏo͂oĂ
  ȂꍇɂDMA=FALSEƂČĂяoĂB
*****************************************************************************/


TW_STATUS _stdcall USBM_SCISetDelimiter(TW_HANDLE hDev, long CH, char *pDelimiter, long nDelimiter){return 0;};  //VAʐM̃f~^ݒ肵܂
/*****************************************************************************
  USBM_SCISetDelimiter

  hDev       : foCX̃nh
  CH         : SCI`l(0̂)
  pDelimiter : f~^ւ̃|C^
  nDelimiter : f~^̐(0`2)

  SCI`l̃f~^w肵܂Bf~^(1܂2)
  ƁAUSBM_SCIRead()֐̓VA|[g̓ǂݎ𒆎~Aǂݎ
  woCg܂0𖄂߂ăf[^Ԃ܂B

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_GetQueueStatus(TW_HANDLE hDev, DWORD *pnQueue){return 0;};  //Mobt@̃oCgԂ܂
/*****************************************************************************
  USBM_GetQueueStatus

  hDev    : foCX̃nh
  pnQueue : MoCg̊i[

  foCXMf[^̃oCg擾܂BUSBM_ADStart()gp
  Mϊʂ̃oCg擾̂Ɏgp܂B
  PFTDI̊֐AFT_GetQueueStatus()ĂяoĂ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_Purge(TW_HANDLE hDev, DWORD dwMask){return 0;};  //Mobt@AMobt@NA܂
/*****************************************************************************
  USBM_Purge

  hDev   : foCX̃nh
  dwMask : NAobt@w
           USBM_PURGE_RX Mobt@NA
           USBM_PURGE_TX Mobt@NA

  foCXƂ̒ʐMɎgpobt@NA܂BɃfoCXf[^
  ǂݏo֐^CAEgꍇA֐畜AɃfoCX瑗ꂽ
  f[^Mobt@ɗ܂Ăꍇ̂ŁANA邽߂
  KvƂȂ܂B
  PFTDI̊֐AFT_Purge()ĂяoĂ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_SetTimeouts(TW_HANDLE hDev, DWORD dwReadTimeout, DWORD dwWriteTimeout){return 0;};  //MyюM̃^CAEgԂݒ肵܂
/*****************************************************************************
  USBM_SetTimeouts

  hDev           : foCX̃nh
  dwReadTimeout  : ǂݏõ^CAEg(msP)
  dwWriteTimeout : ݂̃^CAEg(msP)

  foCXƂ̑MyюM̍ۂɓKp^CAEgԂݒ肵܂B
  ftHg̐ݒł͑MAMƂ5błB
  PFTDI̊֐AFT_SetTimeouts()ĂяoĂ܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_PCStartA(TW_HANDLE hDev, BYTE Bits){return 0;};  //pXJE^̃JEg܂
/*****************************************************************************
  USBM_PCStartA

  hDev : foCX̃nh
  Bits : USBM_PC0  `l0 
         USBM_PC1  `l1
         USBM_PC2  `l2
         USBM_PC3  `l3

  pXJEg܂B`lꍇɂ͏L̒萔
  ORŌBitsɎw肵ĂBUSBM_PCStart()֐Ƃ̈Ⴂ́AX^[g
  悤Ɏw肵`lȊOɉe^ȂƂłB
*****************************************************************************/


TW_STATUS _stdcall USBM_PCStop(TW_HANDLE hDev, BYTE Bits){return 0;};  //pXJE^~܂
/*****************************************************************************
  USBM_PCStop

  hDev : foCX̃nh
  Bits : USBM_PC0  `l0̃JEgI 
         USBM_PC1  `l1̃JEgI
         USBM_PC2  `l2̃JEgI
         USBM_PC3  `l3̃JEgI

  w`l̃pXJEgI܂BI`l
  ɂ͏L̒萔ORŌBitsɎw肵ĂBUSBM_PCStart()֐
  ̈Ⴂ́AI悤Ɏw肵`lȊOɉe^ȂƂłB
*****************************************************************************/


TW_STATUS _stdcall USBM_TimerSetSinglePulse(TW_HANDLE hDev, long CH, long Setup, long Width, long Pos){return 0;};  //w肳ꂽ̃pX1񔭐܂
/*****************************************************************************
  USBM_TimerSetSinglePulse

  hDev  : foCX̃nh
  CH    : gp16rbg^C}`l(0,1)
  Setup : ^C}NpXo͂܂ł̎ԂNbNŎw(1`65534)
  Width : pXNbNŎw(1`65534)
  Pos   : TRUȄꍇÃpXAFALSȄꍇÃpXo͂܂

  16rbg^C}𗘗pĒP̃pX𔭐܂BSetupWidth𑫂l
  65535𒴂Ă͂܂B

  ̊֐Ver.2.0ȍ~̃t@[EFAKvłB
*****************************************************************************/


FT_HANDLE _stdcall USBM_GetFTHandle(TW_HANDLE hDev){return 0};  //D2XX API֐ɓnnh擾܂B
/*****************************************************************************
  USBM_GetFTHandle

  hDev  : foCX̃nh

  D2XX API֐ɓnnh擾܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_ReadPI(TW_HANDLE hDev, USBM_PRODUCT_INFO *pInfo){return 0}; //i(PI)擾܂B
/*****************************************************************************
  TW_STATUS USBM_ReadPI(TW_HANDLE hDev, USBM_PRODUCT_INFO *pInfo)

  hDev  : foCX̃nh
  pInfo : i̊i[

  PIGA琻iǂݏo܂B
  ̊֐Ver.2.1ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_OpenByPI(TW_HANDLE *phDev, LPCTSTR pUuid, DWORD Number, long Opt){return 0}; //i(PI)w肵ăfoCXɐڑ܂B
/*****************************************************************************
  TW_STATUS USBM_OpenByPI(TW_HANDLE *phDev, LPCTSTR pUuid, 
                                   DWORD Number, long Opt)

  phDev  : nh̊i[
  pUuid  : UUIDw肵܂Bw肪ꍇɂNULL܂""Ƃ܂B
  Number : Numberw肵܂Bw肪ꍇɂ0Ƃ܂B
  Opt    : ȉ̒l̑gݍ킹
           USBM_IF_USB : USBfoCXɐڑ
           USBM_IF_LAN : LANfoCXɐڑ

           USBM_IF_LAN IvVɂ͉̃IvVORŒǉ\
           USBM_LIST_UPDATE : LANfoCX̏ۑe[uXV

  PIGAUUIDNumberwƈvfoCXƐڑ܂Bw肪
  ͔r܂B
  Opt  USBM_IF_USB ܂ USBM_IF_LAN ŃC^tF[Xw肵܂BORŌ
  ėw肷邱Ƃ\łBUSBM_IF_LAN w肵ꍇɂ
  USBM_LIST_UPDATE 邱Ƃł܂B̃IvVɂLANfoCX
  i[e[uXV邱Ƃł܂BUSBM_LIST_UPDATE w
  Ȃꍇɂ́AɎ擾e[ȕ񂩂foCXT܂B
  e[u̍XVɂUDP̃u[hLXgpA1.5b̎Ԃv
  ܂B
  USBLAÑ̗C^tF[Xw肳ꂽꍇA܂USBfoCXɑ΂Đڑ
  ݁AڑłȂꍇLANfoCXւ̐ڑs܂B
  ̊֐Ver.2.1ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_PortWrite8A(TW_HANDLE hDev,DWORD Port, BYTE Data, BYTE Mask = 0xff){return 0}; //|[gւ݂̏s܂
/*****************************************************************************
  USBM_PortWrite8A

  hDev : foCX̃nh
  Port : ރAhX
  Data : ރf[^
  Mask : }XNf[^B1̃rbgf܂B

  }CRPortŎw肳AhX1oCg̃f[^݂܂B}CR
  ̐䃌WX^ɂ݂s܂̂ŁA萔ȊÕAhXw肷ꍇ
  ͒ӂKvłBMask0ƂȂĂrbgɂ͉e^܂B
  ̊֐Ver.2.2ȍ~̃t@[EFAKvłB
*****************************************************************************/


TW_STATUS _stdcall USBM_SetPassword(LPCTSTR pPass = NULL){ return 0}; //LANfoCX̃pX[hw肵܂
/*****************************************************************************
  TW_STATUS USBM_SetPassword(LPCTSTR pPass)

  pPass : pX[h

  LANM3069foCXƐڑۂ̃pX[h͂܂BpX[h͐ݒc[
  ŃfoCXɏ񂾂̂Ɠ̂w肵ĂB
  pPass  NULL ܂ "" ̏ꍇAftHg̃pX[hgp܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_SetNetworkPort(DWORD PortNumber = 0){ return 0}; //LANfoCX̃lbg[N|[gw肵܂
/*****************************************************************************
  TW_STATUS USBM_SetNetworkPort(DWORD PortNumber)

  PortNumber : |[gԍ

  LANM3069foCXƒʐMꍇ̃lbg[N|[gԍw肵܂BŎw
  肷|[gԍ̓foCX̂̂ł̂Őݒc[ŃfoCXɏ񂾂
  ̂Ɠ̂w肵ĂBʓIɃ|[gԍƂĎgpł̂
  49152`65535 ̒lłB
*****************************************************************************/


ULONG _stdcall USBM_GetIFType(TW_HANDLE hDev){ return 0 }; //foCX̃C^tF[Xʂ𒲂ׂ܂
/*****************************************************************************
  ULONG USBM_GetIFType(TW_HANDLE hDev)

  hDev   : foCX̃nh

  ߂l : foCX̃C^tF[X
           USBM_IF_USB : USBC^tF[X
           USBM_IF_LAN : LANC^tF[X

  nhɌѕtꂽfoCX̃C^tF[X^Cv擾܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_OpenA(TW_HANDLE *phDev, LPCTSTR pIID = NULL, long Opt = USBM_IF_ANY | USBM_LIST_UPDATE){return 0}; //foCXɐڑ܂
/*****************************************************************************
  TW_STATUS USBM_OpenA(TW_HANDLE *phDev, LPCTSTR pIID, long Opt)

  phDev  : nh̊i[
  pIID   : USB̃VAԍ܂IPAhX(NULLŏI镶)
  Opt    : ȉ̒l̑gݍ킹
           USBM_IF_USB : USBfoCXɐڑ
           USBM_IF_LAN : LANfoCXɐڑ

           USBM_IF_LAN IvVɂ͉̃IvVORŒǉ\
           USBM_LIST_UPDATE : LANfoCX̏ۑe[uXV

  pIID NULL""̏ꍇAڑłŏ̃foCX̃nh擾܂B
  Oł͎w肳ꂽIDƈvfoCXƐڑ܂B
  Opt  USBM_IF_USB ܂ USBM_IF_LAN ŃC^tF[Xw肵܂BORŌ
  ėw肷邱Ƃ\łBUSBM_IF_LAN w肵ꍇɂ
  USBM_LIST_UPDATE 邱Ƃł܂B̃IvVɂLANfoCX
  i[e[uXV邱Ƃł܂BUSBM_LIST_UPDATE w
  Ȃꍇɂ́AɎ擾e[ȕ񂩂foCXT܂B
  e[u̍XVɂUDP̃u[hLXgpA1.5b̎Ԃv
  ܂B
  USBLAÑ̗C^tF[Xw肳ꂽꍇA܂USBfoCXɑ΂Đڑ
  ݁AڑłȂꍇLANfoCXւ̐ڑs܂B
*****************************************************************************/


TW_STATUS _stdcall USBM_ListDevicesA(long *pnDev, LPTSTR pIID, long *pnIID, long Opt){return 0}; //foCXXgAbv܂
/*****************************************************************************
  TW_STATUS USBM_ListDevicesA(long *pnDev, LPTSTR pIID, long *pnIID, long Opt)

  pnDev  : foCX̊i[
  pIID   : USB̃VAԍ܂IPAhX̊i[
  pnIID  : []pIIDɗpӂꂽoCg
           [o]pIIDɕKvȃoCgA܂͎ۂɃRs[oCg
  Opt    : ̃IvV̂ǂꂩ
           USBM_IF_USB : USBfoCXXgAbv
           USBM_IF_LAN : LANfoCXXgAbv

           USBM_IF_LAN IvVɂ͉̃IvVORŒǉ\
           USBM_LIST_UPDATE : LANfoCX̏ۑe[uXV

  ڑĂfoCX𒲂ׂ܂B
  pIID ɂ Opt Ƃ USBM_IF_USB IꍇUSBfoCX̃VAԍ
  USBM_IF_LAN w肵ꍇɂIPAhXi[܂BVAԍIPAh
  X͕Ŋi[܂B̃foCXꍇɂ́Aꂼ̃f
  oCXID̊Ԃ' '(Xy[X)}AŌ̗vf̌'\0'}
  ܂B
  pnIID ͓͂Ƃ pIID ɗpӂꂽoCgn܂Bo͂ƂĂ͑SĂID
  񂪊i[ꂽꍇɂ͂̕Ai[Ȃꍇɂ͊i[̂
  \ȃoCg܂B
  Opt  USBM_IF_USB ܂ USBM_IF_LAN ŃC^tF[X肵܂B
  Ɏw肷邱Ƃ͂ł܂BUSBM_IF_LAN w肵ꍇɂ
  USBM_LIST_UPDATE 邱Ƃł܂B̃IvVɂLANfoCX
  i[e[uXV邱Ƃł܂BUSBM_LIST_UPDATE w
  Ȃꍇɂ́AɎ擾e[ȕ񂩂foCXT܂B
  e[u̍XVɂUDP̃u[hLXgpA1.5b̎Ԃv
  ܂B
  Opt ȊO͕svȏꍇNULLƂ邱Ƃł܂B
*****************************************************************************/

TW_STATUS _stdcall USBM_ReadVersionA(TW_HANDLE hDev, DWORD *pVersion){return 0};
/*****************************************************************************
  TW_STATUS USBM_ReadVersionA(TW_HANDLE hDev, DWORD *pVersion)

  hDev     : foCX̃nh
  pVersion : o[W̊i[

  USBM_ReadVersion()ڂt@[EFAo[W擾܂B
  Ԃo[W̍ŏ8rbg͗\łB
  8rbg̓W[o[WłB啝ȋ@\ύX̍ۂɍXV܂B
  8rbg̓}Ci[o[WłBrIȋ@\ύX̍ۂɍXV܂B
  ŉ8rbg̓rWłBoOtBbNXUSBM3069܂LANM3069ŗL
  @\ύX̍ۂɍXV܂B
  Ⴆ΃t@[EFAo[WVer.3.0.1̏ꍇApVersionɂH'00030001i
  [܂B
*****************************************************************************/

TW_STATUS _stdcall USBM_ATFSetCommand(TW_HANDLE hDev, DWORD Address){return 0};
/*****************************************************************************
  TW_STATUS USBM_ATFSetCommand(TW_HANDLE hDev, DWORD Address)

  hDev    : foCX̃nh
  Address : R}hnh̃AhX

  w̃AhX[U[`R}h̃nhƂēo^܂B폜ɂ
  AhX0ƂČĂяo܂B
  o^ꂽR}hnhUSBM_ATFUserCommand()֐ĂяoɌĂяo
  ܂B

  ̊֐Ver.3.0.1ȍ~̃t@[EFAKvłB
*****************************************************************************/

TW_STATUS _stdcall USBM_ATFSetMain(TW_HANDLE hDev, DWORD Address){return 0};
/*****************************************************************************
  TW_STATUS USBM_ATFSetMain(TW_HANDLE hDev, DWORD Address)

  hDev    : foCX̃nh
  Address : C֐̃AhX

  w̃AhXC֐Ƃēo^܂B폜ɂ̓AhX0ƂČ
  яo܂BC֐̓R}h[v̐擪ŌĂяo֐łBR}h
  ȊOɏ펞sꍇɎgp܂B

  ̊֐Ver.3.0.1ȍ~̃t@[EFAKvłB
*****************************************************************************/

TW_STATUS _stdcall USBM_ATFUserCommand(TW_HANDLE hDev, WORD Command, DWORD Param1, DWORD Param2, void *pData, long nData){return 0};
/*****************************************************************************
  TW_STATUS USBM_ATFUserCommand(TW_HANDLE hDev, WORD Command, DWORD Param1, 
                                DWORD Param2, void *pData, long nData)

  hDev    : foCX̃nh
  Command : [U[`̃R}hID
  Param1  : [U[`̃p[^1
  Param1  : [U[`̃p[^2
  pData   : [U[`̒ǉp[^
  nData   : [U[`̒ǉp[^̃oCg

  [U[`̃R}hĂяo܂BCommandAParam1AParam2̓R}hn
  hɈƂēn܂Bǉ̃p[^KvȏꍇɂpDataɎw肵
  B

  ̊֐Ver.3.0.1ȍ~̃t@[EFAKvłB
*****************************************************************************/

TW_STATUS _stdcall USBM_ATFDownload(TW_HANDLE hDev, LPCTSTR FileName, LPCTSTR pReserve){return 0};
/*****************************************************************************
  TW_STATUS USBM_ATFDownload(TW_HANDLE hDev, 
                             LPCTSTR FileName, LPCTSTR pReserve)

  hDev     : foCX̃nh
  FileName : ATFt@C̃pX
  pReserve : \BNULLɂĂ

  A^b`gt@[(ATFt@C)RAMɃ_E[h܂BKvł΁A
  R}hnh̓o^AC֐̓o^s܂B

  ̊֐Ver.3.0.1ȍ~̃t@[EFAKvłB
*****************************************************************************/

TW_STATUS _stdcall USBM_ATFGetInfo(LPCTSTR FileName, USBM_ATF_INFO *pInfo){return 0};
/*****************************************************************************
  TW_STATUS USBM_ATFGetInfo(LPCTSTR FileName, USBM_ATF_INFO *pInfo)

  FileName : ATFt@C̃pX
  pInfo    : 󂯎ATF_INFO\̂ւ̃|C^

  ATFt@CɊւ擾܂B
*****************************************************************************/
#endif
//****** ȏ̍s VisualStudio  IntelliSense ̂߂ɒǉĂ܂ *****
//****** KvȂꍇɂ̓RgAEgĂ                     *****


#endif /*_USBM3069_H_*/

